/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Skeleton implementation for Bison GLR parsers in C

   Copyright (C) 2002-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C GLR parser skeleton written by Paul Hilfinger.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "glr.c"

/* Pure parsers.  */
#define YYPURE 0




/* Substitute the variable and function names.  */
#define yyparse SQLyyparse
#define yylex   SQLyylex
#define yyerror SQLyyerror
#define yydebug SQLyydebug

#define yylval  SQLyylval
#define yychar  SQLyychar
#define yynerrs SQLyynerrs

/* First part of user declarations.  */


/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

#include <vector>
#include <string.h>

#include <connectivity/sqlnode.hxx>
#include <connectivity/sqlparse.hxx>
#include <connectivity/sqlbison_exports.hxx>
#include <connectivity/sqlscan.hxx>
#include <connectivity/internalnode.hxx>
#include <com/sun/star/lang/Locale.hpp>
#include <com/sun/star/sdbc/DataType.hpp>
#include <com/sun/star/util/Date.hpp>
#include <com/sun/star/util/DateTime.hpp>
#include <com/sun/star/util/Time.hpp>
#include <com/sun/star/util/XNumberFormatter.hpp>
#include <com/sun/star/util/XNumberFormatsSupplier.hpp>
#include <com/sun/star/util/XNumberFormats.hpp>
#include <com/sun/star/util/NumberFormat.hpp>
#include <com/sun/star/util/XNumberFormatTypes.hpp>
#include <com/sun/star/beans/XPropertySet.hpp>
#include <com/sun/star/i18n/KParseType.hpp>
#include <com/sun/star/i18n/KParseTokens.hpp>

#include <osl/diagnose.h>
#include "connectivity/dbconversion.hxx"
#include <rtl/ustrbuf.hxx>
#include <sal/log.hxx>

#if defined _MSC_VER
#pragma warning(push)
#pragma warning(disable: 4324) // structure was padded due to alignment specifier
#pragma warning(disable: 4065) // switch statement contains 'default' but no 'case' labels
#pragma warning(disable: 4702) // unreachable code
#endif

#ifdef __GNUC__
# pragma GCC diagnostic ignored "-Wwrite-strings"
# pragma GCC diagnostic ignored "-Wunused-function"
#endif

inline connectivity::OSQLInternalNode* newNode(const char* pNewValue,
        const connectivity::SQLNodeType eNodeType,
        const sal_uInt32 nNodeID = 0);

inline connectivity::OSQLInternalNode* newNode(const OString& _newValue,
        const connectivity::SQLNodeType eNodeType,
        const sal_uInt32 nNodeID = 0);

inline connectivity::OSQLInternalNode* newNode(const OUString& _newValue,
        const connectivity::SQLNodeType eNodeType,
        const sal_uInt32 nNodeID = 0);


// yyi is the internal number of the rule that is currently being reduced
// This can be mapped to external rule number via the yyrmap.
#if defined YYBISON && YYBISON >= 30800
#define SQL_NEW_RULE 			newNode("", SQLNodeType::Rule, yyr1[yyrule])
#define SQL_NEW_LISTRULE 		newNode("", SQLNodeType::ListRule, yyr1[yyrule])
#define SQL_NEW_COMMALISTRULE   newNode("", SQLNodeType::CommaListRule, yyr1[yyrule])
#else
#define SQL_NEW_RULE 			newNode("", SQLNodeType::Rule, yyr1[yyn])
#define SQL_NEW_LISTRULE 		newNode("", SQLNodeType::ListRule, yyr1[yyn])
#define SQL_NEW_COMMALISTRULE   newNode("", SQLNodeType::CommaListRule, yyr1[yyn])
#endif


extern connectivity::OSQLParser* xxx_pGLOBAL_SQLPARSER;

#define YYERROR_VERBOSE

#define SQLyyerror(s)						\
{											\
	xxx_pGLOBAL_SQLPARSER->error(s);		\
}

using namespace connectivity;
#define SQLyylex xxx_pGLOBAL_SQLPARSER->SQLlex



# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

#include "sqlbison.hxx"

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Default (constant) value used for initialization for null
   right-hand sides.  Unlike the standard yacc.c template, here we set
   the default value of $$ to a zeroed-out value.  Since the default
   value is undefined, this behavior is technically correct.  */
static YYSTYPE yyval_default;

/* Copy the second part of user declarations.  */



#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YYFREE
# define YYFREE free
#endif
#ifndef YYMALLOC
# define YYMALLOC malloc
#endif
#ifndef YYREALLOC
# define YYREALLOC realloc
#endif

#define YYSIZEMAX ((size_t) -1)

#ifdef __cplusplus
   typedef bool yybool;
#else
   typedef unsigned char yybool;
#endif
#define yytrue 1
#define yyfalse 0

#ifndef YYSETJMP
# include <setjmp.h>
# define YYJMP_BUF jmp_buf
# define YYSETJMP(Env) setjmp (Env)
/* Pacify clang.  */
# define YYLONGJMP(Env, Val) (longjmp (Env, Val), YYASSERT (0))
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#ifndef YYASSERT
# define YYASSERT(Condition) ((void) ((Condition) || (abort (), 0)))
#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  373
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   8909

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  329
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  343
/* YYNRULES -- Number of rules.  */
#define YYNRULES  799
/* YYNRULES -- Number of states.  */
#define YYNSTATES  1321
/* YYMAXRHS -- Maximum number of symbols on right-hand side of rule.  */
#define YYMAXRHS 10
/* YYMAXLEFT -- Maximum number of symbols to the left of a handle
   accessed by $0, $-1, etc., in any rule.  */
#define YYMAXLEFT 0

/* YYTRANSLATE(X) -- Bison symbol number corresponding to X.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   562

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const unsigned short int yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       3,     4,   325,   322,     5,   323,    13,   326,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     6,     7,
       2,   327,     2,     8,     2,     2,     2,     2,     2,     2,
       2,    16,     2,     2,     2,    14,     2,    15,     2,     2,
      18,     2,     2,     2,    17,     2,     2,     2,     2,     2,
       2,     9,     2,    10,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    11,     2,    12,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   324,   328
};

#if YYDEBUG
/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const unsigned short int yyrline[] =
{
       0,   272,   272,   274,   282,   283,   341,   342,   343,   344,
     348,   359,   362,   368,   369,   373,   382,   383,   389,   392,
     393,   401,   405,   406,   410,   414,   418,   424,   425,   431,
     435,   445,   451,   460,   472,   480,   481,   489,   492,   498,
     510,   511,   519,   520,   528,   541,   542,   550,   554,   558,
     561,   567,   568,   572,   573,   577,   581,   586,   589,   595,
     596,   602,   603,   611,   614,   625,   630,   637,   638,   639,
     656,   657,   663,   665,   666,   667,   668,   669,   671,   672,
     673,   683,   684,   694,   713,   722,   731,   740,   750,   753,
     768,   779,   780,   785,   794,   805,   806,   807,   826,   829,
     835,   842,   843,   846,   856,   859,   865,   869,   870,   876,
     884,   895,   900,   903,   904,   907,   916,   917,   920,   921,
     924,   925,   928,   929,   932,   943,   946,   950,   951,   954,
     955,   963,   972,   988,   996,   999,  1005,  1006,  1009,  1010,
    1013,  1014,  1023,  1029,  1036,  1037,  1045,  1054,  1061,  1062,
    1070,  1073,  1076,  1079,  1085,  1086,  1094,  1095,  1102,  1149,
    1158,  1159,  1167,  1168,  1177,  1178,  1187,  1188,  1189,  1190,
    1191,  1192,  1193,  1194,  1197,  1204,  1211,  1236,  1237,  1238,
    1239,  1240,  1241,  1242,  1250,  1258,  1296,  1302,  1305,  1315,
    1325,  1331,  1337,  1359,  1384,  1385,  1389,  1400,  1407,  1416,
    1422,  1438,  1442,  1450,  1459,  1465,  1481,  1490,  1496,  1513,
    1514,  1515,  1519,  1525,  1531,  1540,  1545,  1560,  1565,  1597,
    1598,  1599,  1600,  1601,  1603,  1615,  1627,  1639,  1655,  1656,
    1662,  1665,  1675,  1685,  1686,  1687,  1690,  1698,  1709,  1719,
    1729,  1734,  1739,  1746,  1751,  1758,  1759,  1760,  1763,  1768,
    1775,  1787,  1788,  1791,  1792,  1793,  1794,  1795,  1796,  1797,
    1798,  1799,  1800,  1801,  1802,  1803,  1804,  1807,  1808,  1815,
    1822,  1829,  1837,  1845,  1853,  1861,  1869,  1882,  1897,  1898,
    1901,  1902,  1903,  1906,  1907,  1910,  1911,  1912,  1913,  1916,
    1917,  1920,  1923,  1924,  1925,  1926,  1929,  1930,  1931,  1932,
    1933,  1934,  1935,  1939,  1940,  1941,  1944,  1947,  1951,  1952,
    1953,  1954,  1955,  1958,  1959,  1960,  1963,  1964,  1965,  1966,
    1967,  1968,  1969,  1970,  1971,  1972,  1973,  1974,  1975,  1976,
    1980,  1981,  1982,  1985,  1988,  1989,  1990,  1991,  1992,  1993,
    1994,  1995,  1996,  1997,  1998,  1999,  2000,  2001,  2002,  2003,
    2004,  2005,  2008,  2009,  2010,  2013,  2014,  2018,  2027,  2034,
    2041,  2042,  2043,  2044,  2045,  2048,  2058,  2061,  2064,  2065,
    2068,  2069,  2075,  2085,  2086,  2090,  2102,  2103,  2106,  2109,
    2112,  2115,  2116,  2119,  2130,  2131,  2134,  2135,  2138,  2152,
    2153,  2156,  2162,  2170,  2173,  2174,  2177,  2180,  2181,  2184,
    2192,  2195,  2200,  2209,  2212,  2229,  2230,  2233,  2234,  2237,
    2238,  2241,  2244,  2253,  2256,  2261,  2269,  2270,  2273,  2282,
    2283,  2286,  2287,  2290,  2296,  2297,  2305,  2313,  2323,  2326,
    2329,  2330,  2336,  2339,  2347,  2354,  2360,  2366,  2375,  2376,
    2384,  2395,  2396,  2406,  2409,  2416,  2417,  2418,  2422,  2428,
    2437,  2438,  2439,  2443,  2452,  2460,  2469,  2470,  2473,  2474,
    2475,  2476,  2477,  2478,  2479,  2480,  2481,  2482,  2483,  2484,
    2485,  2486,  2490,  2491,  2494,  2503,  2517,  2520,  2531,  2535,
    2545,  2548,  2549,  2553,  2565,  2566,  2567,  2568,  2571,  2576,
    2581,  2588,  2596,  2597,  2600,  2601,  2606,  2607,  2615,  2627,
    2636,  2645,  2648,  2651,  2661,  2662,  2666,  2667,  2676,  2677,
    2687,  2690,  2691,  2699,  2709,  2710,  2713,  2716,  2719,  2722,
    2723,  2726,  2738,  2739,  2740,  2741,  2742,  2743,  2744,  2751,
    2755,  2756,  2759,  2760,  2766,  2775,  2776,  2783,  2793,  2794,
    2801,  2815,  2822,  2827,  2832,  2839,  2847,  2861,  2866,  2874,
    2900,  2961,  2962,  2963,  2964,  2965,  2966,  2967,  2968,  2969,
    2973,  2974,  2975,  2976,  2977,  2978,  2979,  2980,  2984,  2992,
    2993,  3002,  3008,  3017,  3024,  3028,  3034,  3043,  3053,  3056,
    3060,  3072,  3073,  3080,  3088,  3097,  3100,  3104,  3114,  3124,
    3125,  3126,  3133,  3141,  3142,  3145,  3152,  3162,  3163,  3166,
    3174,  3175,  3183,  3184,  3187,  3194,  3207,  3231,  3238,  3251,
    3252,  3253,  3258,  3263,  3270,  3271,  3279,  3290,  3300,  3301,
    3304,  3314,  3324,  3336,  3348,  3358,  3366,  3373,  3380,  3386,
    3390,  3391,  3392,  3396,  3405,  3406,  3407,  3410,  3417,  3426,
    3436,  3442,  3451,  3457,  3464,  3474,  3498,  3501,  3508,  3511,
    3512,  3521,  3522,  3525,  3532,  3538,  3539,  3540,  3541,  3542,
    3545,  3551,  3557,  3564,  3571,  3577,  3580,  3581,  3584,  3593,
    3594,  3597,  3607,  3615,  3616,  3621,  3626,  3631,  3636,  3643,
    3651,  3659,  3667,  3674,  3681,  3687,  3695,  3703,  3710,  3713,
    3722,  3730,  3738,  3744,  3751,  3757,  3760,  3768,  3776,  3777,
    3780,  3781,  3788,  3799,  3805,  3811,  3817,  3818,  3819,  3820,
    3823,  3831,  3832,  3833,  3834,  3842,  3845,  3846,  3853,  3862,
    3863,  3870,  3879,  3889,  3890,  3896,  3902,  3910,  3911,  3914,
    3922,  3930,  3940,  3941,  3944,  3955,  3965,  3970,  3977,  3987,
    3990,  3995,  3996,  3997,  3998,  3999,  4000,  4003,  4008,  4015,
    4025,  4026,  4034,  4037,  4040,  4043,  4056,  4060,  4063,  4078,
    4079,  4086,  4091,  4105,  4108,  4123,  4126,  4134,  4135,  4136,
    4144,  4145,  4146,  4154,  4157,  4165,  4168,  4177,  4180,  4189,
    4190,  4193,  4196,  4204,  4205,  4216,  4221,  4228,  4232,  4237,
    4245,  4253,  4261,  4269,  4279,  4282,  4285,  4288,  4291,  4294
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 1
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "'('", "')'", "','", "':'", "';'", "'?'",
  "'['", "']'", "'{'", "'}'", "'.'", "'K'", "'M'", "'G'", "'T'", "'P'",
  "SQL_TOKEN_STRING", "SQL_TOKEN_ACCESS_DATE", "SQL_TOKEN_INT",
  "SQL_TOKEN_REAL_NUM", "SQL_TOKEN_INTNUM", "SQL_TOKEN_APPROXNUM",
  "SQL_TOKEN_NOT", "SQL_TOKEN_NAME", "SQL_TOKEN_UMINUS", "SQL_TOKEN_ALL",
  "SQL_TOKEN_ALTER", "SQL_TOKEN_AMMSC", "SQL_TOKEN_ANY", "SQL_TOKEN_AS",
  "SQL_TOKEN_ASC", "SQL_TOKEN_AT", "SQL_TOKEN_AUTHORIZATION",
  "SQL_TOKEN_AVG", "SQL_TOKEN_BETWEEN", "SQL_TOKEN_BIT", "SQL_TOKEN_BOTH",
  "SQL_TOKEN_BY", "SQL_TOKEN_CAST", "SQL_TOKEN_CHARACTER",
  "SQL_TOKEN_CHECK", "SQL_TOKEN_COLLATE", "SQL_TOKEN_COMMIT",
  "SQL_TOKEN_CONTINUE", "SQL_TOKEN_CONVERT", "SQL_TOKEN_COUNT",
  "SQL_TOKEN_CREATE", "SQL_TOKEN_CROSS", "SQL_TOKEN_CURRENT",
  "SQL_TOKEN_CURSOR", "SQL_TOKEN_DATE", "SQL_TOKEN_DATEVALUE",
  "SQL_TOKEN_DAY", "SQL_TOKEN_DEC", "SQL_TOKEN_DECIMAL",
  "SQL_TOKEN_DECLARE", "SQL_TOKEN_DEFAULT", "SQL_TOKEN_DELETE",
  "SQL_TOKEN_DESC", "SQL_TOKEN_DISTINCT", "SQL_TOKEN_DOUBLE",
  "SQL_TOKEN_DROP", "SQL_TOKEN_ESCAPE", "SQL_TOKEN_EXCEPT",
  "SQL_TOKEN_EXISTS", "SQL_TOKEN_FALSE", "SQL_TOKEN_FETCH",
  "SQL_TOKEN_FLOAT", "SQL_TOKEN_FOR", "SQL_TOKEN_FOREIGN",
  "SQL_TOKEN_FOUND", "SQL_TOKEN_FROM", "SQL_TOKEN_FULL", "SQL_TOKEN_GRANT",
  "SQL_TOKEN_GROUP", "SQL_TOKEN_HAVING", "SQL_TOKEN_IN",
  "SQL_TOKEN_INDICATOR", "SQL_TOKEN_INNER", "SQL_TOKEN_INTEGER",
  "SQL_TOKEN_INTO", "SQL_TOKEN_IS", "SQL_TOKEN_INTERSECT",
  "SQL_TOKEN_JOIN", "SQL_TOKEN_KEY", "SQL_TOKEN_LEADING", "SQL_TOKEN_LIKE",
  "SQL_TOKEN_LOCAL", "SQL_TOKEN_LOWER", "SQL_TOKEN_MAX", "SQL_TOKEN_MIN",
  "SQL_TOKEN_NATURAL", "SQL_TOKEN_NCHAR", "SQL_TOKEN_NULL",
  "SQL_TOKEN_NUMERIC", "SQL_TOKEN_OCTET_LENGTH", "SQL_TOKEN_OF",
  "SQL_TOKEN_ON", "SQL_TOKEN_OPTION", "SQL_TOKEN_ORDER", "SQL_TOKEN_OUTER",
  "SQL_TOKEN_PRECISION", "SQL_TOKEN_PRIMARY", "SQL_TOKEN_PRIVILEGES",
  "SQL_TOKEN_PROCEDURE", "SQL_TOKEN_PUBLIC", "SQL_TOKEN_REAL",
  "SQL_TOKEN_REFERENCES", "SQL_TOKEN_ROLLBACK", "SQL_TOKEN_SCHEMA",
  "SQL_TOKEN_SELECT", "SQL_TOKEN_SET", "SQL_TOKEN_SIZE",
  "SQL_TOKEN_SMALLINT", "SQL_TOKEN_SOME", "SQL_TOKEN_SQLCODE",
  "SQL_TOKEN_SQLERROR", "SQL_TOKEN_SUM", "SQL_TOKEN_TABLE",
  "SQL_TOKEN_TIME", "SQL_TOKEN_TIMESTAMP", "SQL_TOKEN_TIMEZONE_HOUR",
  "SQL_TOKEN_TIMEZONE_MINUTE", "SQL_TOKEN_TO", "SQL_TOKEN_TRAILING",
  "SQL_TOKEN_TRANSLATE", "SQL_TOKEN_TRIM", "SQL_TOKEN_TRUE",
  "SQL_TOKEN_UNION", "SQL_TOKEN_UNIQUE", "SQL_TOKEN_UNKNOWN",
  "SQL_TOKEN_UPDATE", "SQL_TOKEN_UPPER", "SQL_TOKEN_USAGE",
  "SQL_TOKEN_USER", "SQL_TOKEN_USING", "SQL_TOKEN_VALUES",
  "SQL_TOKEN_VIEW", "SQL_TOKEN_WHERE", "SQL_TOKEN_WITH", "SQL_TOKEN_WORK",
  "SQL_TOKEN_ZONE", "SQL_TOKEN_CALL", "SQL_TOKEN_D", "SQL_TOKEN_FN",
  "SQL_TOKEN_T", "SQL_TOKEN_TS", "SQL_TOKEN_OJ", "SQL_TOKEN_ASCII",
  "SQL_TOKEN_BIT_LENGTH", "SQL_TOKEN_CHAR", "SQL_TOKEN_CHAR_LENGTH",
  "SQL_TOKEN_SQL_TOKEN_INTNUM", "SQL_TOKEN_CONCAT", "SQL_TOKEN_DIFFERENCE",
  "SQL_TOKEN_INSERT", "SQL_TOKEN_LCASE", "SQL_TOKEN_LEFT",
  "SQL_TOKEN_LENGTH", "SQL_TOKEN_LOCATE", "SQL_TOKEN_LOCATE_2",
  "SQL_TOKEN_LTRIM", "SQL_TOKEN_POSITION", "SQL_TOKEN_REPEAT",
  "SQL_TOKEN_REPLACE", "SQL_TOKEN_RIGHT", "SQL_TOKEN_RTRIM",
  "SQL_TOKEN_SOUNDEX", "SQL_TOKEN_SPACE", "SQL_TOKEN_SUBSTRING",
  "SQL_TOKEN_UCASE", "SQL_TOKEN_CURRENT_DATE", "SQL_TOKEN_CURRENT_TIME",
  "SQL_TOKEN_CURRENT_TIMESTAMP", "SQL_TOKEN_CURDATE", "SQL_TOKEN_CURTIME",
  "SQL_TOKEN_DAYNAME", "SQL_TOKEN_DAYOFMONTH", "SQL_TOKEN_DAYOFWEEK",
  "SQL_TOKEN_DAYOFYEAR", "SQL_TOKEN_EXTRACT", "SQL_TOKEN_HOUR",
  "SQL_TOKEN_MILLISECOND", "SQL_TOKEN_MINUTE", "SQL_TOKEN_MONTH",
  "SQL_TOKEN_MONTHNAME", "SQL_TOKEN_NOW", "SQL_TOKEN_QUARTER",
  "SQL_TOKEN_DATEDIFF", "SQL_TOKEN_SECOND", "SQL_TOKEN_TIMESTAMPADD",
  "SQL_TOKEN_TIMESTAMPDIFF", "SQL_TOKEN_TIMEVALUE", "SQL_TOKEN_WEEK",
  "SQL_TOKEN_WEEKDAY", "SQL_TOKEN_YEAR", "SQL_TOKEN_YEARDAY",
  "SQL_TOKEN_DATEADD", "SQL_TOKEN_ABS", "SQL_TOKEN_ACOS", "SQL_TOKEN_ASIN",
  "SQL_TOKEN_ATAN", "SQL_TOKEN_ATAN2", "SQL_TOKEN_CEILING",
  "SQL_TOKEN_COS", "SQL_TOKEN_COT", "SQL_TOKEN_DEGREES", "SQL_TOKEN_EXP",
  "SQL_TOKEN_FLOOR", "SQL_TOKEN_LOGF", "SQL_TOKEN_LOG", "SQL_TOKEN_LN",
  "SQL_TOKEN_LOG10", "SQL_TOKEN_MOD", "SQL_TOKEN_PI", "SQL_TOKEN_POWER",
  "SQL_TOKEN_RADIANS", "SQL_TOKEN_RAND", "SQL_TOKEN_ROUNDMAGIC",
  "SQL_TOKEN_ROUND", "SQL_TOKEN_SIGN", "SQL_TOKEN_SIN", "SQL_TOKEN_SQRT",
  "SQL_TOKEN_TAN", "SQL_TOKEN_TRUNCATE", "SQL_TOKEN_EVERY",
  "SQL_TOKEN_INTERSECTION", "SQL_TOKEN_FUSION", "SQL_TOKEN_COLLECT",
  "SQL_TOKEN_VAR_POP", "SQL_TOKEN_VAR_SAMP", "SQL_TOKEN_STDDEV_SAMP",
  "SQL_TOKEN_STDDEV_POP", "SQL_TOKEN_RANK", "SQL_TOKEN_DENSE_RANK",
  "SQL_TOKEN_PERCENT_RANK", "SQL_TOKEN_CUME_DIST",
  "SQL_TOKEN_PERCENTILE_CONT", "SQL_TOKEN_PERCENTILE_DISC",
  "SQL_TOKEN_WITHIN", "SQL_TOKEN_ARRAY_AGG", "SQL_TOKEN_CASE",
  "SQL_TOKEN_THEN", "SQL_TOKEN_END", "SQL_TOKEN_NULLIF",
  "SQL_TOKEN_COALESCE", "SQL_TOKEN_WHEN", "SQL_TOKEN_ELSE",
  "SQL_TOKEN_BEFORE", "SQL_TOKEN_AFTER", "SQL_TOKEN_INSTEAD",
  "SQL_TOKEN_EACH", "SQL_TOKEN_REFERENCING", "SQL_TOKEN_BEGIN",
  "SQL_TOKEN_ATOMIC", "SQL_TOKEN_TRIGGER", "SQL_TOKEN_ROW",
  "SQL_TOKEN_STATEMENT", "SQL_TOKEN_NEW", "SQL_TOKEN_OLD",
  "SQL_TOKEN_VALUE", "SQL_TOKEN_CURRENT_CATALOG",
  "SQL_TOKEN_CURRENT_DEFAULT_TRANSFORM_GROUP", "SQL_TOKEN_CURRENT_PATH",
  "SQL_TOKEN_CURRENT_ROLE", "SQL_TOKEN_CURRENT_SCHEMA",
  "SQL_TOKEN_CURRENT_USER", "SQL_TOKEN_SESSION_USER",
  "SQL_TOKEN_SYSTEM_USER", "SQL_TOKEN_VARCHAR", "SQL_TOKEN_VARBINARY",
  "SQL_TOKEN_VARYING", "SQL_TOKEN_OBJECT", "SQL_TOKEN_NCLOB",
  "SQL_TOKEN_NATIONAL", "SQL_TOKEN_LARGE", "SQL_TOKEN_CLOB",
  "SQL_TOKEN_BLOB", "SQL_TOKEN_BIGINT", "SQL_TOKEN_BINARY",
  "SQL_TOKEN_WITHOUT", "SQL_TOKEN_BOOLEAN", "SQL_TOKEN_INTERVAL",
  "SQL_TOKEN_OVER", "SQL_TOKEN_ROW_NUMBER", "SQL_TOKEN_NTILE",
  "SQL_TOKEN_LEAD", "SQL_TOKEN_LAG", "SQL_TOKEN_RESPECT",
  "SQL_TOKEN_IGNORE", "SQL_TOKEN_NULLS", "SQL_TOKEN_FIRST_VALUE",
  "SQL_TOKEN_LAST_VALUE", "SQL_TOKEN_NTH_VALUE", "SQL_TOKEN_FIRST",
  "SQL_TOKEN_LAST", "SQL_TOKEN_EXCLUDE", "SQL_TOKEN_OTHERS",
  "SQL_TOKEN_TIES", "SQL_TOKEN_FOLLOWING", "SQL_TOKEN_UNBOUNDED",
  "SQL_TOKEN_PRECEDING", "SQL_TOKEN_RANGE", "SQL_TOKEN_ROWS",
  "SQL_TOKEN_PARTITION", "SQL_TOKEN_WINDOW", "SQL_TOKEN_NO",
  "SQL_TOKEN_LIMIT", "SQL_TOKEN_OFFSET", "SQL_TOKEN_NEXT",
  "SQL_TOKEN_ONLY", "SQL_TOKEN_OR", "SQL_TOKEN_AND", "SQL_LESSEQ",
  "SQL_GREATEQ", "SQL_NOTEQUAL", "SQL_LESS", "SQL_GREAT", "SQL_EQUAL",
  "'+'", "'-'", "SQL_CONCAT", "'*'", "'/'", "'='",
  "SQL_TOKEN_INVALIDSYMBOL", "$accept", "sql_single_statement", "sql",
  "schema_element", "base_table_def", "base_table_element_commalist",
  "base_table_element", "column_def", "column_def_opt_list", "nil_fkt",
  "unique_spec", "column_def_opt", "table_constraint_def",
  "op_column_commalist", "column_commalist", "view_def",
  "opt_with_check_option", "opt_column_commalist", "privilege_def",
  "opt_with_grant_option", "privileges", "operation_commalist",
  "operation", "grantee_commalist", "grantee", "opt_order_by_clause",
  "ordering_spec_commalist", "ordering_spec", "opt_asc_desc", "sql_not",
  "manipulative_statement", "union_statement", "commit_statement",
  "delete_statement_searched", "fetch_statement", "insert_statement",
  "values_or_query_spec", "table_value_const_list",
  "row_value_constructor", "row_value_constructor_elem",
  "rollback_statement", "select_statement_into", "opt_all_distinct",
  "assignment_commalist", "assignment", "update_source",
  "update_statement_searched", "target_commalist", "target",
  "opt_where_clause", "query_term", "select_statement", "selection",
  "opt_result_offset_clause", "result_offset_clause",
  "opt_fetch_first_row_count", "first_or_next", "row_or_rows",
  "opt_fetch_first_clause", "fetch_first_clause", "offset_row_count",
  "fetch_first_row_count", "opt_limit_offset_clause", "opt_offset",
  "limit_offset_clause", "table_exp", "from_clause", "table_ref_commalist",
  "opt_as", "opt_row", "table_primary_as_range_column", "table_ref",
  "where_clause", "opt_group_by_clause", "column_ref_commalist",
  "opt_having_clause", "boolean_primary",
  "parenthesized_boolean_value_expression", "boolean_factor",
  "boolean_term", "search_condition", "predicate",
  "comparison_predicate_part_2", "comparison_predicate", "comparison",
  "between_predicate_part_2", "between_predicate",
  "character_like_predicate_part_2", "other_like_predicate_part_2",
  "like_predicate", "opt_escape", "null_predicate_part_2", "test_for_null",
  "in_predicate_value", "in_predicate_part_2", "in_predicate",
  "quantified_comparison_predicate_part_2", "all_or_any_predicate",
  "any_all_some", "existence_test", "unique_test", "subquery",
  "scalar_exp_commalist", "select_sublist", "parameter_ref", "literal",
  "as_clause", "position_exp", "num_value_fct", "char_length_exp",
  "octet_length_exp", "bit_length_exp", "length_exp", "datetime_field",
  "extract_field", "time_zone_field", "extract_exp", "unsigned_value_spec",
  "general_value_spec", "set_fct_spec", "function_name0", "function_name1",
  "function_name2", "function_name12", "function_name23", "function_name3",
  "function_name", "string_function_1Argument",
  "string_function_2Argument", "string_function_3Argument",
  "string_function_4Argument", "string_function",
  "date_function_0Argument", "date_function_1Argument", "date_function",
  "numeric_function_0Argument", "numeric_function_1Argument",
  "numeric_function_2Argument", "numeric_function", "window_function",
  "window_function_type", "ntile_function",
  "dynamic_parameter_specification", "simple_value_specification",
  "number_of_tiles", "opt_lead_or_lag_function", "opt_null_treatment",
  "lead_or_lag_function", "lead_or_lag", "lead_or_lag_extent", "offset",
  "default_expression", "null_treatment", "first_or_last_value_function",
  "first_or_last_value", "opt_from_first_or_last", "nth_value_function",
  "nth_row", "from_first_or_last", "window_name",
  "window_name_or_specification", "in_line_window_specification",
  "opt_window_clause", "window_clause", "window_definition_list",
  "window_definition", "new_window_name", "window_specification",
  "opt_existing_window_name", "opt_window_partition_clause",
  "opt_window_frame_clause", "existing_window_name",
  "window_partition_clause", "window_partition_column_reference_list",
  "window_partition_column_reference", "opt_window_frame_exclusion",
  "window_frame_clause", "window_frame_units", "window_frame_extent",
  "window_frame_start", "window_frame_preceding", "window_frame_between",
  "window_frame_bound_1", "window_frame_bound_2", "window_frame_bound",
  "window_frame_following", "window_frame_exclusion", "op_parameter",
  "odbc_call_spec", "op_odbc_call_parameter", "odbc_parameter_commalist",
  "odbc_parameter", "odbc_fct_spec", "odbc_fct_type", "general_set_fct",
  "set_fct_type", "ordered_set_function", "hypothetical_set_function",
  "within_group_specification",
  "hypothetical_set_function_value_expression_list",
  "inverse_distribution_function",
  "inverse_distribution_function_argument",
  "inverse_distribution_function_type", "array_aggregate_function",
  "rank_function_type", "outer_join_type", "join_condition", "join_spec",
  "join_type", "cross_union", "qualified_join", "joined_table",
  "named_columns_join", "simple_table", "non_join_query_primary",
  "non_join_query_term", "query_primary", "non_join_query_exp", "all",
  "query_exp", "scalar_subquery", "cast_operand", "cast_target",
  "cast_spec", "value_exp_primary", "num_primary", "factor", "term",
  "num_value_exp", "datetime_primary", "datetime_value_fct", "time_zone",
  "time_zone_specifier", "datetime_factor", "datetime_term",
  "datetime_value_exp", "non_second_datetime_field", "datetime_unit",
  "start_field", "end_field", "single_datetime_field",
  "interval_qualifier", "function_arg_commalist2",
  "function_arg_commalist3", "function_arg_commalist4",
  "value_exp_commalist", "function_arg", "function_args_commalist",
  "value_exp", "string_value_exp", "char_value_exp", "concatenation",
  "char_primary", "collate_clause", "char_factor", "string_value_fct",
  "bit_value_fct", "bit_substring_fct", "bit_value_exp", "bit_factor",
  "bit_primary", "char_value_fct", "for_length", "char_substring_fct",
  "upper_lower", "fold", "form_conversion", "char_translation", "trim_fct",
  "trim_operands", "trim_spec", "derived_column", "table_node",
  "catalog_name", "schema_name", "table_name", "column_ref", "column_val",
  "data_type", "opt_char_set_spec", "opt_collate_clause",
  "predefined_type", "character_string_type", "opt_paren_precision",
  "paren_char_length", "opt_paren_char_large_length",
  "paren_character_large_object_length", "large_object_length",
  "opt_multiplier", "character_large_object_type",
  "national_character_string_type", "national_character_large_object_type",
  "binary_string_type", "binary_large_object_string_type", "numeric_type",
  "opt_paren_precision_scale", "exact_numeric_type",
  "approximate_numeric_type", "boolean_type", "datetime_type",
  "opt_with_or_without_time_zone", "interval_type", "column",
  "case_expression", "case_abbreviation", "case_specification",
  "simple_case", "searched_case", "simple_when_clause_list",
  "simple_when_clause", "when_operand_list", "when_operand",
  "searched_when_clause_list", "searched_when_clause", "else_clause",
  "result", "result_expression", "case_operand", "cursor", "parameter",
  "range_variable", "user", "trigger_definition", "op_referencing",
  "trigger_action_time", "trigger_event", "op_trigger_columnlist",
  "trigger_column_list", "triggered_action", "op_triggered_action_for",
  "trigger_for", "triggered_when_clause", "triggered_SQL_statement",
  "SQL_procedure_statement_list", "SQL_procedure_statement",
  "transition_table_or_variable_list", "transition_table_or_variable",
  "old_transition_table_name", "new_transition_table_name",
  "transition_table_name", "old_transition_variable_name",
  "new_transition_variable_name", "trigger_name", YY_NULLPTR
};
#endif

#define YYPACT_NINF -1184
#define YYTABLE_NINF -747

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const short int yypact[] =
{
    2427,  1464,   121, -1184,   190,   448, -1184, -1184, -1184, -1184,
   -1184, -1184,  2748,   487, -1184, -1184,   169,   -30,   223,   237,
      13, -1184, -1184, -1184,   205,   256, -1184,   242,   453,   262,
   -1184, -1184, -1184, -1184,   292,   175,    96, -1184, -1184,   335,
     425, -1184,   256,   405, -1184, -1184, -1184,   433, -1184,   439,
     479, -1184, -1184,   369, -1184, -1184, -1184, -1184, -1184, -1184,
     488, -1184, -1184, -1184, -1184, -1184, -1184,   498, -1184, -1184,
   -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184,   530, -1184,
   -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184,
   -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184,
   -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184,
   -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184,
   -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184,
   -1184, -1184, -1184, -1184,   543,  4941,   546,   549, -1184, -1184,
   -1184, -1184, -1184, -1184, -1184, -1184, -1184,   572,   580, -1184,
   -1184, -1184, -1184,   605, -1184, -1184, -1184, -1184, -1184, -1184,
    8186,  8186,   497,   515, -1184, -1184, -1184, -1184,   459, -1184,
     490, -1184, -1184, -1184, -1184,   167,   158, -1184, -1184, -1184,
   -1184, -1184, -1184,   295,   304, -1184, -1184,  5246, -1184, -1184,
   -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184,
   -1184, -1184,   569, -1184, -1184, -1184, -1184, -1184, -1184, -1184,
   -1184, -1184, -1184,   621,   630,   647,   652,   666,   668,   683,
   -1184, -1184, -1184,   687, -1184, -1184, -1184, -1184, -1184, -1184,
   -1184, -1184, -1184,   357, -1184, -1184,   690, -1184,   698, -1184,
     381,   701, -1184, -1184, -1184,   704, -1184,   706, -1184, -1184,
   -1184, -1184, -1184,   -25,  -197,   641, -1184, -1184, -1184, -1184,
     372, -1184,   391, -1184,   674, -1184, -1184, -1184, -1184, -1184,
   -1184,   713, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184,
   -1184, -1184, -1184, -1184, -1184,  1464,   721,   723, -1184,   646,
     436,    47, -1184, -1184,   680, -1184,   157,    15, -1184,   757,
     450, -1184,  8666, -1184, -1184,   594,   764,   766,   772,  3069,
     379, -1184, -1184, -1184,   762,     3,  7598, -1184,  7598,   109,
     405,   405,   768,   405,   151, -1184, -1184,   700,   703, -1184,
     818, -1184,   818, -1184,   818,   731,   824, -1184,   418,  7598,
   -1184, -1184, -1184,  1169,  7598,  4647, -1184,   216,   709, -1184,
   -1184, -1184,  7598,  7598,  7598,   405,  7598,  7598,  4353,  7598,
    5540,  3390, -1184,   222, -1184,   593,  7598,  7598,   840,   776,
    7598, -1184, -1184, -1184, -1184,  6128,   843,  7598,   825,  5246,
   -1184, -1184, -1184, -1184, -1184, -1184,  3390,  3390, -1184,   852,
     854, -1184, -1184,   256, -1184, -1184, -1184, -1184,   860,  7598,
    7598,  6422,  6422,  7598,  5834,  7598,   117,  7598,  7598,    96,
    7892,  6716,  7892,  7892,  7892,  7892,   780, -1184,  7598,   470,
     405, -1184,  7598,   869,  6128, -1184,   825, -1184, -1184,   825,
     825, -1184, -1184, -1184, -1184, -1184, -1184,   874,   405, -1184,
   -1184, -1184,  3069,    96, -1184,    52,   872,   875, -1184, -1184,
   -1184, -1184, -1184, -1184,   870,   372,   899,   773,   902,  7598,
     904,   818, -1184,   429,   771,   151,   628, -1184,    70, -1184,
   -1184, -1184,   405,   406,   839, -1184, -1184,    17, -1184,   224,
     911, -1184,    84, -1184,   372,   779, -1184,  7598, -1184, -1184,
     -15,   914,  7010,   893,   896,    70,    20,    21,    22,   920,
     201,    -2,   642,   -10,   850, -1184, -1184,   851, -1184, -1184,
     853, -1184,   855,   858,   930,   871, -1184,   880, -1184, -1184,
     885, -1184, -1184,   372,   -33,  5540,    23,  -138,  7598, -1184,
     697,  3390,   694, -1184,   593,   649,   372,   654,    28, -1184,
     569, -1184, -1184,   942, -1184,    73,   637,  5540, -1184, -1184,
     122,    19, -1184,   849, -1184, -1184,   295, -1184, -1184,   959,
     494, -1184, -1184,   960,   966,   967,   969, -1184,   971,   972,
     973,   975,   976,   977, -1184,   658,   672,   979,   980, -1184,
     693,   984,   985,   958, -1184, -1184, -1184, -1184, -1184,   986,
     372,    34,  7598,   988,   233, -1184,   110,   116, -1184, -1184,
     -25,   -25, -1184, -1184, -1184, -1184, -1184,    35, -1184,   555,
   -1184,   151,   151,   151,  7598,   990,  1169,   963,    10,   833,
     833,   405, -1184,   992,    79,   965, -1184, -1184,   900,    55,
    3390, -1184, -1184,    32,   993, -1184, -1184, -1184, -1184,   610,
   -1184,   876, -1184, -1184, -1184,   133,   628, -1184,   771,  7598,
      70, -1184, -1184,   405,   372,  7598, -1184,  7598,    -8,   991,
   -1184,   991, -1184, -1184,    78, -1184,   682, -1184, -1184, -1184,
     151, -1184,  7598,  7598,  7598, -1184,  7598,  7598,  7598,   968,
    1001,  7598,   372, -1184, -1184,    85, -1184,  5246,    80,    81,
     106,   185,   194, -1184,   760, -1184, -1184, -1184, -1184, -1184,
     776,  6128,   707,   944,  7598, -1184, -1184, -1184, -1184,  7598,
     262,  7598,  7598, -1184,  7598,  7598, -1184,  7598,  7598, -1184,
   -1184,  7598, -1184, -1184,  7598, -1184,   705, -1184,   987,  1003,
     337,  1007,   777,   777,  7598, -1184, -1184,  6128, -1184, -1184,
     646, -1184,   646,   776, -1184,   939,  1005,  1008, -1184, -1184,
      30, -1184,  1019,  1019,   919,  1021, -1184,   146,  1019, -1184,
   -1184,  1022,  1022,   176,  1022,  1022,  1023,    62,  1023,  1023,
   -1184,   177, -1184,   640,  1024, -1184, -1184, -1184,   994, -1184,
     674, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184,
    1025,  1026, -1184,  1029,   940,   947, -1184,   634, -1184, -1184,
    1030, -1184,   878,   849, -1184, -1184,   936, -1184,   937,   304,
     628, -1184,    70,    61,   509,   888,  1034,   790,   120, -1184,
   -1184, -1184,   120,   130,   964, -1184, -1184,  1036,   372,   372,
    7598,  1016,    70, -1184,  7304,    32,   372,   372,    36,   -13,
     102,    48,  3711, -1184, -1184,  -114,  4032,  7598, -1184, -1184,
   -1184,  1040, -1184, -1184,  1037,   733,   277,   983,   253,   372,
   -1184,  1053, -1184, -1184,  1054,  1055,  1027,   961, -1184, -1184,
    1056,   337,   775,   778, -1184, -1184, -1184,   989, -1184, -1184,
     729, -1184,   569,   737, -1184, -1184,    92,    92,  1039,  1022,
     789, -1184, -1184,  1042, -1184, -1184, -1184,  1046,  1022,   795,
   -1184, -1184,   -62,   -62,  1022,   798, -1184, -1184, -1184,  1051,
   -1184, -1184,   195,    45, -1184, -1184,  1022,   800, -1184, -1184,
   -1184, -1184, -1184,  1019, -1184, -1184,  1022,   950, -1184, -1184,
   -1184,   970,   674, -1184, -1184, -1184, -1184,  3390,  1074, -1184,
   -1184,    79,    70, -1184,   938,    70, -1184,  1016, -1184, -1184,
   -1184, -1184,    97, -1184, -1184,   509,   449,  1075,   133,   133,
     995, -1184, -1184,   137, -1184, -1184,   982,   996, -1184,  1052,
    1080,  1060, -1184, -1184,  1048,  1011, -1184,   372, -1184, -1184,
   -1184, -1184,   372, -1184,  7598,  1086,  1087, -1184,  1088, -1184,
     141,    95,   468, -1184,  6128, -1184, -1184, -1184, -1184, -1184,
   -1184,  1020,  1084,  7598,  7598,  7598,  7598,    91,   438,  7598,
   -1184, -1184, -1184,  1094,   777, -1184,   776, -1184, -1184,  1095,
   -1184,  1023,   743,  1096, -1184,  1023,   981,   997, -1184, -1184,
   -1184,  1023,   744,  1097,  1022,   823, -1184,  1022, -1184, -1184,
    1023, -1184,   978,   664,  1076, -1184,    87,    70, -1184,   759,
     525,  1064, -1184,  1103, -1184,   856,    61,  1044, -1184, -1184,
    1104,   790,   133,  1035, -1184,   133, -1184,    70, -1184,  1080,
    8435,  3390,   814,   372, -1184, -1184,  3711, -1184, -1184, -1184,
   -1184,  7598, -1184,   471,   337, -1184, -1184,   372, -1184, -1184,
    1118,   263,  1119, -1184,   674, -1184, -1184,  1121, -1184,   486,
   -1184,   372,   961, -1184, -1184, -1184, -1184, -1184,  1105, -1184,
   -1184,   998,   999, -1184, -1184, -1184, -1184, -1184, -1184, -1184,
   -1184, -1184,  1023, -1184, -1184,  1022, -1184, -1184, -1184, -1184,
     769, -1184,  1031,  1126,   118,   405, -1184, -1184,  1032,   519,
    1059, -1184,  1033, -1184,   793,   133,   570,   782, -1184,  1127,
   -1184, -1184,   304,   958,   961, -1184, -1184, -1184, -1184, -1184,
    7598,    91, -1184, -1184,   784,   877,   827,   831,   838, -1184,
   -1184, -1184,  1134,  1135, -1184, -1184, -1184, -1184,  1038, -1184,
    3390, -1184, -1184, -1184,   569, -1184,  1137, -1184,   -28,   -18,
     519, -1184,   887, -1184,   895, -1184,   797,  3390,  1142, -1184,
   -1184, -1184, -1184,  8435, -1184,  1141, -1184,  1115,   842, -1184,
   -1184,   161,   298, -1184,   834, -1184, -1184, -1184, -1184, -1184,
     140, -1184, -1184, -1184, -1184,   405,    90,    70,  1124, -1184,
    1124,  1124,  1124, -1184,   542,  1150,  1785,   304,    70, -1184,
   -1184,   958,  1158,  1143,   857, -1184, -1184, -1184,   784,   905,
   -1184, -1184,   865,  1164, -1184,   812,  1144,  1147,  1144,  1148,
   -1184, -1184, -1184,  3390, -1184,   912, -1184, -1184, -1184,   815,
   -1184, -1184,   868,   946,  1107, -1184, -1184, -1184, -1184, -1184,
      70, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184,
   -1184,    93,  2427, -1184,  1159, -1184,  -151,   569,  -127, -1184,
   -1184,   829, -1184,  1176, -1184, -1184, -1184, -1184, -1184, -1184,
   -1184,   946, -1184,  2106,  -151, -1184,   569, -1184, -1184,   873,
   -1184
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const unsigned short int yydefact[] =
{
      70,    70,     0,   757,     0,   438,   597,   223,   219,   220,
     221,   222,    70,   723,   463,   458,     0,     0,     0,     0,
       0,   329,   327,    92,     0,     0,   256,     0,     0,    70,
     619,   459,   460,   255,     0,     0,    95,   464,   461,     0,
       0,   257,     0,     0,   618,   254,   297,     0,   308,   725,
       0,   309,   310,   307,   298,   304,   296,   289,   311,   299,
     724,   303,   306,   305,   300,   312,   301,     0,   302,   542,
     543,   544,   313,   314,   320,   317,   316,   318,   726,   323,
     324,   319,   321,   315,   322,   290,   325,   330,   331,   328,
     286,   326,   332,   334,   335,   336,   337,   352,   338,   339,
     340,   341,   347,   342,   287,   288,   349,   348,   353,   333,
     354,   350,   355,   351,   285,   343,   344,   345,   346,   356,
     462,   471,   470,   469,   468,   467,   466,   465,   484,   485,
     486,   487,   481,   482,     0,     0,     0,     0,   258,   259,
     260,   261,   262,   263,   264,   265,   266,     0,     0,   376,
     377,   384,   385,     0,   181,   182,   178,   177,   180,   179,
       0,     0,     0,     2,     5,     6,     7,     8,     0,     4,
      79,    72,    73,    74,    75,    70,   158,    76,    77,    78,
      81,   160,   162,   164,   762,   156,   166,     0,   187,   167,
     192,   193,   173,   200,   171,   205,   172,   208,   168,   169,
     170,   517,   252,   233,   531,   240,   241,   242,   235,   234,
     522,   251,   524,     0,     0,     0,     0,     0,     0,     0,
     280,   283,   291,     0,   292,   278,   281,   293,   279,   282,
     284,   294,   527,     0,   361,   362,     0,   363,     0,   364,
     267,     0,   456,   472,   473,     0,   457,     0,   525,   529,
     530,   532,   535,   538,   589,   547,   541,   549,   550,   591,
      91,   590,   592,   594,   600,   593,   598,   603,   604,   602,
     609,     0,   610,   611,   612,   613,   523,   641,   526,   727,
     728,   732,   733,   253,     9,    70,     0,     0,   505,     0,
      81,     0,   506,   508,   511,   516,     0,    91,   756,     0,
       0,   450,     0,   451,   452,     0,     0,     0,     0,    70,
       0,    71,   307,   161,     0,     0,     0,    83,     0,    95,
       0,     0,     0,     0,     0,   212,   755,     0,     0,    53,
      42,    51,    42,    56,    42,     0,    48,    49,   184,     0,
      93,    96,    97,     0,     0,     0,   213,   640,     0,   636,
     635,   634,     0,     0,     0,     0,     0,   608,     0,     0,
       0,    70,   754,   750,   747,     0,     0,     0,     0,     0,
       0,   534,   533,     1,     3,     0,     0,     0,   514,     0,
     186,   190,   191,   199,   204,   207,    70,    70,   210,   209,
     211,   176,    90,     0,   224,   225,   226,   227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    95,
       0,     0,     0,     0,     0,     0,     0,   548,     0,     0,
       0,   601,     0,   516,     0,   763,   514,   157,   214,   514,
     514,   528,   758,   439,   295,   449,   267,     0,     0,    80,
     268,   448,    70,    95,   504,     0,     0,   723,   725,   724,
     726,   647,   642,   646,     0,   518,     0,   590,     0,     0,
       0,    42,   799,     0,   107,     0,     0,    47,     0,    55,
      54,    52,     0,     0,     0,   197,   198,     0,   111,     0,
     112,   215,   228,   217,     0,   590,   630,     0,   631,   632,
     629,     0,     0,     0,     0,     0,     0,     0,     0,    42,
       0,   578,     0,   578,     0,   606,   607,   327,   248,   249,
     323,   559,   324,   319,   244,   286,   555,   326,   552,   246,
       0,   245,   243,   247,    61,     0,     0,     0,     0,   748,
       0,    70,   750,   736,     0,     0,   578,     0,   578,   359,
     367,   369,   368,     0,   366,     0,     0,     0,   203,   201,
     194,   194,   515,     0,   175,   163,   165,   206,   270,     0,
     753,   581,   752,     0,     0,   327,   323,   567,   324,   319,
     325,   286,   326,     0,   585,     0,     0,     0,     0,   269,
       0,     0,     0,   405,   393,   394,   357,   395,   396,   370,
     378,     0,     0,     0,   480,   358,     0,   478,   536,   537,
     539,   540,   546,   545,   596,   595,   599,     0,   507,     0,
      88,     0,     0,     0,     0,   441,     0,     0,     0,     0,
       0,     0,   454,     0,     0,     0,   767,   768,     0,     0,
      70,    84,   108,     0,    85,   104,   106,   218,   723,     0,
      38,     0,    50,   183,   238,     0,     0,   110,   107,     0,
       0,   633,   230,     0,   628,     0,   624,     0,     0,     0,
     638,   640,   637,   639,   107,    98,     0,   239,   236,   237,
       0,   232,     0,     0,     0,   617,     0,     0,     0,     0,
       0,     0,   753,   751,   735,    90,   742,     0,   187,   192,
     200,   205,     0,   739,     0,   737,   729,   731,   730,   365,
       0,     0,     0,     0,     0,   189,   188,    82,   271,     0,
      70,     0,     0,   272,     0,     0,   276,     0,     0,   277,
     273,     0,   275,   274,     0,   411,   407,   406,     0,     0,
     373,     0,   476,   476,     0,   620,    87,     0,   510,   509,
     513,   109,   512,   445,   440,     0,     0,   723,   643,   708,
     666,   716,   700,   700,   713,   711,   707,   666,   700,   712,
     706,   666,   666,   666,     0,     0,   669,     0,   669,   669,
     709,   666,   715,     0,     0,   519,   520,   648,   649,   665,
     651,   688,   655,   695,   656,   698,   699,   657,   658,   659,
       0,     0,   455,     0,     0,     0,    19,     0,    11,    13,
       0,    14,     0,     0,   769,   771,   773,   770,     0,   147,
       0,    43,     0,     0,     0,     0,   133,   134,   759,   501,
     502,   144,   140,     0,   148,   216,   229,     0,   627,   626,
       0,     0,     0,   103,     0,    86,   579,   580,     0,   614,
     590,     0,    70,   483,   749,   174,    70,     0,   734,   390,
     389,     0,   185,   202,     0,   195,   584,   184,     0,   582,
     575,     0,   586,   587,     0,     0,     0,    61,   408,   379,
     371,   373,     0,     0,   383,   374,   453,     0,   479,   474,
       0,    89,   446,     0,   443,   447,     0,     0,     0,     0,
       0,   660,   667,     0,   705,   704,   714,     0,     0,     0,
     684,   703,   719,   719,     0,     0,   661,   664,   694,     0,
     691,   670,   666,   666,   681,   697,     0,     0,   692,   556,
     557,   558,   553,   700,   554,   551,   666,     0,   574,   722,
     521,     0,   651,   652,   654,   622,   621,    70,     0,    20,
      10,     0,     0,    16,    40,     0,   772,     0,   105,    37,
     761,    59,    45,    57,    60,     0,   494,   144,     0,     0,
       0,   490,   495,   494,   488,   489,   496,     0,   137,     0,
      35,     0,   142,    94,     0,   154,   623,   625,   640,    99,
     102,   100,   101,   231,     0,     0,     0,   250,    62,    63,
      67,    67,     0,   741,     0,   743,   745,   746,   744,   740,
     738,   386,     0,     0,     0,     0,     0,     0,   409,     0,
     375,   381,   382,     0,   476,   442,   445,   645,   644,     0,
     662,   669,     0,     0,   687,   669,     0,     0,   717,   718,
     663,   669,   673,     0,     0,     0,   682,     0,   683,   693,
     669,   572,   571,     0,     0,   653,     0,     0,    12,     0,
      15,     0,    39,   775,   774,   765,     0,     0,    44,   146,
     144,   135,     0,     0,   497,     0,   760,     0,   143,    35,
       0,    70,   397,   615,   616,   605,    70,    68,    69,    66,
      65,     0,   174,     0,   373,   387,   196,   583,   588,   576,
       0,   723,   412,   414,   651,   420,   419,     0,   410,     0,
     372,   380,    61,   475,   444,   668,   679,   701,     0,   710,
     690,     0,     0,   680,   674,   675,   676,   677,   678,   672,
     671,   685,   669,   686,   696,   666,   569,   573,   650,    34,
       0,    31,     0,    27,     0,     0,    22,    17,     0,     0,
     777,    58,     0,   145,   498,     0,   494,     0,   141,   149,
     151,   150,   155,     0,    61,   398,    64,   391,   392,   388,
       0,     0,   415,   404,     0,     0,     0,     0,   416,   421,
     424,   422,     0,     0,   720,   721,   689,   570,     0,    21,
      70,    24,    25,    26,    23,    18,    29,    41,   138,   138,
     766,   788,     0,   764,   781,    46,   499,    70,     0,   492,
     500,   493,    36,     0,   403,   399,   401,     0,   127,   577,
     413,     0,     0,   430,     0,   428,   432,   425,   423,   426,
       0,   418,   417,   477,   702,     0,     0,     0,   136,   139,
     136,   136,   136,   789,     0,     0,    70,   491,     0,   153,
     152,     0,     0,     0,   113,   128,   431,   433,     0,     0,
     435,   436,     0,    32,    28,     0,     0,     0,     0,     0,
     779,   780,   778,    70,   782,     0,   787,   776,   783,     0,
     400,   402,   129,     0,   122,   114,   427,   429,   434,   437,
       0,    30,   796,   793,   795,   798,   791,   792,   794,   797,
     790,     0,    70,   503,     0,   131,     0,   125,     0,   132,
     123,     0,   159,     0,   785,   130,   120,   121,   115,   118,
     119,   116,    33,    70,     0,   117,   126,   784,   786,     0,
     124
};

  /* YYPGOTO[NTERM-NUM].  */
static const short int yypgoto[] =
{
   -1184, -1184,    88, -1184, -1184, -1184,   243, -1184, -1184, -1184,
     144, -1184, -1184,   127,  -885, -1184, -1184,  -233, -1184, -1184,
   -1184, -1184,   714, -1184,   143,  -830, -1184,   125,   206,   -16,
   -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184,  -172,  -125,
   -1184, -1184,  -200, -1184,   370, -1184, -1184,   557,   394,  -516,
     254,     0,   590, -1184, -1184, -1184, -1184,  -107, -1184, -1184,
   -1184, -1184, -1184, -1184, -1184,   385, -1184, -1184,  -805,    24,
   -1184,  -627, -1184, -1184, -1184, -1184,  1197, -1184,   826,   828,
       1,  -763, -1184, -1184,  -155,  -147, -1184,  -144,  1043, -1184,
     660,  -141, -1184, -1184,  -140, -1184,  1045, -1184, -1184, -1184,
   -1184,   -19, -1184,   565, -1184,  -364, -1184, -1184, -1184, -1184,
   -1184, -1184, -1184, -1184, -1184, -1184, -1184,  -987, -1184,  -298,
   -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184,
   -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184,
   -1184, -1184,   521,   522, -1184, -1184,  -795, -1184, -1184, -1184,
   -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184,  -325,
   -1184, -1184, -1184, -1184, -1184,   -22, -1184,   -17, -1184, -1184,
   -1184, -1184, -1184, -1184,    65, -1184, -1184, -1184, -1184,   128,
   -1184, -1184, -1184, -1184,   -20, -1184, -1184, -1184, -1184, -1184,
   -1184,   213, -1184, -1184,  -295, -1184, -1184, -1184,  -711, -1184,
   -1184, -1184, -1184, -1184,  -293, -1184, -1184, -1184,   267, -1184,
   -1184,  -685, -1184, -1184,   620,   269, -1184,  -277,   115,  -393,
   -1184,   915,   612, -1184,   861,   732,   482,   483,   830, -1184,
     100, -1184, -1184, -1184, -1184, -1184,  -712, -1184, -1184, -1184,
   -1184, -1184, -1184, -1184, -1184,  -313,  -332,   202,    11,  -302,
   -1184, -1184, -1184,  1002,   816, -1184, -1184, -1184, -1184, -1184,
   -1184, -1184,   399, -1184, -1184, -1184, -1184, -1184, -1184, -1184,
   -1184, -1184,   -40, -1184,   407,  -483,  -925,  -553,   440, -1184,
    -862, -1184, -1184,  -716,  -297,  -719, -1184, -1184, -1184, -1184,
   -1184, -1184, -1184, -1184, -1184,  -658, -1184, -1184, -1184, -1184,
     338, -1184,  -301, -1184, -1184, -1184, -1184, -1184, -1184,   710,
   -1184,   397,   881,  -271,   715,  -454, -1184, -1184, -1184,  -306,
   -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184, -1184,
   -1184, -1184, -1184, -1184, -1183, -1184,    58, -1184, -1184,    -9,
   -1184, -1184, -1184
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const short int yydefgoto[] =
{
      -1,   162,  1266,   164,   165,   797,   798,   799,  1050,  1183,
     800,  1137,   801,  1068,   639,   166,  1052,   469,   167,  1058,
     335,   336,   337,   952,   953,   680,   988,   989,  1079,   168,
     169,   170,   171,   172,   173,   174,   288,   609,   175,   176,
     177,   178,   343,   664,   665,   981,   179,   634,   635,   631,
     289,   444,   479,  1274,  1275,  1314,  1311,  1308,  1299,  1300,
    1296,  1315,  1244,  1295,  1245,   647,   648,   816,   969,  1230,
     972,   956,   632,   975,  1149,  1072,   181,  1264,   182,   183,
     184,   185,   686,   186,   187,   188,   189,   190,   191,   192,
     705,   193,   194,   548,   195,   196,   197,   198,   393,   199,
     200,   201,   480,   481,   636,   202,   651,   203,   204,   205,
     206,   207,   208,   519,   520,   521,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   541,   542,   543,   729,   874,   235,   236,   589,
     870,  1100,   875,   237,   238,  1084,   239,   851,  1085,  1204,
     586,   587,  1154,  1155,  1205,  1206,  1207,   588,   726,   867,
    1097,   727,   868,  1092,  1093,  1221,  1098,  1099,  1168,  1213,
    1170,  1171,  1214,  1276,  1215,  1216,  1222,   305,   306,   744,
     883,   884,   307,   308,   240,   241,   242,   243,   878,   596,
     244,   593,   245,   246,   247,   966,  1199,  1200,   967,   819,
     820,   821,  1201,   292,   293,   294,   739,   295,   553,   296,
     248,   454,   774,   249,   250,   251,   252,   253,   254,   255,
     256,   417,   603,   257,   258,   259,   522,   573,   927,  1127,
     928,   929,   563,   577,   581,   597,   574,   575,   260,   261,
     262,   263,   264,   933,   265,   266,   267,   268,   504,   505,
     506,   269,   985,   270,   271,   272,   273,   274,   275,   491,
     492,   483,   822,   349,   350,   351,   276,   452,   776,   932,
     934,   777,   778,   891,   892,   910,   911,  1033,  1119,   779,
     780,   781,   782,   783,   784,   894,   785,   786,   787,   788,
    1028,   789,   277,   278,   279,   280,   281,   282,   532,   533,
     692,   693,   363,   364,   530,   561,   562,   365,   327,   283,
     970,   954,   284,  1140,   629,   808,   946,  1054,  1193,  1194,
    1262,  1236,  1267,  1303,  1268,  1190,  1191,  1287,  1283,  1284,
    1290,  1286,   463
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const short int yytable[] =
{
     180,   290,   291,   348,   435,   540,   325,   436,   423,   437,
     362,   663,   297,   338,   453,   391,   457,   971,   817,   431,
     379,   644,   879,   346,   667,   668,   669,   431,   380,   447,
     703,   381,   698,   888,   383,   384,   747,  1008,   730,   735,
     983,   900,   485,   500,   502,   902,   903,   906,   888,   914,
     915,   427,   987,   535,   537,   918,   427,  1049,   984,   655,
    1053,   926,   392,   544,   676,   748,   830,   559,   564,   679,
    1045,   578,   633,   582,   683,   551,  1010,   674,   700,   991,
    1026,   585,  1094,   832,   704,  -743,  -745,   950,   163,   287,
    -741,  1129,   529,  1228,  1254,   895,   638,  1302,   429,   470,
     901,   471,  1056,  1231,   912,   638,  -614,   681,  1306,  1304,
     638,  -746,  1167,   317,   733,   805,   650,  1091,   638,   459,
     583,   672,   793,   673,   341,   414,   415,   623,  1077,   957,
    1318,  -174,   824,   703,   320,   810,   814,   341,     7,     8,
       9,    10,    11,   584,   815,  1151,  -136,   298,   833,   888,
     734,   794,   968,   321,   465,  1307,  1078,   448,   342,   347,
     637,   428,  1130,   430,   448,   423,   -90,   640,   449,   951,
    1309,   342,   316,   984,  1077,   449,   387,  1212,   -90,   888,
     888,   652,  1147,   -90,   795,  1310,   450,   704,   423,   806,
    -744,  1249,   311,   450,   666,   -90,  1036,  1038,   888,   846,
    -176,  -176,  1078,   546,   645,   671,   672,   554,   673,   592,
    1042,   796,   961,   807,  1181,   913,   299,  1250,   962,   630,
     -90,  1027,   493,   429,   448,   -90,   318,   844,   625,   494,
     -90,  1229,  1162,   448,   702,   449,  1094,   -90,   448,  1057,
     319,  1229,   -90,   616,   449,   448,   448,   -90,   423,   449,
     392,    29,   610,   450,   392,  1182,   449,   449,   725,   324,
     731,  1212,   450,   529,   443,  1041,   670,   450,   326,   314,
     957,   322,  1172,  1060,   450,   450,   315,   835,  1240,   323,
     460,   461,   672,   464,   673,   290,   291,   311,   430,  1159,
     286,   418,    69,    70,    71,   339,   297,   964,   645,   392,
     412,   413,  1106,  1103,   889,   965,  1110,   646,   890,   418,
     445,   418,  1113,   991,   418,   499,   418,   453,   340,  1037,
     297,  1124,   418,   802,  1208,  -187,  -192,   455,   451,   455,
    -158,  1126,  1061,  1017,  1018,   451,   540,   710,   344,   418,
     637,   418,  1255,  -590,   418,   418,   418,   418,   663,   826,
     477,  -200,   418,  1269,   482,   484,   490,   549,   418,   418,
     418,   387,   527,   496,   497,   498,   387,   501,   503,   523,
     524,   526,   418,   287,   557,   840,   687,   536,   538,   882,
     606,   545,   860,   861,   688,   862,   863,   689,   484,   864,
     690,   691,   865,  1000,   544,  1301,   856,   418,   615,  -158,
    -158,   387,   855,  1176,   387,   712,   685,   387,   418,  1177,
     560,   560,   560,   560,   560,   560,   560,   451,   590,   591,
     898,   880,   536,  1256,   899,  1257,  1258,  1259,   345,   604,
    -205,   347,   641,   607,   458,  1144,   352,   885,  1146,   847,
     -81,  1251,   353,   445,  -530,  -530,  -530,  -530,  -530,  1252,
     904,   916,   355,   297,   905,   917,   300,   -90,   -90,   -90,
     -90,   -90,   -90,  1246,  1055,  1218,   329,   907,   908,  1034,
     560,   361,   528,  1035,   -90,   -90,   -90,   -90,   -90,   -90,
     474,   328,   354,   154,   155,   156,   157,   158,   159,     6,
    -295,   356,     2,   314,     3,     4,   375,   373,   654,   960,
     315,   357,  -504,   658,   637,   375,     7,     8,     9,    10,
      11,   949,   955,   329,   475,   845,   330,    18,  1196,   331,
     815,  -504,   374,  1164,   961,   301,   302,   303,   304,   852,
     962,   666,   527,   358,   709,   347,   526,  1165,   376,   682,
     332,   611,   333,   963,   612,   613,   359,   376,   377,   366,
    1132,   476,   367,   707,    26,   414,   415,  1081,   536,   736,
     737,    30,   392,   330,   334,   881,   331,   -81,  1133,   154,
     155,   156,   157,   158,   159,   368,   392,   418,   710,   775,
     775,   791,    33,   369,  1134,   453,   453,   332,   394,   333,
     395,   396,  1020,   397,   301,   302,   303,   304,    39,    40,
    1247,  1024,  1219,   560,   576,    44,   580,  1030,   370,   964,
     386,   334,   392,   827,   811,   812,    41,   965,   387,  1039,
     960,   378,   443,    45,   398,   536,   818,   482,   872,   873,
     795,   809,   711,   399,     2,  1135,     3,     4,   940,   941,
     802,   640,    67,   406,   640,   961,   675,   672,   286,   673,
     400,   962,   882,   696,   672,   401,   673,   796,   697,   672,
     482,   673,   716,   717,   963,   718,   828,  -360,   829,   402,
    1197,   403,  1088,  1089,  1090,   416,   719,   717,   423,   718,
     626,   627,   628,   836,   837,   838,   404,   839,   484,   841,
     405,   994,   682,   407,   857,   919,   418,   722,   717,   995,
     718,   408,   996,  1003,   409,   997,   998,   410,  1198,   411,
     885,   853,   672,   419,   673,   484,   422,   990,   420,   919,
     536,   993,   858,   859,   424,   560,   560,   425,   560,   560,
     964,   426,   560,  1014,   672,   560,   673,  1121,   965,   438,
    1123,  1015,  1016,  1095,  1096,   536,   640,  1107,  1108,   138,
     139,   140,   141,   142,   143,   144,   145,   146,  1114,  1115,
    1116,  1117,  1118,  1131,   812,  -109,   640,   432,  1157,  1158,
    1184,   433,  1150,  1178,   812,   436,   439,   437,   440,   551,
    1188,  1189,     2,   466,     3,     4,  1202,   812,   446,  1166,
       2,   441,     3,     4,   462,   818,     7,     8,     9,    10,
      11,  1260,  1261,   944,     7,     8,     9,    10,    11,   467,
     154,   155,   156,   157,   158,   159,  1281,   812,   418,  1293,
     812,   468,  1082,   495,   920,   511,   921,   922,  1209,   473,
     992,   472,   923,  1312,   812,  1165,   924,   516,   925,   518,
     960,   977,   531,   960,   539,   982,   547,   960,   920,   511,
     921,   922,    26,   552,   749,  -209,  1125,  -211,   682,   347,
     924,   516,   925,   518,   558,   961,   740,   742,   961,   392,
     602,   962,   961,   608,   962,   750,  -494,   614,   962,  -494,
      33,   741,   741,  -494,   963,   617,   751,   963,   618,   752,
     753,   963,   371,   372,   598,   599,   754,   600,   601,   749,
     660,   662,   619,   755,   620,  1239,   622,   624,   436,  1297,
     437,   621,   630,   643,    41,   756,   649,   653,   656,   659,
     750,    45,   661,   468,   677,  -556,   640,  -557,   757,  -558,
     758,   751,  -553,  -325,   752,   753,   818,   640,  1046,   818,
     818,   754,   759,   684,   528,  -554,   699,  1316,   755,   760,
     964,   990,   701,   964,  -551,   761,   762,   964,   965,   678,
     756,   965,   443,   708,   713,   965,     7,     8,     9,    10,
      11,   714,  -563,   757,  -564,   758,  -565,  -561,  -566,   640,
    -562,  -560,   715,   720,   584,   721,   763,   759,   723,   746,
     724,   728,   732,   743,   760,  1073,   792,   803,   810,   804,
     761,   762,   813,   834,   831,   843,   848,   871,   842,   854,
     869,   876,   866,   645,  1087,   560,   560,   560,   886,   877,
    1101,   887,   893,   896,   897,   888,   909,   938,   930,   935,
     936,   763,   937,   942,   939,   945,   931,   947,   958,   959,
     976,   974,   978,   818,  1001,   474,   818,   138,   139,   140,
     141,   142,   143,   144,   145,   146,  1002,  -590,  1004,  1005,
    1006,  1009,  1019,   679,  1021,  1022,  1013,  1007,  1011,  1023,
    1025,  1012,  1152,  1031,  1032,  1040,  1043,  1047,  1066,  1059,
    1051,  1062,  1065,  1067,  1044,  1064,  1069,  1211,  1070,  1071,
    1074,  1075,   484,  1076,  1083,  1186,  1086,  1102,  1122,  1105,
    1109,  1120,  1128,  1111,  -568,   764,   765,  1138,   812,   766,
     767,  1139,   768,   769,   770,   771,  1143,   772,   773,  1112,
    1142,  1145,  1153,  1160,  1161,  1163,   818,  1179,  1173,  1180,
    1192,  1218,  1203,  1187,  1195,  1219,  1217,  1220,  1223,  1224,
    1227,  1234,  1174,  1175,  1235,  1238,  1241,  1242,  1225,  1248,
     764,   765,  1243,  1263,   766,   767,   968,   768,   769,   770,
     771,   583,   772,   773,  1278,  1279,  1272,  1280,  1273,  1292,
    1282,   560,   360,  1285,  1289,     2,  1298,     3,     4,  1294,
     310,  1226,  1305,  1313,  1048,  1253,  1320,   642,     6,     7,
       8,     9,    10,    11,  1136,    13,  1148,  1080,  1237,  1141,
      14,  1156,   979,   823,   948,    15,   745,  1319,   973,   313,
      16,   706,   555,  1232,   825,   556,    18,    19,   382,  1270,
     385,   849,   850,    21,    22,  1271,  1210,  1169,  1277,  1104,
    1063,   738,   790,   456,  1185,   605,   180,    26,   550,   986,
     594,  1029,   943,   999,   695,     0,   534,   694,  1233,  1288,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      30,    31,    32,     0,  1291,    33,   421,    34,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    37,     0,     0,    38,
       0,     0,   180,     0,     0,     0,     0,    39,    40,    41,
       0,     0,     0,     0,    44,     0,    45,     0,     0,     0,
       0,     0,     0,   180,     0,     0,     0,     0,     0,     0,
      46,    47,    48,    49,    50,    51,    52,   312,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,     0,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,     0,    91,     0,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,     0,   134,   135,     0,     0,   136,   137,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   138,   139,   140,   141,   142,   143,   144,   145,
     146,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   147,   148,   149,   150,
       0,     0,     0,   151,   152,   153,     0,   285,     0,     0,
       2,     0,     3,     4,     0,     5,     0,     0,     0,     0,
       0,     0,     0,     6,     7,     8,     9,    10,    11,    12,
      13,   160,   161,     0,   478,    14,     0,     0,     0,     0,
      15,     0,     0,     0,     0,    16,     0,     0,     0,    17,
       0,    18,    19,    20,     0,     0,     0,     0,    21,    22,
       0,     0,     0,    23,    24,     0,     0,     0,     0,     0,
       0,    25,    26,    27,     0,     0,     0,     0,     0,     0,
      28,     0,     0,     0,     0,     0,     0,     0,    29,     0,
       0,     0,     0,     0,     0,    30,    31,    32,     0,     0,
      33,     0,    34,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    35,     0,    36,     0,     0,
       0,    37,     0,     0,    38,     0,     0,     0,     0,     0,
       0,     0,    39,    40,    41,     0,    42,     0,    43,    44,
       0,    45,     0,   286,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,     0,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,     0,    91,     0,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,     0,   134,   135,     0,
       0,   136,   137,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   138,   139,   140,
     141,   142,   143,   144,   145,   146,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   147,   148,   149,   150,     0,     0,     0,   151,   152,
     153,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     154,   155,   156,   157,   158,   159,   160,   161,     1,     0,
       0,     2,     0,     3,     4,     0,     5,     0,     0,     0,
       0,     0,     0,     0,     6,     7,     8,     9,    10,    11,
      12,    13,     0,     0,     0,     0,    14,     0,     0,     0,
       0,    15,     0,     0,     0,     0,    16,     0,     0,     0,
      17,     0,    18,    19,    20,     0,     0,     0,     0,    21,
      22,     0,     0,     0,    23,    24,     0,     0,     0,     0,
       0,     0,    25,    26,    27,     0,     0,     0,     0,     0,
       0,    28,     0,     0,     0,     0,     0,     0,     0,    29,
       0,     0,     0,     0,     0,     0,    30,    31,    32,     0,
       0,    33,     0,    34,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    35,     0,    36,     0,
       0,     0,    37,     0,     0,    38,     0,     0,     0,     0,
       0,     0,     0,    39,    40,    41,     0,    42,     0,    43,
      44,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
       0,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,     0,    91,     0,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,     0,   134,   135,
       0,     0,   136,   137,     0,     0,     0,     0,     0,     0,
       0,  1265,     0,     0,     0,     0,     0,     0,   138,   139,
     140,   141,   142,   143,   144,   145,   146,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   147,   148,   149,   150,     0,     0,     0,   151,
     152,   153,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   154,   155,   156,   157,   158,   159,   160,   161,     1,
       0,     0,     2,     0,     3,     4,     0,     5,     0,     0,
       0,     0,     0,     0,     0,     6,     7,     8,     9,    10,
      11,    12,    13,     0,     0,     0,     0,    14,     0,     0,
       0,     0,    15,     0,     0,     0,     0,    16,     0,     0,
       0,    17,     0,    18,    19,    20,     0,     0,     0,     0,
      21,    22,     0,     0,     0,    23,    24,     0,     0,     0,
       0,     0,     0,    25,    26,    27,     0,     0,     0,     0,
       0,     0,    28,     0,     0,     0,     0,     0,     0,     0,
      29,     0,     0,     0,     0,     0,     0,    30,    31,    32,
       0,     0,    33,     0,    34,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    35,     0,    36,
       0,     0,     0,    37,     0,     0,    38,     0,     0,     0,
       0,     0,     0,     0,    39,    40,    41,     0,    42,     0,
      43,    44,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,     0,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,     0,    91,     0,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,     0,   134,
     135,     0,  1317,   136,   137,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   138,
     139,   140,   141,   142,   143,   144,   145,   146,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   147,   148,   149,   150,     0,     0,     0,
     151,   152,   153,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   154,   155,   156,   157,   158,   159,   160,   161,
       1,     0,     0,     2,     0,     3,     4,     0,     5,     0,
       0,     0,     0,     0,     0,     0,     6,     7,     8,     9,
      10,    11,    12,    13,     0,     0,     0,     0,    14,     0,
       0,     0,     0,    15,     0,     0,     0,     0,    16,     0,
       0,     0,    17,     0,    18,    19,    20,     0,     0,     0,
       0,    21,    22,     0,     0,     0,    23,    24,     0,     0,
       0,     0,     0,     0,    25,    26,    27,     0,     0,     0,
       0,     0,     0,    28,     0,     0,     0,     0,     0,     0,
       0,    29,     0,     0,     0,     0,     0,     0,    30,    31,
      32,     0,     0,    33,     0,    34,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    35,     0,
      36,     0,     0,     0,    37,     0,     0,    38,     0,     0,
       0,     0,     0,     0,     0,    39,    40,    41,     0,    42,
       0,    43,    44,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,     0,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,     0,    91,     0,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,     0,
     134,   135,     0,     0,   136,   137,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     138,   139,   140,   141,   142,   143,   144,   145,   146,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   147,   148,   149,   150,     0,     0,
       0,   151,   152,   153,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   154,   155,   156,   157,   158,   159,   160,
     161,   309,     0,     0,     2,     0,     3,     4,     0,   310,
       0,     0,     0,     0,     0,     0,     0,     6,     7,     8,
       9,    10,    11,   311,    13,     0,     0,     0,     0,    14,
       0,     0,     0,     0,    15,   -70,     0,     0,     0,    16,
       0,     0,     0,     0,     0,    18,    19,     0,     0,     0,
       0,     0,    21,    22,     0,     0,     0,    23,     0,     0,
       0,     0,     0,     0,     0,    25,    26,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   -70,     0,     0,
       0,     0,    29,     0,     0,     0,     0,   -70,     0,    30,
      31,    32,     0,     0,    33,     0,    34,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    37,     0,     0,    38,     0,
       0,     0,     0,     0,     0,     0,    39,    40,    41,     0,
      42,     0,     0,    44,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    46,
      47,    48,    49,    50,    51,    52,   312,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,     0,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,     0,    91,     0,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
       0,   134,   135,     0,     0,   136,   137,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   138,   139,   140,   141,   142,   143,   144,   145,   146,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   147,   148,   149,   150,     0,
       0,     0,   151,   152,   153,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   154,   155,   156,   157,   158,   159,
     160,   161,   442,     0,     0,     2,     0,     3,     4,     0,
     310,     0,     0,     0,     0,     0,     0,     0,     6,     7,
       8,     9,    10,    11,    12,    13,     0,     0,     0,     0,
      14,     0,     0,     0,     0,    15,     0,     0,     0,     0,
      16,     0,     0,     0,     0,     0,    18,    19,     0,     0,
       0,     0,     0,    21,    22,     0,     0,     0,    23,     0,
       0,     0,     0,     0,     0,     0,    25,    26,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    29,     0,     0,     0,     0,     0,     0,
      30,    31,    32,     0,     0,    33,     0,    34,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   443,     0,     0,     0,    37,     0,     0,    38,
       0,     0,     0,     0,     0,     0,     0,    39,    40,    41,
       0,    42,     0,     0,    44,     0,    45,     0,   286,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      46,    47,    48,    49,    50,    51,    52,   312,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,     0,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,     0,    91,     0,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,     0,   134,   135,     0,     0,   136,   137,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   138,   139,   140,   141,   142,   143,   144,   145,
     146,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   147,   148,   149,   150,
       0,     0,     0,   151,   152,   153,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   154,   155,   156,   157,   158,
     159,   160,   161,   309,     0,     0,     2,     0,     3,     4,
       0,   310,     0,     0,     0,     0,     0,     0,     0,     6,
       7,     8,     9,    10,    11,    12,    13,     0,     0,     0,
       0,    14,     0,     0,     0,     0,    15,     0,     0,     0,
       0,    16,     0,     0,     0,     0,     0,    18,    19,     0,
       0,     0,     0,     0,    21,    22,     0,     0,     0,    23,
       0,     0,     0,     0,     0,     0,     0,    25,    26,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    29,     0,     0,     0,     0,     0,
       0,    30,    31,    32,     0,     0,    33,     0,    34,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    37,     0,     0,
      38,     0,     0,     0,     0,     0,     0,     0,    39,    40,
      41,     0,    42,     0,     0,    44,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    46,    47,    48,    49,    50,    51,    52,   312,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,     0,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,     0,    91,     0,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,     0,   134,   135,     0,     0,   136,   137,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   138,   139,   140,   141,   142,   143,   144,
     145,   146,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   147,   148,   149,
     150,     0,     0,     0,   151,   152,   153,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   154,   155,   156,   157,
     158,   159,   160,   161,   360,     0,     0,     2,     0,     3,
       4,     0,   310,     0,     0,     0,     0,     0,     0,     0,
       6,     7,     8,     9,    10,    11,   311,    13,     0,     0,
       0,     0,    14,     0,     0,     0,     0,    15,     0,     0,
       0,     0,    16,     0,     0,     0,     0,     0,    18,    19,
       0,     0,     0,     0,     0,    21,    22,     0,     0,     0,
      23,     0,     0,     0,     0,     0,     0,     0,    25,    26,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    29,     0,     0,     0,     0,
       0,     0,    30,    31,    32,     0,     0,    33,     0,    34,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    37,     0,
       0,    38,     0,     0,     0,     0,     0,     0,     0,    39,
      40,    41,     0,    42,     0,     0,    44,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    46,    47,    48,    49,    50,    51,    52,   312,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,     0,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,     0,    91,
       0,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,     0,   134,   135,     0,     0,   136,   137,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   138,   139,   140,   141,   142,   143,
     144,   145,   146,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   147,   148,
     149,   150,     0,     0,     0,   151,   152,   153,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   154,   155,   156,
     157,   158,   159,   160,   161,   360,     0,     0,     2,     0,
       3,     4,     0,   310,     0,     0,     0,     0,     0,     0,
       0,     6,     7,     8,     9,    10,    11,   311,    13,     0,
       0,     0,     0,    14,     0,     0,     0,     0,    15,     0,
       0,     0,     0,    16,     0,     0,     0,     0,     0,    18,
      19,     0,     0,     0,     0,     0,    21,    22,     0,     0,
       0,    23,     0,     0,     0,     0,     0,     0,     0,     0,
      26,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    29,     0,     0,     0,
       0,     0,     0,    30,    31,    32,     0,     0,    33,     0,
      34,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    37,
       0,     0,    38,     0,     0,     0,     0,     0,     0,     0,
      39,    40,    41,     0,     0,     0,     0,    44,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    46,    47,    48,    49,    50,    51,    52,
     312,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,     0,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,     0,
      91,     0,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,     0,   134,   135,     0,     0,   136,
     137,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   138,   139,   140,   141,   142,
     143,   144,   145,   146,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   147,
     148,   149,   150,     0,     0,     0,   151,   152,   153,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
     156,   157,   158,   159,   160,   161,   360,     0,     0,     2,
       0,     3,     4,     0,   310,     0,     0,     0,     0,     0,
       0,     0,     6,     7,     8,     9,    10,    11,     0,    13,
       0,     0,     0,     0,    14,     0,     0,     0,     0,    15,
       0,     0,     0,     0,    16,     0,     0,     0,     0,     0,
      18,    19,     0,     0,     0,     0,     0,    21,   507,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    26,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    30,    31,    32,     0,     0,    33,
       0,    34,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      37,     0,     0,    38,     0,     0,     0,   508,   509,     0,
       0,    39,    40,    41,     0,     0,     0,     0,    44,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    46,    47,    48,    49,    50,    51,
      52,   312,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,   510,   511,   512,
     513,    82,    83,    84,    85,   514,    87,    88,    89,   515,
     516,   517,   518,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,     0,   134,   135,     0,     0,
     136,   137,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   138,   139,   140,   141,
     142,   143,   144,   145,   146,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     147,   148,   149,   150,     0,     0,     0,   151,   152,   153,
     360,     0,     0,     2,     0,     3,     4,     0,   310,     0,
       0,     0,     0,     0,     0,     0,     6,     7,     8,     9,
      10,    11,     0,    13,     0,   160,   161,     0,    14,     0,
       0,     0,     0,    15,     0,     0,   486,     0,    16,     0,
       0,     0,     0,     0,    18,    19,     0,     0,     0,     0,
       0,    21,    22,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    26,     0,     0,     0,     0,
       0,   487,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   488,     0,     0,    30,    31,
      32,     0,     0,    33,     0,    34,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    37,     0,     0,    38,     0,     0,
       0,     0,     0,     0,   489,    39,    40,    41,     0,     0,
       0,     0,    44,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    46,    47,
      48,    49,    50,    51,    52,   312,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,     0,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,     0,    91,     0,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,     0,
     134,   135,     0,     0,   136,   137,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     138,   139,   140,   141,   142,   143,   144,   145,   146,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   147,   148,   149,   150,     0,     0,
       0,   151,   152,   153,   360,     0,     0,     2,     0,     3,
       4,     0,   310,     0,     0,     0,     0,     0,     0,     0,
       6,     7,     8,     9,    10,    11,     0,    13,     0,   160,
     161,     0,    14,     0,     0,     0,     0,    15,     0,     0,
       0,     0,    16,     0,     0,     0,     0,     0,    18,    19,
       0,     0,     0,     0,     0,    21,    22,     0,     0,     0,
      23,     0,     0,     0,     0,     0,     0,     0,     0,    26,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    30,    31,    32,     0,     0,    33,     0,    34,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    37,     0,
       0,    38,     0,     0,     0,     0,     0,     0,     0,    39,
      40,    41,     0,     0,     0,     0,    44,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    46,    47,    48,    49,    50,    51,    52,   312,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,     0,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,     0,    91,
       0,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,     0,   134,   135,     0,     0,   136,   137,
     361,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   138,   139,   140,   141,   142,   143,
     144,   145,   146,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   147,   148,
     149,   150,     0,     0,     0,   151,   152,   153,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   360,
       0,     0,     2,     0,     3,     4,     0,   310,     0,     0,
       0,     0,     0,   160,   161,     6,     7,     8,     9,    10,
      11,     0,    13,     0,   388,     0,     0,   389,     0,     0,
       0,     0,    15,     0,     0,     0,     0,    16,     0,     0,
       0,     0,     0,    18,    19,     0,     0,     0,     0,     0,
      21,    22,     0,     0,     0,    23,     0,     0,     0,     0,
       0,     0,     0,     0,    26,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    30,    31,    32,
       0,     0,    33,     0,    34,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   390,     0,     0,    38,     0,     0,     0,
       0,     0,     0,     0,    39,    40,    41,     0,     0,     0,
       0,    44,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    46,    47,    48,
      49,    50,    51,    52,   312,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,     0,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,     0,    91,     0,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,     0,   134,
     135,     0,     0,   136,   137,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   138,
     139,   140,   141,   142,   143,   144,   145,   146,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   147,   148,   149,   150,     0,     0,     0,
     151,   152,   153,   525,     0,     0,     2,     0,     3,     4,
       0,   310,     0,     0,     0,     0,     0,     0,     0,     6,
       7,     8,     9,    10,    11,     0,    13,     0,   160,   161,
       0,    14,     0,     0,     0,     0,    15,     0,     0,     0,
       0,    16,     0,     0,     0,     0,     0,    18,    19,     0,
       0,     0,     0,     0,    21,    22,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    26,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    30,    31,    32,     0,     0,    33,     0,    34,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   443,     0,     0,     0,    37,     0,     0,
      38,     0,     0,     0,     0,     0,     0,     0,    39,    40,
      41,     0,     0,     0,     0,    44,     0,    45,     0,   286,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    46,    47,    48,    49,    50,    51,    52,   312,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,     0,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,     0,    91,     0,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,     0,   134,   135,     0,     0,   136,   137,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   138,   139,   140,   141,   142,   143,   144,
     145,   146,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   147,   148,   149,
     150,     0,     0,     0,   151,   152,   153,   360,   579,     0,
       2,     0,     3,     4,     0,   310,     0,     0,     0,     0,
       0,     0,     0,     6,     7,     8,     9,    10,    11,     0,
      13,     0,   160,   161,     0,    14,     0,     0,     0,     0,
      15,     0,     0,     0,     0,    16,     0,     0,     0,     0,
       0,    18,    19,     0,     0,     0,     0,     0,    21,   565,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    26,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    30,    31,    32,     0,     0,
      33,     0,    34,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    37,     0,     0,    38,     0,     0,     0,     0,     0,
       0,     0,    39,    40,    41,     0,     0,     0,     0,    44,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    46,    47,    48,    49,    50,
      51,    52,   312,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,   566,   567,
     568,   569,    82,    83,    84,    85,   570,    87,    88,    89,
     571,     0,   572,     0,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,     0,   134,   135,     0,
       0,   136,   137,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   138,   139,   140,
     141,   142,   143,   144,   145,   146,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   147,   148,   149,   150,     0,     0,     0,   151,   152,
     153,   360,     0,     0,     2,     0,     3,     4,     0,   310,
       0,     0,     0,     0,     0,     0,     0,     6,     7,     8,
       9,    10,    11,     0,    13,     0,   160,   161,     0,    14,
       0,     0,     0,     0,    15,     0,     0,     0,     0,    16,
       0,     0,     0,     0,     0,    18,    19,     0,     0,     0,
       0,     0,    21,    22,     0,     0,     0,    23,     0,     0,
       0,     0,     0,     0,     0,     0,    26,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    30,
      31,    32,     0,     0,    33,     0,    34,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    37,     0,     0,    38,     0,
       0,     0,     0,     0,     0,     0,    39,    40,    41,     0,
       0,     0,     0,    44,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    46,
      47,    48,    49,    50,    51,    52,   312,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,     0,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,     0,    91,     0,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
       0,   134,   135,     0,     0,   136,   137,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   138,   139,   140,   141,   142,   143,   144,   145,   146,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   147,   148,   149,   150,     0,
       0,     0,   151,   152,   153,   360,     0,     0,     2,     0,
       3,     4,     0,   310,     0,     0,     0,     0,     0,     0,
       0,     6,     7,     8,     9,    10,    11,     0,    13,     0,
     160,   161,     0,    14,     0,     0,     0,     0,    15,     0,
       0,     0,     0,    16,     0,     0,     0,     0,     0,    18,
      19,     0,     0,     0,     0,     0,    21,   565,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      26,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    30,    31,    32,     0,     0,    33,     0,
      34,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    37,
       0,     0,    38,     0,     0,     0,     0,     0,     0,     0,
      39,    40,    41,     0,     0,     0,     0,    44,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    46,    47,    48,    49,    50,    51,    52,
     312,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,   566,   567,   568,   569,
      82,    83,    84,    85,   570,    87,    88,    89,   571,     0,
     572,     0,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,     0,   134,   135,     0,     0,   136,
     137,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   138,   139,   140,   141,   142,
     143,   144,   145,   146,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   147,
     148,   149,   150,     0,     0,     0,   151,   152,   153,   360,
     595,     0,     2,     0,     3,     4,     0,   310,     0,     0,
       0,     0,     0,     0,     0,     6,     7,     8,     9,    10,
      11,     0,    13,     0,   160,   161,     0,    14,     0,     0,
       0,     0,    15,     0,     0,     0,     0,    16,     0,     0,
       0,     0,     0,    18,    19,     0,     0,     0,     0,     0,
      21,    22,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    26,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    30,    31,    32,
       0,     0,    33,     0,    34,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    37,     0,     0,    38,     0,     0,     0,
       0,     0,     0,     0,    39,    40,    41,     0,     0,     0,
       0,    44,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    46,    47,    48,
      49,    50,    51,    52,   312,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,     0,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,     0,    91,     0,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,     0,   134,
     135,     0,     0,   136,   137,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   138,
     139,   140,   141,   142,   143,   144,   145,   146,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   147,   148,   149,   150,     0,     0,     0,
     151,   152,   153,   360,     0,     0,     2,     0,     3,     4,
       0,   310,     0,     0,     0,     0,     0,     0,     0,     6,
       7,     8,     9,    10,    11,     0,    13,     0,   160,   161,
       0,    14,     0,     0,     0,     0,    15,     0,     0,     0,
       0,    16,     0,     0,     0,     0,     0,    18,    19,     0,
       0,     0,     0,     0,    21,    22,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    26,     0,
       0,     0,     0,     0,   657,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    30,    31,    32,     0,     0,    33,     0,    34,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    37,     0,     0,
      38,     0,     0,     0,     0,     0,     0,     0,    39,    40,
      41,     0,     0,     0,     0,    44,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    46,    47,    48,    49,    50,    51,    52,   312,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,     0,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,     0,    91,     0,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,     0,   134,   135,     0,     0,   136,   137,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   138,   139,   140,   141,   142,   143,   144,
     145,   146,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   147,   148,   149,
     150,     0,     0,     0,   151,   152,   153,   360,     0,     0,
       2,     0,     3,     4,     0,   310,     0,     0,     0,     0,
       0,     0,     0,     6,     7,     8,     9,    10,    11,     0,
      13,     0,   160,   161,     0,    14,     0,     0,     0,     0,
      15,     0,     0,     0,     0,    16,     0,     0,     0,     0,
       0,    18,    19,     0,     0,     0,     0,     0,    21,    22,
       0,     0,     0,   980,     0,     0,     0,     0,     0,     0,
       0,     0,    26,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    30,    31,    32,     0,     0,
      33,     0,    34,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    37,     0,     0,    38,     0,     0,     0,     0,     0,
       0,     0,    39,    40,    41,     0,     0,     0,     0,    44,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    46,    47,    48,    49,    50,
      51,    52,   312,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,     0,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,     0,    91,     0,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,     0,   134,   135,     0,
       0,   136,   137,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   138,   139,   140,
     141,   142,   143,   144,   145,   146,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   147,   148,   149,   150,     0,     0,     0,   151,   152,
     153,   360,     0,     0,     2,     0,     3,     4,     0,   310,
       0,     0,     0,     0,     0,     0,     0,     6,     7,     8,
       9,    10,    11,     0,    13,     0,   160,   161,     0,    14,
       0,     0,     0,     0,    15,     0,     0,     0,     0,    16,
       0,     0,     0,     0,     0,    18,    19,     0,     0,     0,
       0,     0,    21,    22,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    26,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    30,
      31,    32,     0,     0,    33,     0,    34,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    37,     0,     0,    38,     0,
       0,     0,     0,     0,     0,     0,    39,    40,    41,     0,
       0,     0,     0,    44,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    46,
      47,    48,    49,    50,    51,    52,   312,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,     0,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,     0,    91,     0,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
       0,   134,   135,     0,     0,   136,   137,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   138,   139,   140,   141,   142,   143,   144,   145,   146,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   147,   148,   149,   150,     0,
       0,     0,   151,   152,   153,   360,     0,     0,     2,     0,
       3,     4,     0,   310,     0,     0,     0,     0,     0,     0,
       0,     0,     7,     8,     9,    10,    11,     0,    13,     0,
     160,   161,     0,    14,     0,     0,     0,     0,    15,     0,
       0,     0,     0,    16,     0,     0,     0,     0,     0,     0,
      19,     0,     0,     0,     0,     0,    21,    22,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      26,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    31,    32,     0,     0,    33,     0,
      34,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    37,
       0,     0,    38,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    41,     0,     0,     0,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    46,    47,    48,    49,    50,    51,    52,
     312,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,     0,    68,     0,     0,     0,    72,
      73,    74,    75,    76,    77,    78,    79,     0,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,     0,
      91,     0,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,     0,   134,   135,     0,     0,   136,
     137,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   138,   139,   140,   141,   142,
     143,   144,   145,   146,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   147,
     148,   149,   150,     0,     0,     0,   151,   152,   153,   360,
       0,     0,     2,     0,     3,     4,     0,   310,     0,     0,
       0,     0,     0,     0,     0,     0,     7,     8,     9,    10,
      11,     0,    13,     0,   160,   161,     0,    14,     0,     0,
       0,     0,    15,     0,     0,     0,     0,    16,     0,     0,
       0,     0,     0,     0,    19,     0,     0,     0,     0,     0,
      21,    22,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    26,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    31,    32,
       0,     0,    33,     0,    34,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    37,     0,     0,    38,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    41,     0,     0,     0,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    46,    47,    48,
      49,    50,    51,    52,   312,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,     0,    68,
       0,     0,     0,    72,    73,    74,    75,    76,    77,    78,
      79,     0,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,     0,    91,     0,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,     0,   134,
     135,     0,     0,   136,   137,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   310,     0,     0,   138,
     139,   140,   141,   142,   143,   144,   145,   146,     0,     0,
       0,    13,     0,     0,     0,     0,    14,     0,     0,     0,
       0,    15,     0,   147,   148,   149,   150,     0,     0,     0,
     151,   152,   153,    19,     0,     0,     0,     0,     0,    21,
      22,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    31,    32,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    37,     0,     0,    38,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    46,     0,    48,   448,
       0,    51,    52,   312,    54,    55,    56,    57,    58,    59,
     449,    61,    62,    63,    64,    65,    66,     0,    68,     0,
       0,     0,    72,    73,    74,    75,    76,    77,   450,    79,
       0,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,     0,    91,     0,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   310,   134,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   434,     0,     0,     0,     0,    14,     0,     0,
       0,     0,    15,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    19,     0,     0,     0,     0,     0,
      21,    22,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    31,    32,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    37,     0,     0,    38,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    46,     0,    48,
       0,     0,    51,    52,   312,    54,    55,    56,    57,    58,
      59,     0,    61,    62,    63,    64,    65,    66,     0,    68,
       0,     0,     0,    72,    73,    74,    75,    76,    77,     0,
      79,     0,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,     0,    91,     0,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,     0,   134
};

static const short int yycheck[] =
{
       0,     1,     1,    43,   302,   369,    25,   302,   285,   302,
     135,   494,     1,    29,   315,   187,   318,   822,   645,     4,
     175,     4,   733,    42,     4,     4,     4,     4,   175,    26,
      11,   175,     4,     3,   175,   175,    26,   867,     4,     4,
       4,   757,   344,   356,   357,   761,   762,   763,     3,   768,
     769,     4,     4,   366,   367,   771,     4,   942,    71,    74,
     945,   773,   187,   369,    74,   618,    74,   399,   400,   102,
     932,   403,   465,   405,   528,   377,   871,    79,     5,   842,
     142,   406,  1007,     5,    65,     5,     5,    26,     0,     1,
       5,     4,   363,   121,     4,   753,    26,     4,    66,   332,
     758,   334,     5,   121,    42,    26,     4,   245,   259,  1292,
      26,     5,  1099,   143,     4,    60,    32,    26,    26,   319,
       3,     5,    43,     7,    28,   322,   323,   459,    33,   814,
    1313,   245,   648,    11,   121,     5,     3,    28,    20,    21,
      22,    23,    24,    26,    11,  1070,    26,    26,   664,     3,
      40,    72,    32,   140,     3,   306,    61,   154,    62,    26,
     466,     4,  1047,   131,   154,   442,    25,   468,   165,   108,
     297,    62,     3,    71,    33,   165,   314,  1164,    37,     3,
       3,   482,  1067,    25,   105,   312,   183,    65,   465,   134,
       5,    51,    25,   183,   495,    37,   912,   913,     3,     5,
     314,   315,    61,   375,    74,     4,     5,   379,     7,   409,
     926,   132,    75,   158,    96,   153,    26,    77,    81,   141,
      79,   283,     6,    66,   154,    84,     3,   681,   461,    13,
      89,   259,  1094,   154,   547,   165,  1161,    79,   154,   142,
       3,   259,    84,   443,   165,   154,   154,    89,   525,   165,
     375,    84,   424,   183,   379,   137,   165,   165,   583,     3,
     592,  1248,   183,   534,   113,   923,   499,   183,    26,     6,
     955,   258,  1102,   958,   183,   183,    13,   670,  1203,    74,
     320,   321,     5,   323,     7,   285,   285,    25,   131,  1084,
     139,   324,   174,   175,   176,     3,   285,   160,    74,   424,
     325,   326,  1021,  1014,   274,   168,  1025,    83,   278,   324,
     309,   324,  1031,  1076,   324,   355,   324,   618,   143,   274,
     309,  1040,   324,   624,  1154,   245,   245,   316,   325,   318,
     245,  1043,   959,   886,   887,   325,   700,    84,     3,   324,
     646,   324,  1227,   324,   324,   324,   324,   324,   831,   650,
     339,   245,   324,  1238,   343,   344,   345,   376,   324,   324,
     324,   314,   361,   352,   353,   354,   314,   356,   357,   358,
     359,   360,   324,   285,   393,   677,   531,   366,   367,   743,
     420,   370,   714,   715,   531,   717,   718,   531,   377,   721,
     531,   531,   724,   847,   700,  1280,   709,   324,   438,   314,
     315,   314,   704,  1122,   314,   560,   531,   314,   324,  1125,
     399,   400,   401,   402,   403,   404,   405,   325,   407,   408,
     274,   734,   411,  1228,   278,  1230,  1231,  1232,     3,   418,
     245,    26,   472,   422,   325,  1062,     3,   743,  1065,   245,
       4,   301,     3,   442,   322,   323,   324,   325,   326,   309,
     274,   274,    83,   442,   278,   278,     8,   316,   317,   318,
     319,   320,   321,   302,   947,   304,    60,   764,   765,   274,
     459,   249,   250,   278,   316,   317,   318,   319,   320,   321,
      62,    28,     3,   316,   317,   318,   319,   320,   321,    19,
       3,     3,     6,     6,     8,     9,    37,     0,   487,    50,
      13,     3,    66,   492,   810,    37,    20,    21,    22,    23,
      24,   812,     3,    60,    96,   687,   110,    47,  1145,   113,
      11,    85,     7,    37,    75,   146,   147,   148,   149,   701,
      81,   832,   531,     3,    40,    26,   525,    51,    79,   528,
     134,   426,   136,    94,   429,   430,     3,    79,    89,     3,
      25,   133,     3,   553,    68,   322,   323,    89,   547,     4,
       5,    91,   687,   110,   158,   737,   113,   131,    43,   316,
     317,   318,   319,   320,   321,     3,   701,   324,    84,   619,
     620,   621,    96,     3,    59,   886,   887,   134,    19,   136,
      21,    22,   889,    24,   146,   147,   148,   149,   128,   129,
     302,   898,   304,   592,   402,   135,   404,   904,     3,   160,
     315,   158,   737,   653,     4,     5,   130,   168,   314,   916,
      50,   131,   113,   137,     3,   614,   645,   616,   291,   292,
     105,   630,   138,     3,     6,   110,     8,     9,     4,     5,
     941,   942,   172,   286,   945,    75,     4,     5,   139,     7,
       3,    81,  1016,     4,     5,     3,     7,   132,     4,     5,
     649,     7,     4,     5,    94,     7,   655,   286,   657,     3,
     100,     3,  1004,  1005,  1006,    34,     4,     5,   955,     7,
     251,   252,   253,   672,   673,   674,     3,   676,   677,   678,
       3,   846,   681,     3,   710,    55,   324,     4,     5,   846,
       7,     3,   846,   858,     3,   846,   846,     3,   138,     3,
    1016,     4,     5,   322,     7,   704,     3,   842,    44,    55,
     709,   846,   711,   712,     3,   714,   715,     4,   717,   718,
     160,    85,   721,     4,     5,   724,     7,  1034,   168,   145,
    1037,     4,     5,   305,   306,   734,  1047,     4,     5,   263,
     264,   265,   266,   267,   268,   269,   270,   271,    14,    15,
      16,    17,    18,     4,     5,    85,  1067,    10,   297,   298,
    1134,   321,  1070,     4,     5,  1070,    12,  1070,    12,  1081,
     261,   262,     6,    83,     8,     9,     4,     5,    26,   303,
       6,    19,     8,     9,    26,   814,    20,    21,    22,    23,
      24,   259,   260,   803,    20,    21,    22,    23,    24,   106,
     316,   317,   318,   319,   320,   321,     4,     5,   324,     4,
       5,     3,   994,   114,   184,   185,   186,   187,  1160,     5,
     846,   100,   192,     4,     5,    51,   196,   197,   198,   199,
      50,   830,   249,    50,     4,   834,     3,    50,   184,   185,
     186,   187,    68,    28,    21,     3,   192,     3,   847,    26,
     196,   197,   198,   199,     4,    75,   612,   613,    75,   994,
      90,    81,    75,     4,    81,    42,    86,     3,    81,    86,
      96,   612,   613,    86,    94,    13,    53,    94,    13,    56,
      57,    94,   160,   161,   412,   413,    63,   414,   415,    21,
     493,   494,    32,    70,     5,  1203,     4,     3,  1203,  1273,
    1203,   138,   141,    74,   130,    82,     5,   138,     4,    26,
      42,   137,    26,     3,    74,    74,  1227,    74,    95,    74,
      97,    53,    74,     3,    56,    57,   955,  1238,   937,   958,
     959,    63,   109,   246,   250,    74,     4,  1311,    70,   116,
     160,  1076,   315,   160,    74,   122,   123,   160,   168,    74,
      82,   168,   113,     4,     4,   168,    20,    21,    22,    23,
      24,     5,     5,    95,     5,    97,     5,     5,     5,  1280,
       5,     5,     5,     4,    26,     5,   153,   109,     4,    26,
       5,     5,     4,     3,   116,   984,     4,    32,     5,    99,
     122,   123,   126,   321,    13,     4,   246,     4,    40,    65,
      23,     4,   307,    74,  1003,  1004,  1005,  1006,    13,   242,
    1009,    13,     3,   104,     3,     3,     3,    87,     4,     4,
       4,   153,     3,     3,    87,    99,    42,   100,   150,     5,
       4,    77,    26,  1062,     4,    62,  1065,   263,   264,   265,
     266,   267,   268,   269,   270,   271,    19,   324,     5,     5,
       5,     5,    23,   102,   275,    23,    77,    40,   293,    23,
     275,   293,  1071,   275,    23,   275,   126,     3,    26,     4,
     142,    86,    86,     3,   114,   103,    26,   303,    40,    78,
       4,     4,  1081,     5,    74,  1135,    12,     3,   275,     4,
       4,     4,    26,   122,   126,   272,   273,    43,     5,   276,
     277,   255,   279,   280,   281,   282,    12,   284,   285,   122,
      76,    86,   308,     5,     5,     4,  1145,    96,    23,     3,
      71,   304,     5,   101,   101,   304,   259,   299,     4,     4,
       3,   254,   144,   144,   249,     3,     5,    32,   110,   315,
     272,   273,   310,     3,   276,   277,    32,   279,   280,   281,
     282,     3,   284,   285,   259,   300,    23,     3,   311,   257,
      26,  1160,     3,    26,    26,     6,    69,     8,     9,   311,
      11,  1180,    23,     7,   941,  1225,   313,   473,    19,    20,
      21,    22,    23,    24,  1050,    26,  1069,   991,  1197,  1056,
      31,  1076,   832,   646,   810,    36,   616,  1314,   823,    12,
      41,   551,   386,  1189,   649,   387,    47,    48,   175,  1241,
     175,   700,   700,    54,    55,  1242,  1161,  1099,  1248,  1016,
     963,   611,   620,   318,  1134,   419,  1236,    68,   377,   840,
     410,   903,   802,   846,   534,    -1,   365,   532,  1190,  1258,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    -1,  1263,    96,   264,    98,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,    -1,   120,
      -1,    -1,  1292,    -1,    -1,    -1,    -1,   128,   129,   130,
      -1,    -1,    -1,    -1,   135,    -1,   137,    -1,    -1,    -1,
      -1,    -1,    -1,  1313,    -1,    -1,    -1,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,    -1,   243,   244,    -1,    -1,   247,   248,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   263,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   287,   288,   289,   290,
      -1,    -1,    -1,   294,   295,   296,    -1,     3,    -1,    -1,
       6,    -1,     8,     9,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,   322,   323,    -1,   325,    31,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    41,    -1,    -1,    -1,    45,
      -1,    47,    48,    49,    -1,    -1,    -1,    -1,    54,    55,
      -1,    -1,    -1,    59,    60,    -1,    -1,    -1,    -1,    -1,
      -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,
      76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,
      96,    -1,    98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,    -1,   113,    -1,    -1,
      -1,   117,    -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   128,   129,   130,    -1,   132,    -1,   134,   135,
      -1,   137,    -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,    -1,   198,    -1,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,    -1,   243,   244,    -1,
      -1,   247,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   287,   288,   289,   290,    -1,    -1,    -1,   294,   295,
     296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     316,   317,   318,   319,   320,   321,   322,   323,     3,    -1,
      -1,     6,    -1,     8,     9,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    -1,    -1,    -1,    -1,    31,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    41,    -1,    -1,    -1,
      45,    -1,    47,    48,    49,    -1,    -1,    -1,    -1,    54,
      55,    -1,    -1,    -1,    59,    60,    -1,    -1,    -1,    -1,
      -1,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,    96,    -1,    98,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,    -1,   113,    -1,
      -1,    -1,   117,    -1,    -1,   120,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   128,   129,   130,    -1,   132,    -1,   134,
     135,    -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,    -1,   198,    -1,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,    -1,   243,   244,
      -1,    -1,   247,   248,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,   263,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   287,   288,   289,   290,    -1,    -1,    -1,   294,
     295,   296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   316,   317,   318,   319,   320,   321,   322,   323,     3,
      -1,    -1,     6,    -1,     8,     9,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    -1,    -1,    -1,    -1,    31,    -1,    -1,
      -1,    -1,    36,    -1,    -1,    -1,    -1,    41,    -1,    -1,
      -1,    45,    -1,    47,    48,    49,    -1,    -1,    -1,    -1,
      54,    55,    -1,    -1,    -1,    59,    60,    -1,    -1,    -1,
      -1,    -1,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,    96,    -1,    98,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,    -1,   113,
      -1,    -1,    -1,   117,    -1,    -1,   120,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   128,   129,   130,    -1,   132,    -1,
     134,   135,    -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,    -1,   198,    -1,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   287,   288,   289,   290,    -1,    -1,    -1,
     294,   295,   296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   316,   317,   318,   319,   320,   321,   322,   323,
       3,    -1,    -1,     6,    -1,     8,     9,    -1,    11,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    -1,    -1,    -1,    -1,    31,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    41,    -1,
      -1,    -1,    45,    -1,    47,    48,    49,    -1,    -1,    -1,
      -1,    54,    55,    -1,    -1,    -1,    59,    60,    -1,    -1,
      -1,    -1,    -1,    -1,    67,    68,    69,    -1,    -1,    -1,
      -1,    -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,    96,    -1,    98,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,    -1,
     113,    -1,    -1,    -1,   117,    -1,    -1,   120,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   128,   129,   130,    -1,   132,
      -1,   134,   135,    -1,   137,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,    -1,
     243,   244,    -1,    -1,   247,   248,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     263,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   287,   288,   289,   290,    -1,    -1,
      -1,   294,   295,   296,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   316,   317,   318,   319,   320,   321,   322,
     323,     3,    -1,    -1,     6,    -1,     8,     9,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    -1,    -1,    -1,    -1,    31,
      -1,    -1,    -1,    -1,    36,    37,    -1,    -1,    -1,    41,
      -1,    -1,    -1,    -1,    -1,    47,    48,    -1,    -1,    -1,
      -1,    -1,    54,    55,    -1,    -1,    -1,    59,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    67,    68,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    -1,    -1,    89,    -1,    91,
      92,    93,    -1,    -1,    96,    -1,    98,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   117,    -1,    -1,   120,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   128,   129,   130,    -1,
     132,    -1,    -1,   135,    -1,   137,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,    -1,   198,    -1,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
      -1,   243,   244,    -1,    -1,   247,   248,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   263,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   287,   288,   289,   290,    -1,
      -1,    -1,   294,   295,   296,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   316,   317,   318,   319,   320,   321,
     322,   323,     3,    -1,    -1,     6,    -1,     8,     9,    -1,
      11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    -1,    -1,    -1,    -1,
      31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,
      41,    -1,    -1,    -1,    -1,    -1,    47,    48,    -1,    -1,
      -1,    -1,    -1,    54,    55,    -1,    -1,    -1,    59,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    67,    68,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,    96,    -1,    98,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,    -1,    -1,    -1,   117,    -1,    -1,   120,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   128,   129,   130,
      -1,   132,    -1,    -1,   135,    -1,   137,    -1,   139,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,    -1,   198,    -1,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,    -1,   243,   244,    -1,    -1,   247,   248,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   263,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   287,   288,   289,   290,
      -1,    -1,    -1,   294,   295,   296,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   316,   317,   318,   319,   320,
     321,   322,   323,     3,    -1,    -1,     6,    -1,     8,     9,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    -1,    -1,    -1,
      -1,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,
      -1,    41,    -1,    -1,    -1,    -1,    -1,    47,    48,    -1,
      -1,    -1,    -1,    -1,    54,    55,    -1,    -1,    -1,    59,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    67,    68,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    96,    -1,    98,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,    -1,
     120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   128,   129,
     130,    -1,   132,    -1,    -1,   135,    -1,   137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,    -1,   198,    -1,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,    -1,   243,   244,    -1,    -1,   247,   248,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   263,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,   288,   289,
     290,    -1,    -1,    -1,   294,   295,   296,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   316,   317,   318,   319,
     320,   321,   322,   323,     3,    -1,    -1,     6,    -1,     8,
       9,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    -1,    -1,
      -1,    -1,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,    47,    48,
      -1,    -1,    -1,    -1,    -1,    54,    55,    -1,    -1,    -1,
      59,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    67,    68,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    96,    -1,    98,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,
      -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   128,
     129,   130,    -1,   132,    -1,    -1,   135,    -1,   137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,    -1,   198,
      -1,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,    -1,   243,   244,    -1,    -1,   247,   248,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   263,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,   288,
     289,   290,    -1,    -1,    -1,   294,   295,   296,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   316,   317,   318,
     319,   320,   321,   322,   323,     3,    -1,    -1,     6,    -1,
       8,     9,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    -1,
      -1,    -1,    -1,    31,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,    47,
      48,    -1,    -1,    -1,    -1,    -1,    54,    55,    -1,    -1,
      -1,    59,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      68,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    -1,    -1,    96,    -1,
      98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,
      -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     128,   129,   130,    -1,    -1,    -1,    -1,   135,    -1,   137,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,    -1,
     198,    -1,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,    -1,   243,   244,    -1,    -1,   247,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   263,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,
     288,   289,   290,    -1,    -1,    -1,   294,   295,   296,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   316,   317,
     318,   319,   320,   321,   322,   323,     3,    -1,    -1,     6,
      -1,     8,     9,    -1,    11,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      -1,    -1,    -1,    -1,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,
      47,    48,    -1,    -1,    -1,    -1,    -1,    54,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    68,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,    96,
      -1,    98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     117,    -1,    -1,   120,    -1,    -1,    -1,   124,   125,    -1,
      -1,   128,   129,   130,    -1,    -1,    -1,    -1,   135,    -1,
     137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,    -1,   243,   244,    -1,    -1,
     247,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   263,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     287,   288,   289,   290,    -1,    -1,    -1,   294,   295,   296,
       3,    -1,    -1,     6,    -1,     8,     9,    -1,    11,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    -1,   322,   323,    -1,    31,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    39,    -1,    41,    -1,
      -1,    -1,    -1,    -1,    47,    48,    -1,    -1,    -1,    -1,
      -1,    54,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    68,    -1,    -1,    -1,    -1,
      -1,    74,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    88,    -1,    -1,    91,    92,
      93,    -1,    -1,    96,    -1,    98,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   117,    -1,    -1,   120,    -1,    -1,
      -1,    -1,    -1,    -1,   127,   128,   129,   130,    -1,    -1,
      -1,    -1,   135,    -1,   137,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,    -1,   198,    -1,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,    -1,
     243,   244,    -1,    -1,   247,   248,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     263,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   287,   288,   289,   290,    -1,    -1,
      -1,   294,   295,   296,     3,    -1,    -1,     6,    -1,     8,
       9,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    -1,   322,
     323,    -1,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,    47,    48,
      -1,    -1,    -1,    -1,    -1,    54,    55,    -1,    -1,    -1,
      59,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    96,    -1,    98,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,
      -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   128,
     129,   130,    -1,    -1,    -1,    -1,   135,    -1,   137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,    -1,   198,
      -1,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,    -1,   243,   244,    -1,    -1,   247,   248,
     249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   263,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,   288,
     289,   290,    -1,    -1,    -1,   294,   295,   296,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,     6,    -1,     8,     9,    -1,    11,    -1,    -1,
      -1,    -1,    -1,   322,   323,    19,    20,    21,    22,    23,
      24,    -1,    26,    -1,    28,    -1,    -1,    31,    -1,    -1,
      -1,    -1,    36,    -1,    -1,    -1,    -1,    41,    -1,    -1,
      -1,    -1,    -1,    47,    48,    -1,    -1,    -1,    -1,    -1,
      54,    55,    -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    68,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,    96,    -1,    98,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   117,    -1,    -1,   120,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   128,   129,   130,    -1,    -1,    -1,
      -1,   135,    -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,    -1,   198,    -1,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,    -1,   243,
     244,    -1,    -1,   247,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   287,   288,   289,   290,    -1,    -1,    -1,
     294,   295,   296,     3,    -1,    -1,     6,    -1,     8,     9,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    -1,   322,   323,
      -1,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,
      -1,    41,    -1,    -1,    -1,    -1,    -1,    47,    48,    -1,
      -1,    -1,    -1,    -1,    54,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    96,    -1,    98,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,    -1,    -1,    -1,   117,    -1,    -1,
     120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   128,   129,
     130,    -1,    -1,    -1,    -1,   135,    -1,   137,    -1,   139,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,    -1,   198,    -1,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,    -1,   243,   244,    -1,    -1,   247,   248,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   263,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,   288,   289,
     290,    -1,    -1,    -1,   294,   295,   296,     3,     4,    -1,
       6,    -1,     8,     9,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    -1,   322,   323,    -1,    31,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    41,    -1,    -1,    -1,    -1,
      -1,    47,    48,    -1,    -1,    -1,    -1,    -1,    54,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    68,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,
      96,    -1,    98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   117,    -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   128,   129,   130,    -1,    -1,    -1,    -1,   135,
      -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,    -1,   198,    -1,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,    -1,   243,   244,    -1,
      -1,   247,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   287,   288,   289,   290,    -1,    -1,    -1,   294,   295,
     296,     3,    -1,    -1,     6,    -1,     8,     9,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    -1,   322,   323,    -1,    31,
      -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    41,
      -1,    -1,    -1,    -1,    -1,    47,    48,    -1,    -1,    -1,
      -1,    -1,    54,    55,    -1,    -1,    -1,    59,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    68,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    96,    -1,    98,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   117,    -1,    -1,   120,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   128,   129,   130,    -1,
      -1,    -1,    -1,   135,    -1,   137,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,    -1,   198,    -1,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
      -1,   243,   244,    -1,    -1,   247,   248,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   263,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   287,   288,   289,   290,    -1,
      -1,    -1,   294,   295,   296,     3,    -1,    -1,     6,    -1,
       8,     9,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    -1,
     322,   323,    -1,    31,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,    47,
      48,    -1,    -1,    -1,    -1,    -1,    54,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      68,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    -1,    -1,    96,    -1,
      98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,
      -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     128,   129,   130,    -1,    -1,    -1,    -1,   135,    -1,   137,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,    -1,
     198,    -1,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,    -1,   243,   244,    -1,    -1,   247,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   263,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,
     288,   289,   290,    -1,    -1,    -1,   294,   295,   296,     3,
       4,    -1,     6,    -1,     8,     9,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    -1,   322,   323,    -1,    31,    -1,    -1,
      -1,    -1,    36,    -1,    -1,    -1,    -1,    41,    -1,    -1,
      -1,    -1,    -1,    47,    48,    -1,    -1,    -1,    -1,    -1,
      54,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    68,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,    96,    -1,    98,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   117,    -1,    -1,   120,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   128,   129,   130,    -1,    -1,    -1,
      -1,   135,    -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,    -1,   198,    -1,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,    -1,   243,
     244,    -1,    -1,   247,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   287,   288,   289,   290,    -1,    -1,    -1,
     294,   295,   296,     3,    -1,    -1,     6,    -1,     8,     9,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    -1,   322,   323,
      -1,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,
      -1,    41,    -1,    -1,    -1,    -1,    -1,    47,    48,    -1,
      -1,    -1,    -1,    -1,    54,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,    -1,
      -1,    -1,    -1,    -1,    74,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    96,    -1,    98,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,    -1,
     120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   128,   129,
     130,    -1,    -1,    -1,    -1,   135,    -1,   137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,    -1,   198,    -1,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,    -1,   243,   244,    -1,    -1,   247,   248,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   263,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,   288,   289,
     290,    -1,    -1,    -1,   294,   295,   296,     3,    -1,    -1,
       6,    -1,     8,     9,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    -1,   322,   323,    -1,    31,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    41,    -1,    -1,    -1,    -1,
      -1,    47,    48,    -1,    -1,    -1,    -1,    -1,    54,    55,
      -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    68,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,
      96,    -1,    98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   117,    -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   128,   129,   130,    -1,    -1,    -1,    -1,   135,
      -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,    -1,   198,    -1,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,    -1,   243,   244,    -1,
      -1,   247,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   287,   288,   289,   290,    -1,    -1,    -1,   294,   295,
     296,     3,    -1,    -1,     6,    -1,     8,     9,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    -1,   322,   323,    -1,    31,
      -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    41,
      -1,    -1,    -1,    -1,    -1,    47,    48,    -1,    -1,    -1,
      -1,    -1,    54,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    68,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    96,    -1,    98,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   117,    -1,    -1,   120,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   128,   129,   130,    -1,
      -1,    -1,    -1,   135,    -1,   137,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,    -1,   198,    -1,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
      -1,   243,   244,    -1,    -1,   247,   248,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   263,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   287,   288,   289,   290,    -1,
      -1,    -1,   294,   295,   296,     3,    -1,    -1,     6,    -1,
       8,     9,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    -1,    26,    -1,
     322,   323,    -1,    31,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,    -1,
      48,    -1,    -1,    -1,    -1,    -1,    54,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      68,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    92,    93,    -1,    -1,    96,    -1,
      98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,
      -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   130,    -1,    -1,    -1,    -1,    -1,    -1,   137,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,    -1,    -1,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,    -1,
     198,    -1,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,    -1,   243,   244,    -1,    -1,   247,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   263,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,
     288,   289,   290,    -1,    -1,    -1,   294,   295,   296,     3,
      -1,    -1,     6,    -1,     8,     9,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    -1,    26,    -1,   322,   323,    -1,    31,    -1,    -1,
      -1,    -1,    36,    -1,    -1,    -1,    -1,    41,    -1,    -1,
      -1,    -1,    -1,    -1,    48,    -1,    -1,    -1,    -1,    -1,
      54,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    68,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    92,    93,
      -1,    -1,    96,    -1,    98,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   117,    -1,    -1,   120,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   130,    -1,    -1,    -1,
      -1,    -1,    -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
      -1,    -1,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,    -1,   198,    -1,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,    -1,   243,
     244,    -1,    -1,   247,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    11,    -1,    -1,   263,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,    -1,
      -1,    26,    -1,    -1,    -1,    -1,    31,    -1,    -1,    -1,
      -1,    36,    -1,   287,   288,   289,   290,    -1,    -1,    -1,
     294,   295,   296,    48,    -1,    -1,    -1,    -1,    -1,    54,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    92,    93,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   117,    -1,    -1,   120,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   151,    -1,   153,   154,
      -1,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,    -1,
      -1,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,    -1,   198,    -1,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,    11,   243,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    26,    -1,    -1,    -1,    -1,    31,    -1,    -1,
      -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    48,    -1,    -1,    -1,    -1,    -1,
      54,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    92,    93,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   117,    -1,    -1,   120,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,    -1,   153,
      -1,    -1,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,   171,    -1,   173,
      -1,    -1,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,    -1,   198,    -1,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,    -1,   243
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const unsigned short int yystos[] =
{
       0,     3,     6,     8,     9,    11,    19,    20,    21,    22,
      23,    24,    25,    26,    31,    36,    41,    45,    47,    48,
      49,    54,    55,    59,    60,    67,    68,    69,    76,    84,
      91,    92,    93,    96,    98,   111,   113,   117,   120,   128,
     129,   130,   132,   134,   135,   137,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   198,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   243,   244,   247,   248,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   287,   288,   289,
     290,   294,   295,   296,   316,   317,   318,   319,   320,   321,
     322,   323,   330,   331,   332,   333,   344,   347,   358,   359,
     360,   361,   362,   363,   364,   367,   368,   369,   370,   375,
     380,   405,   407,   408,   409,   410,   412,   413,   414,   415,
     416,   417,   418,   420,   421,   423,   424,   425,   426,   428,
     429,   430,   434,   436,   437,   438,   439,   440,   441,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   476,   477,   482,   483,   485,
     523,   524,   525,   526,   529,   531,   532,   533,   549,   552,
     553,   554,   555,   556,   557,   558,   559,   562,   563,   564,
     577,   578,   579,   580,   581,   583,   584,   585,   586,   590,
     592,   593,   594,   595,   596,   597,   605,   631,   632,   633,
     634,   635,   636,   648,   651,     3,   139,   331,   365,   379,
     380,   409,   542,   543,   544,   546,   548,   577,    26,    26,
       8,   146,   147,   148,   149,   516,   517,   521,   522,     3,
      11,    25,   158,   405,     6,    13,     3,   143,     3,     3,
     121,   140,   258,    74,     3,   430,    26,   647,    28,    60,
     110,   113,   134,   136,   158,   349,   350,   351,   358,     3,
     143,    28,    62,   371,     3,     3,   430,    26,   601,   602,
     603,   604,     3,     3,     3,    83,     3,     3,     3,     3,
       3,   249,   368,   641,   642,   646,     3,     3,     3,     3,
       3,   554,   554,     0,     7,    37,    79,    89,   131,   413,
     414,   416,   417,   420,   423,   425,   315,   314,    28,    31,
     117,   367,   368,   427,    19,    21,    22,    24,     3,     3,
       3,     3,     3,     3,     3,     3,   286,     3,     3,     3,
       3,     3,   325,   326,   322,   323,    34,   560,   324,   322,
      44,   582,     3,   546,     3,     4,    85,     4,     4,    66,
     131,     4,    10,   321,    26,   448,   523,   533,   145,    12,
      12,    19,     3,   113,   380,   409,    26,    26,   154,   165,
     183,   325,   606,   631,   550,   577,   550,   578,   325,   371,
     601,   601,    26,   671,   601,     3,    83,   106,     3,   346,
     346,   346,   100,     5,    62,    96,   133,   577,   325,   381,
     431,   432,   577,   600,   577,   578,    39,    74,    88,   127,
     577,   598,   599,     6,    13,   114,   577,   577,   577,   601,
     574,   577,   574,   577,   587,   588,   589,    55,   124,   125,
     184,   185,   186,   187,   192,   196,   197,   198,   199,   442,
     443,   444,   565,   577,   577,     3,   577,   409,   250,   642,
     643,   249,   637,   638,   641,   574,   577,   574,   577,     4,
     434,   471,   472,   473,   648,   577,   367,     3,   422,   430,
     553,   578,    28,   547,   367,   407,   408,   430,     4,   575,
     577,   644,   645,   571,   575,    55,   184,   185,   186,   187,
     192,   196,   198,   566,   575,   576,   576,   572,   575,     4,
     576,   573,   575,     3,    26,   488,   489,   490,   496,   478,
     577,   577,   371,   530,   557,     4,   528,   574,   555,   555,
     556,   556,    90,   561,   577,   583,   601,   577,     4,   366,
     367,   547,   547,   547,     3,   601,   371,    13,    13,    32,
       5,   138,     4,   575,     3,   346,   251,   252,   253,   653,
     141,   378,   401,   548,   376,   377,   433,   648,    26,   343,
     631,   601,   351,    74,     4,    74,    83,   394,   395,     5,
      32,   435,   631,   138,   577,    74,     4,    74,   577,    26,
     603,    26,   603,   604,   372,   373,   631,     4,     4,     4,
     346,     4,     5,     7,    79,     4,    74,    74,    74,   102,
     354,   245,   577,   644,   246,   368,   411,   413,   414,   416,
     420,   423,   639,   640,   643,   638,     4,     4,     4,     4,
       5,   315,   574,    11,    65,   419,   419,   380,     4,    40,
      84,   138,   413,     4,     5,     5,     4,     5,     7,     4,
       4,     5,     4,     4,     5,   488,   497,   500,     5,   474,
       4,   575,     4,     4,    40,     4,     4,     5,   543,   545,
     379,   544,   379,     3,   518,   381,    26,    26,   606,    21,
      42,    53,    56,    57,    63,    70,    82,    95,    97,   109,
     116,   122,   123,   153,   272,   273,   276,   277,   279,   280,
     281,   282,   284,   285,   551,   601,   607,   610,   611,   618,
     619,   620,   621,   622,   623,   625,   626,   627,   628,   630,
     551,   601,     4,    43,    72,   105,   132,   334,   335,   336,
     339,   341,   631,    32,    99,    60,   134,   158,   654,   409,
       5,     4,     5,   126,     3,    11,   396,   400,   430,   538,
     539,   540,   601,   376,   378,   432,   631,   601,   577,   577,
      74,    13,     5,   378,   321,   548,   577,   577,   577,   577,
     578,   577,    40,     4,   644,   367,     5,   245,   246,   471,
     472,   486,   367,     4,    65,   578,   574,   358,   577,   577,
     575,   575,   575,   575,   575,   575,   307,   498,   501,    23,
     479,     4,   291,   292,   475,   481,     4,   242,   527,   527,
     574,   367,   434,   519,   520,   648,    13,    13,     3,   274,
     278,   612,   613,     3,   624,   624,   104,     3,   274,   278,
     612,   624,   612,   612,   274,   278,   612,   613,   613,     3,
     614,   615,    42,   153,   614,   614,   274,   278,   612,    55,
     184,   186,   187,   192,   196,   198,   565,   567,   569,   570,
       4,    42,   608,   582,   609,     4,     4,     3,    87,    87,
       4,     5,     3,   607,   380,    99,   655,   100,   377,   631,
      26,   108,   352,   353,   650,     3,   400,   540,   150,     5,
      50,    75,    81,    94,   160,   168,   534,   537,    32,   397,
     649,   397,   399,   394,    77,   402,     4,   577,    26,   373,
      59,   374,   577,     4,    71,   591,   591,     4,   355,   356,
     368,   410,   358,   368,   413,   414,   416,   420,   423,   640,
     644,     4,    19,   413,     5,     5,     5,    40,   354,     5,
     475,   293,   293,    77,     4,     4,     5,   606,   606,    23,
     613,   275,    23,    23,   613,   275,   142,   283,   629,   629,
     613,   275,    23,   616,   274,   278,   612,   274,   612,   613,
     275,   624,   612,   126,   114,   609,   409,     3,   335,   343,
     337,   142,   345,   343,   656,   604,     5,   142,   348,     4,
     540,   400,    86,   537,   103,    86,    26,     3,   342,    26,
      40,    78,   404,   577,     4,     4,     5,    33,    61,   357,
     357,    89,   367,    74,   484,   487,    12,   577,   575,   575,
     575,    26,   502,   503,   605,   305,   306,   499,   505,   506,
     480,   577,     3,   527,   520,     4,   614,     4,     5,     4,
     614,   122,   122,   614,    14,    15,    16,    17,    18,   617,
       4,   613,   275,   613,   614,   192,   565,   568,    26,     4,
     343,     4,    25,    43,    59,   110,   339,   340,    43,   255,
     652,   353,    76,    12,   400,    86,   400,   343,   342,   403,
     448,   605,   409,   308,   491,   492,   356,   297,   298,   475,
       5,     5,   609,     4,    37,    51,   303,   446,   507,   508,
     509,   510,   354,    23,   144,   144,   614,   612,     4,    96,
       3,    96,   137,   338,   434,   559,   601,   101,   261,   262,
     664,   665,    71,   657,   658,   101,   400,   100,   138,   535,
     536,   541,     4,     5,   488,   493,   494,   495,   354,   575,
     503,   303,   446,   508,   511,   513,   514,   259,   304,   304,
     299,   504,   515,     4,     4,   110,   409,     3,   121,   259,
     398,   121,   398,   665,   254,   249,   660,   409,     3,   448,
     605,     5,    32,   310,   391,   393,   302,   302,   315,    51,
      77,   301,   309,   601,     4,   343,   397,   397,   397,   397,
     259,   260,   659,     3,   406,   256,   331,   661,   663,   343,
     494,   496,    23,   311,   382,   383,   512,   513,   259,   300,
       3,     4,    26,   667,   668,    26,   670,   666,   668,    26,
     669,   409,   257,     4,   311,   392,   389,   434,    69,   387,
     388,   343,     4,   662,   663,    23,   259,   306,   386,   297,
     312,   385,     4,     7,   384,   390,   434,   246,   663,   386,
     313
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const unsigned short int yyr1[] =
{
       0,   329,   330,   330,   331,   331,   332,   332,   332,   332,
     333,   334,   334,   335,   335,   336,   337,   337,   338,   339,
     339,   340,   340,   340,   340,   340,   340,   340,   340,   340,
     340,   341,   341,   341,   341,   342,   342,   343,   343,   344,
     345,   345,   346,   346,   347,   348,   348,   349,   349,   350,
     350,   351,   351,   351,   351,   351,   351,   352,   352,   353,
     353,   354,   354,   355,   355,   356,   356,   357,   357,   357,
     358,   358,   359,   359,   359,   359,   359,   359,   359,   359,
     359,   360,   360,   361,   362,   363,   364,   365,   366,   366,
     367,   368,   368,   369,   370,   371,   371,   371,   372,   372,
     373,   374,   374,   375,   376,   376,   377,   378,   378,   379,
     380,   381,   381,   382,   382,   383,   384,   384,   385,   385,
     386,   386,   387,   387,   388,   389,   390,   391,   391,   392,
     392,   393,   394,   395,   396,   396,   397,   397,   398,   398,
     399,   399,   400,   400,   400,   400,   400,   401,   402,   402,
     403,   403,   403,   403,   404,   404,   405,   405,   405,   406,
     407,   407,   408,   408,   409,   409,   410,   410,   410,   410,
     410,   410,   410,   410,   411,   412,   412,   413,   413,   413,
     413,   413,   413,   413,   413,   414,   415,   415,   416,   417,
     418,   418,   418,   418,   419,   419,   419,   420,   420,   421,
     421,   422,   422,   423,   424,   424,   425,   426,   426,   427,
     427,   427,   428,   429,   430,   431,   431,   432,   433,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   435,   435,
     435,   436,   436,   437,   437,   437,   438,   438,   439,   440,
     441,   441,   441,   442,   442,   443,   443,   443,   444,   444,
     445,   446,   446,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   448,   448,   448,
     448,   448,   448,   448,   448,   448,   448,   448,   449,   449,
     450,   450,   450,   451,   451,   452,   452,   452,   452,   453,
     453,   454,   455,   455,   455,   455,   456,   456,   456,   456,
     456,   456,   456,   457,   457,   457,   458,   459,   460,   460,
     460,   460,   460,   461,   461,   461,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     463,   463,   463,   464,   465,   465,   465,   465,   465,   465,
     465,   465,   465,   465,   465,   465,   465,   465,   465,   465,
     465,   465,   466,   466,   466,   467,   467,   468,   469,   469,
     469,   469,   469,   469,   469,   470,   471,   472,   473,   473,
     474,   474,   474,   475,   475,   476,   477,   477,   478,   479,
     480,   481,   481,   482,   483,   483,   484,   484,   485,   486,
     486,   487,   487,   488,   489,   489,   490,   491,   491,   492,
     493,   493,   494,   495,   496,   497,   497,   498,   498,   499,
     499,   500,   501,   502,   502,   503,   504,   504,   505,   506,
     506,   507,   507,   508,   508,   508,   509,   510,   511,   512,
     513,   513,   513,   514,   515,   515,   515,   515,   516,   516,
     517,   518,   518,   519,   519,   520,   520,   520,   521,   521,
     522,   522,   522,   523,   523,   523,   523,   523,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   524,   525,   525,   526,   526,   527,   527,   528,   529,
     530,   531,   531,   532,   533,   533,   533,   533,   534,   534,
     534,   535,   536,   536,   537,   537,   537,   537,   538,   539,
     539,   539,   540,   541,   542,   542,   543,   543,   544,   544,
     545,   546,   546,   546,   547,   547,   548,   549,   550,   551,
     551,   552,   553,   553,   553,   553,   553,   553,   553,   553,
     554,   554,   555,   555,   555,   556,   556,   556,   557,   557,
     557,   558,   559,   559,   559,   560,   561,   562,   562,   563,
     564,   565,   565,   565,   565,   565,   565,   565,   565,   565,
     566,   566,   566,   566,   566,   566,   566,   566,   567,   568,
     568,   569,   569,   570,   570,   571,   572,   573,   574,   574,
     574,   575,   575,   575,   575,   576,   576,   576,   576,   577,
     577,   577,   578,   579,   579,   580,   580,   581,   581,   582,
     583,   583,   584,   584,   585,   586,   587,   588,   589,   590,
     590,   590,   590,   590,   591,   591,   592,   592,   593,   593,
     594,   595,   595,   596,   597,   598,   598,   598,   598,   598,
     599,   599,   599,   600,   601,   601,   601,   602,   602,   603,
     604,   605,   605,   605,   605,   605,   606,   606,   607,   608,
     608,   609,   609,   610,   610,   610,   610,   610,   610,   610,
     611,   611,   611,   611,   611,   611,   612,   612,   613,   614,
     614,   615,   616,   617,   617,   617,   617,   617,   617,   618,
     618,   618,   619,   619,   619,   619,   619,   619,   619,   620,
     620,   620,   621,   621,   621,   621,   622,   622,   623,   623,
     624,   624,   624,   625,   625,   625,   625,   625,   625,   625,
     626,   626,   626,   626,   626,   627,   628,   628,   628,   629,
     629,   629,   630,   631,   631,   631,   631,   632,   632,   633,
     633,   633,   634,   634,   635,   636,   637,   637,   638,   639,
     639,   640,   640,   640,   640,   640,   640,   641,   641,   642,
     643,   643,   644,   645,   646,   647,   648,   648,   648,   649,
     649,   650,   331,   331,   651,   652,   652,   653,   653,   653,
     654,   654,   654,   655,   655,   656,   657,   658,   658,   659,
     659,   660,   660,   661,   661,   662,   662,   663,   664,   664,
     665,   665,   665,   665,   666,   667,   668,   669,   670,   671
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const unsigned char yyr2[] =
{
       0,     2,     1,     2,     1,     1,     1,     1,     1,     1,
       6,     1,     3,     1,     1,     3,     0,     2,     1,     1,
       2,     2,     1,     2,     2,     2,     2,     1,     4,     2,
       5,     4,     7,    10,     4,     0,     3,     3,     1,     7,
       0,     3,     0,     3,     7,     0,     3,     2,     1,     1,
       3,     1,     2,     1,     2,     2,     1,     1,     3,     1,
       1,     0,     3,     1,     3,     2,     2,     0,     1,     1,
       0,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     4,     2,     4,     4,     5,     4,     1,     3,
       1,     1,     1,     2,     6,     0,     1,     1,     1,     3,
       3,     1,     1,     5,     1,     3,     1,     0,     1,     1,
       4,     1,     1,     0,     1,     3,     0,     1,     1,     1,
       1,     1,     0,     1,     5,     1,     1,     0,     1,     0,
       2,     3,     9,     2,     1,     3,     0,     1,     0,     1,
       0,     3,     2,     3,     1,     4,     3,     2,     0,     3,
       1,     1,     3,     3,     0,     2,     1,     3,     1,     3,
       1,     2,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     3,     2,     1,     1,     1,
       1,     1,     1,     4,     2,     5,     2,     1,     4,     4,
       2,     2,     1,     1,     0,     2,     4,     3,     3,     2,
       1,     1,     3,     3,     2,     1,     3,     2,     1,     1,
       1,     1,     2,     2,     3,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     2,     2,     2,     2,     0,     2,
       1,     6,     4,     1,     1,     1,     4,     4,     4,     4,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       6,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     3,
       3,     4,     4,     4,     4,     4,     4,     4,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     3,     3,
       1,     1,     1,     1,     1,     4,     1,     1,     1,     1,
       0,     2,     4,     0,     1,     6,     1,     1,     1,     1,
       1,     2,     2,     5,     1,     1,     0,     1,     8,     1,
       1,     2,     2,     1,     1,     1,     1,     0,     1,     2,
       3,     1,     3,     1,     6,     0,     1,     0,     1,     0,
       1,     1,     3,     3,     1,     2,     0,     1,     3,     1,
       1,     1,     1,     2,     1,     2,     2,     4,     1,     1,
       1,     2,     1,     2,     3,     2,     2,     3,     0,     2,
       4,     0,     3,     1,     3,     0,     1,     1,     2,     2,
       1,     1,     1,     5,     4,     5,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     5,     7,     0,     5,     1,     5,
       1,     1,     1,     5,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     0,     1,     1,     2,     4,     5,
       5,     1,     1,     4,     1,     1,     1,     3,     1,     4,
       1,     1,     4,     4,     0,     1,     1,     1,     1,     1,
       1,     6,     1,     1,     1,     1,     1,     1,     3,     1,
       1,     1,     1,     2,     2,     1,     3,     3,     1,     3,
       3,     1,     1,     1,     1,     2,     1,     1,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       2,     2,     2,     3,     1,     3,     5,     7,     1,     3,
       3,     1,     3,     5,     3,     1,     3,     3,     5,     1,
       1,     1,     1,     1,     1,     3,     3,     1,     1,     2,
       1,     2,     1,     1,     1,     7,     1,     1,     0,     1,
       1,     1,     1,     1,     0,     2,     7,     4,     1,     1,
       4,     6,     6,     6,     4,     4,     3,     3,     2,     1,
       1,     1,     1,     2,     1,     1,     1,     3,     3,     3,
       1,     1,     3,     5,     7,     7,     1,     1,     1,     0,
       3,     0,     1,     3,     2,     1,     1,     1,     1,     1,
       2,     2,     3,     3,     2,     1,     0,     1,     3,     0,
       1,     3,     2,     0,     1,     1,     1,     1,     1,     4,
       4,     2,     3,     3,     2,     4,     4,     3,     1,     5,
       4,     2,     2,     3,     2,     1,     4,     2,     1,     1,
       0,     3,     5,     2,     2,     2,     1,     1,     1,     1,
       4,     1,     1,     1,     2,     1,     1,     3,     3,     0,
       3,     3,     2,     1,     1,     1,     1,     1,     1,     4,
       4,     4,     1,     1,     5,     4,     1,     2,     4,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     2,     4,
       0,     2,     1,     1,     1,     1,     2,     1,     3,     0,
       2,     1,     1,     3,     9,     0,     2,     1,     1,     2,
       1,     1,     2,     0,     2,     1,     3,     0,     3,     1,
       1,     0,     2,     1,     5,     1,     3,     1,     1,     2,
       4,     4,     4,     4,     1,     1,     1,     1,     1,     1
};


/* YYDPREC[RULE-NUM] -- Dynamic precedence of rule #RULE-NUM (0 if none).  */
static const unsigned char yydprec[] =
{
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       2,     1,     0,     0,     0,     0,     1,     0,     0,     0,
       0,     2,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     1,     0,     0,     0,     2,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0
};

/* YYMERGER[RULE-NUM] -- Index of merging function for rule #RULE-NUM.  */
static const unsigned char yymerger[] =
{
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0
};

/* YYIMMEDIATE[RULE-NUM] -- True iff rule #RULE-NUM is not to be deferred, as
   in the case of predicates.  */
static const yybool yyimmediate[] =
{
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0
};

/* YYCONFLP[YYPACT[STATE-NUM]] -- Pointer into YYCONFL of start of
   list of conflicting reductions corresponding to action entry for
   state STATE-NUM in yytable.  0 means no conflicts.  The list in
   yyconfl is terminated by a rule number of 0.  */
static const unsigned char yyconflp[] =
{
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    17,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    29,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    15,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     7,     0,     0,     0,     0,
       0,    41,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    43,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    33,    35,     0,     0,     0,
      31,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      39,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      11,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    19,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    13,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     9,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    21,     0,    23,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    25,    47,     0,     0,     0,    51,    49,
       0,     0,     0,    53,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    27,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    55,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     1,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     3,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     5,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0
};

/* YYCONFL[I] -- lists of conflicting rule numbers, each terminated by
   0, pointed into by YYCONFLP.  */
static const short int yyconfl[] =
{
       0,    71,     0,    71,     0,    71,     0,   589,     0,   592,
       0,   504,     0,   504,     0,   762,     0,    91,     0,   184,
       0,   463,     0,   464,     0,   516,     0,    42,     0,   578,
       0,   741,     0,   743,     0,   745,     0,   746,     0,   744,
       0,   176,     0,   584,     0,   584,     0,   498,     0,   498,
       0,   499,     0,   499,     0,   129,     0
};

/* Error token number */
#define YYTERROR 1



YYSTYPE yylval;

int yynerrs;
int yychar;

static const int YYEOF = 0;
static const int YYEMPTY = -2;

typedef enum { yyok, yyaccept, yyabort, yyerr } YYRESULTTAG;

#define YYCHK(YYE)                              \
  do {                                          \
    YYRESULTTAG yychk_flag = YYE;               \
    if (yychk_flag != yyok)                     \
      return yychk_flag;                        \
  } while (0)

#if YYDEBUG

# ifndef YYFPRINTF
#  define YYFPRINTF fprintf
# endif

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YYDPRINTF(Args)                        \
  do {                                          \
    if (yydebug)                                \
      YYFPRINTF Args;                           \
  } while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                  \
  do {                                                                  \
    if (yydebug)                                                        \
      {                                                                 \
        YYFPRINTF (stderr, "%s ", Title);                               \
        yy_symbol_print (stderr, Type, Value);        \
        YYFPRINTF (stderr, "\n");                                       \
      }                                                                 \
  } while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;

struct yyGLRStack;
static void yypstack (struct yyGLRStack* yystackp, size_t yyk)
  YY_ATTRIBUTE_UNUSED;
static void yypdumpstack (struct yyGLRStack* yystackp)
  YY_ATTRIBUTE_UNUSED;

#else /* !YYDEBUG */

# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)

#endif /* !YYDEBUG */

/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   SIZE_MAX < YYMAXDEPTH * sizeof (GLRStackItem)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

/* Minimum number of free items on the stack allowed after an
   allocation.  This is to allow allocation and initialization
   to be completed by functions that call yyexpandGLRStack before the
   stack is expanded, thus insuring that all necessary pointers get
   properly redirected to new data.  */
#define YYHEADROOM 2

#ifndef YYSTACKEXPANDABLE
#  define YYSTACKEXPANDABLE 1
#endif

#if YYSTACKEXPANDABLE
# define YY_RESERVE_GLRSTACK(Yystack)                   \
  do {                                                  \
    if (Yystack->yyspaceLeft < YYHEADROOM)              \
      yyexpandGLRStack (Yystack);                       \
  } while (0)
#else
# define YY_RESERVE_GLRSTACK(Yystack)                   \
  do {                                                  \
    if (Yystack->yyspaceLeft < YYHEADROOM)              \
      yyMemoryExhausted (Yystack);                      \
  } while (0)
#endif


#if YYERROR_VERBOSE

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static size_t
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      size_t yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return strlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

#endif /* !YYERROR_VERBOSE */

/** State numbers, as in LALR(1) machine */
typedef int yyStateNum;

/** Rule numbers, as in LALR(1) machine */
typedef int yyRuleNum;

/** Grammar symbol */
typedef int yySymbol;

/** Item references, as in LALR(1) machine */
typedef short int yyItemNum;

typedef struct yyGLRState yyGLRState;
typedef struct yyGLRStateSet yyGLRStateSet;
typedef struct yySemanticOption yySemanticOption;
typedef union yyGLRStackItem yyGLRStackItem;
typedef struct yyGLRStack yyGLRStack;

struct yyGLRState {
  /** Type tag: always true.  */
  yybool yyisState;
  /** Type tag for yysemantics.  If true, yysval applies, otherwise
   *  yyfirstVal applies.  */
  yybool yyresolved;
  /** Number of corresponding LALR(1) machine state.  */
  yyStateNum yylrState;
  /** Preceding state in this stack */
  yyGLRState* yypred;
  /** Source position of the last token produced by my symbol */
  size_t yyposn;
  union {
    /** First in a chain of alternative reductions producing the
     *  non-terminal corresponding to this state, threaded through
     *  yynext.  */
    yySemanticOption* yyfirstVal;
    /** Semantic value for this state.  */
    YYSTYPE yysval;
  } yysemantics;
};

struct yyGLRStateSet {
  yyGLRState** yystates;
  /** During nondeterministic operation, yylookaheadNeeds tracks which
   *  stacks have actually needed the current lookahead.  During deterministic
   *  operation, yylookaheadNeeds[0] is not maintained since it would merely
   *  duplicate yychar != YYEMPTY.  */
  yybool* yylookaheadNeeds;
  size_t yysize, yycapacity;
};

struct yySemanticOption {
  /** Type tag: always false.  */
  yybool yyisState;
  /** Rule number for this reduction */
  yyRuleNum yyrule;
  /** The last RHS state in the list of states to be reduced.  */
  yyGLRState* yystate;
  /** The lookahead for this reduction.  */
  int yyrawchar;
  YYSTYPE yyval;
  /** Next sibling in chain of options.  To facilitate merging,
   *  options are chained in decreasing order by address.  */
  yySemanticOption* yynext;
};

/** Type of the items in the GLR stack.  The yyisState field
 *  indicates which item of the union is valid.  */
union yyGLRStackItem {
  yyGLRState yystate;
  yySemanticOption yyoption;
};

struct yyGLRStack {
  int yyerrState;


  YYJMP_BUF yyexception_buffer;
  yyGLRStackItem* yyitems;
  yyGLRStackItem* yynextFree;
  size_t yyspaceLeft;
  yyGLRState* yysplitPoint;
  yyGLRState* yylastDeleted;
  yyGLRStateSet yytops;
};

#if YYSTACKEXPANDABLE
static void yyexpandGLRStack (yyGLRStack* yystackp);
#endif

static _Noreturn void
yyFail (yyGLRStack* yystackp, const char* yymsg)
{
  if (yymsg != YY_NULLPTR)
    yyerror (yymsg);
  YYLONGJMP (yystackp->yyexception_buffer, 1);
}

static _Noreturn void
yyMemoryExhausted (yyGLRStack* yystackp)
{
  YYLONGJMP (yystackp->yyexception_buffer, 2);
}

#if YYDEBUG || YYERROR_VERBOSE
/** A printable representation of TOKEN.  */
static inline const char*
yytokenName (yySymbol yytoken)
{
  if (yytoken == YYEMPTY)
    return "";

  return yytname[yytoken];
}
#endif

/** Fill in YYVSP[YYLOW1 .. YYLOW0-1] from the chain of states starting
 *  at YYVSP[YYLOW0].yystate.yypred.  Leaves YYVSP[YYLOW1].yystate.yypred
 *  containing the pointer to the next state in the chain.  */
static void yyfillin (yyGLRStackItem *, int, int) YY_ATTRIBUTE_UNUSED;
static void
yyfillin (yyGLRStackItem *yyvsp, int yylow0, int yylow1)
{
  int i;
  yyGLRState *s = yyvsp[yylow0].yystate.yypred;
  for (i = yylow0-1; i >= yylow1; i -= 1)
    {
#if YYDEBUG
      yyvsp[i].yystate.yylrState = s->yylrState;
#endif
      yyvsp[i].yystate.yyresolved = s->yyresolved;
      if (s->yyresolved)
        yyvsp[i].yystate.yysemantics.yysval = s->yysemantics.yysval;
      else
        /* The effect of using yysval or yyloc (in an immediate rule) is
         * undefined.  */
        yyvsp[i].yystate.yysemantics.yyfirstVal = YY_NULLPTR;
      s = yyvsp[i].yystate.yypred = s->yypred;
    }
}

/* Do nothing if YYNORMAL or if *YYLOW <= YYLOW1.  Otherwise, fill in
 * YYVSP[YYLOW1 .. *YYLOW-1] as in yyfillin and set *YYLOW = YYLOW1.
 * For convenience, always return YYLOW1.  */
static inline int yyfill (yyGLRStackItem *, int *, int, yybool)
     YY_ATTRIBUTE_UNUSED;
static inline int
yyfill (yyGLRStackItem *yyvsp, int *yylow, int yylow1, yybool yynormal)
{
  if (!yynormal && yylow1 < *yylow)
    {
      yyfillin (yyvsp, *yylow, yylow1);
      *yylow = yylow1;
    }
  return yylow1;
}

/** Perform user action for rule number YYN, with RHS length YYRHSLEN,
 *  and top stack item YYVSP.  YYLVALP points to place to put semantic
 *  value ($$), and yylocp points to place for location information
 *  (@$).  Returns yyok for normal return, yyaccept for YYACCEPT,
 *  yyerr for YYERROR, yyabort for YYABORT.  */
static YYRESULTTAG
yyuserAction (yyRuleNum yyn, size_t yyrhslen, yyGLRStackItem* yyvsp,
              yyGLRStack* yystackp,
              YYSTYPE* yyvalp)
{
  yybool yynormal YY_ATTRIBUTE_UNUSED = (yystackp->yysplitPoint == YY_NULLPTR);
  int yylow;
  YYUSE (yyvalp);
  YYUSE (yyrhslen);
# undef yyerrok
# define yyerrok (yystackp->yyerrState = 0)
# undef YYACCEPT
# define YYACCEPT return yyaccept
# undef YYABORT
# define YYABORT return yyabort
# undef YYERROR
# define YYERROR return yyerrok, yyerr
# undef YYRECOVERING
# define YYRECOVERING() (yystackp->yyerrState != 0)
# undef yyclearin
# define yyclearin (yychar = YYEMPTY)
# undef YYFILL
# define YYFILL(N) yyfill (yyvsp, &yylow, N, yynormal)
# undef YYBACKUP
# define YYBACKUP(Token, Value)                                              \
  return yyerror (YY_("syntax error: cannot back up")),     \
         yyerrok, yyerr

  yylow = 1;
  if (yyrhslen == 0)
    *yyvalp = yyval_default;
  else
    *yyvalp = yyvsp[YYFILL (1-yyrhslen)].yystate.yysemantics.yysval;
  switch (yyn)
    {
        case 2:

    { xxx_pGLOBAL_SQLPARSER->setParseTree( (((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode) ); }

    break;

  case 3:

    { xxx_pGLOBAL_SQLPARSER->setParseTree( (((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode) ); }

    break;

  case 5:

    {
                ((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	   }

    break;

  case 10:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-5)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));}

    break;

  case 11:

    {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 12:

    {(((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode);}

    break;

  case 15:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			}

    break;

  case 16:

    {((*yyvalp).pParseNode) = SQL_NEW_LISTRULE;}

    break;

  case 17:

    {(((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode);}

    break;

  case 20:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 21:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 23:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 24:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 25:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 26:

    {
				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			}

    break;

  case 28:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));}

    break;

  case 29:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 30:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));}

    break;

  case 31:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));}

    break;

  case 32:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-6)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-5)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 33:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-9)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-8)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-6)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));}

    break;

  case 34:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));}

    break;

  case 35:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 36:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 37:

    {(((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode);}

    break;

  case 38:

    {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 39:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-6)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-5)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 40:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 41:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 42:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 43:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));}

    break;

  case 44:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-6)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-5)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 45:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 46:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 47:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 49:

    {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 50:

    {(((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode);}

    break;

  case 52:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 54:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 55:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 57:

    {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 58:

    {(((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode);}

    break;

  case 61:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 62:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 63:

    {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 64:

    {(((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode);}

    break;

  case 65:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 66:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 67:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 70:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 80:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("{", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("}", SQLNodeType::Punctuation));
		}

    break;

  case 82:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 83:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 84:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 85:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 86:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 87:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 88:

    {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 89:

    {(((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode);}

    break;

  case 93:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 94:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-5)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode)); }

    break;

  case 95:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 98:

    {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 99:

    {(((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode);}

    break;

  case 100:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 103:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 104:

    {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 105:

    {(((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode);}

    break;

  case 107:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 109:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 110:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 111:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("*", SQLNodeType::Punctuation));
		}

    break;

  case 113:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 115:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	}

    break;

  case 116:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 122:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 124:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	}

    break;

  case 127:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 129:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 130:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	}

    break;

  case 131:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	}

    break;

  case 132:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-8)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-7)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-6)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-5)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 133:

    { ((*yyvalp).pParseNode) = SQL_NEW_RULE;
			  ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			  ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode)); }

    break;

  case 134:

    { ((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			  ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode)); }

    break;

  case 135:

    { (((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			  ((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode); }

    break;

  case 136:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 138:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 140:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 141:

    {
		    ((*yyvalp).pParseNode) = SQL_NEW_RULE;
		    ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
		    ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		    ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 142:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 143:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 145:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("{", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("}", SQLNodeType::Punctuation));
		}

    break;

  case 146:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 147:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 148:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 149:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 150:

    {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 151:

    {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 152:

    {(((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode);}

    break;

  case 153:

    {(((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode);}

    break;

  case 154:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 155:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 157:

    { // boolean_primary: rule 2
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 158:

    {
                    if(xxx_pGLOBAL_SQLPARSER->inPredicateCheck())// boolean_primary: rule 3
                    {
                        ((*yyvalp).pParseNode) = SQL_NEW_RULE;
                        sal_Int16 nErg = 0;
                        if ( SQL_ISTOKEN( (((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode), NULL))
                        {
                            OSQLParseNode* pColumnRef = newNode("", SQLNodeType::Rule,OSQLParser::RuleID(OSQLParseNode::column_ref));
                            pColumnRef->append(newNode(xxx_pGLOBAL_SQLPARSER->getFieldName(),SQLNodeType::Name));
                            OSQLParseNode* pTFN = new OSQLInternalNode("", SQLNodeType::Rule,OSQLParser::RuleID(OSQLParseNode::test_for_null));
                            pTFN->append(pColumnRef);

                            OSQLParseNode* pNPP2 = new OSQLInternalNode("", SQLNodeType::Rule, OSQLParser::RuleID(OSQLParseNode::null_predicate_part_2));
                            pNPP2->append(new OSQLInternalNode("", SQLNodeType::Keyword, SQL_TOKEN_IS));
                            pNPP2->append(new OSQLInternalNode("", SQLNodeType::Rule, OSQLParser::RuleID(OSQLParseNode::sql_not)));
                            pNPP2->append(new OSQLInternalNode("", SQLNodeType::Keyword, SQL_TOKEN_NULL));
                            pTFN->append(pNPP2);

                            ((*yyvalp).pParseNode)->append(pTFN);

                            nErg = 1;
                        }
                        else
                        {
                            nErg = xxx_pGLOBAL_SQLPARSER->buildComparisonRule(((*yyvalp).pParseNode),(((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
                        }
                        if(nErg == 1)
                        {
                            OSQLParseNode* pTemp = ((*yyvalp).pParseNode);
                            ((*yyvalp).pParseNode) = pTemp->removeAt((sal_uInt32)0);
                            delete pTemp;
                        }
                        else
                        {
                            delete ((*yyvalp).pParseNode);
                            if(nErg)
                                YYERROR;
                            else
                                YYABORT;
                        }
                    }
                    else
                        YYERROR;
                }

    break;

  case 159:

    { // boolean_primary: rule 2
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
	}

    break;

  case 161:

    { // boolean_factor: rule 1
		    ((*yyvalp).pParseNode) = SQL_NEW_RULE;
		    ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		    ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 163:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE; // boolean_term: rule 1
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 165:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE; // search_condition
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 174:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE; // comparison_predicate: rule 1
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 175:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE; // comparison_predicate: rule 1
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 176:

    {
			if(xxx_pGLOBAL_SQLPARSER->inPredicateCheck()) // comparison_predicate: rule 2
			{
				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				sal_Int16 nErg = xxx_pGLOBAL_SQLPARSER->buildPredicateRule(((*yyvalp).pParseNode),(((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode),(((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
				if(nErg == 1)
				{
					OSQLParseNode* pTemp = ((*yyvalp).pParseNode);
					((*yyvalp).pParseNode) = pTemp->removeAt((sal_uInt32)0);
					delete pTemp;
				}
				else
				{
					delete ((*yyvalp).pParseNode);
					YYABORT;
				}
			}
			else
			{
				YYERROR;
			}
		}

    break;

  case 183:

    {
		  ((*yyvalp).pParseNode) = SQL_NEW_RULE;
		  ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
		  ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
		  ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		  ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 184:

    {
		  ((*yyvalp).pParseNode) = SQL_NEW_RULE;
		  ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		  ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 185:

    {
			if (xxx_pGLOBAL_SQLPARSER->inPredicateCheck()) // between_predicate: rule 2
			{
				((*yyvalp).pParseNode) = SQL_NEW_RULE;

				sal_Int16 nErg = xxx_pGLOBAL_SQLPARSER->buildPredicateRule(((*yyvalp).pParseNode),(((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode),(((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode),(((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
				if(nErg == 1)
				{
					OSQLParseNode* pTemp = ((*yyvalp).pParseNode);
					((*yyvalp).pParseNode) = pTemp->removeAt((sal_uInt32)0);
					OSQLParseNode* pColumnRef = ((*yyvalp).pParseNode)->removeAt((sal_uInt32)0);
					((*yyvalp).pParseNode)->insert(0,(((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
					OSQLParseNode* pBetween_predicate = new OSQLInternalNode("", SQLNodeType::Rule,OSQLParser::RuleID(OSQLParseNode::between_predicate));
					pBetween_predicate->append(pColumnRef);
					pBetween_predicate->append(((*yyvalp).pParseNode));
					((*yyvalp).pParseNode) = pBetween_predicate;

					delete pTemp;
					delete (((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode);
				}
				else
				{
					delete ((*yyvalp).pParseNode);
					YYABORT;
				}
			}
			else
			{
				((*yyvalp).pParseNode) = SQL_NEW_RULE; // between_predicate: rule 1
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			}
		}

    break;

  case 186:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE; // between_predicate: rule 1
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 188:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE; // like_predicate: rule 1
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 189:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE; // like_predicate: rule 1
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 190:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE; // like_predicate: rule 1
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 191:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;  // like_predicate: rule 3
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 192:

    {
			if (xxx_pGLOBAL_SQLPARSER->inPredicateCheck())  // like_predicate: rule 5
			{
				OSQLParseNode* pColumnRef = newNode("", SQLNodeType::Rule,OSQLParser::RuleID(OSQLParseNode::column_ref));
				pColumnRef->append(newNode(xxx_pGLOBAL_SQLPARSER->getFieldName(),SQLNodeType::Name));

				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append(pColumnRef);
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
				OSQLParseNode* p2nd = (((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode)->removeAt(2);
				OSQLParseNode* p3rd = (((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode)->removeAt(2);
				if ( !xxx_pGLOBAL_SQLPARSER->buildLikeRule((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode),p2nd,p3rd) )
				{
					delete ((*yyvalp).pParseNode);
					YYABORT;
				}
				(((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode)->append(p3rd);
			}
			else
				YYERROR;
		}

    break;

  case 193:

    {
			if (xxx_pGLOBAL_SQLPARSER->inPredicateCheck()) // like_predicate: rule 6
			{
				OSQLParseNode* pColumnRef = newNode("", SQLNodeType::Rule,OSQLParser::RuleID(OSQLParseNode::column_ref));
				pColumnRef->append(newNode(xxx_pGLOBAL_SQLPARSER->getFieldName(),SQLNodeType::Name));

				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append(pColumnRef);
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
				OSQLParseNode* p2nd = (((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode)->removeAt(2);
				OSQLParseNode* p3rd = (((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode)->removeAt(2);
				if ( !xxx_pGLOBAL_SQLPARSER->buildLikeRule((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode),p2nd,p3rd) )
				{
					delete ((*yyvalp).pParseNode);
					YYABORT;
				}
				(((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode)->append(p3rd);
			}
			else
				YYERROR;
		}

    break;

  case 194:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 195:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 196:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("{", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("}", SQLNodeType::Punctuation));
		}

    break;

  case 197:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE; // test_for_null: rule 1
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	  }

    break;

  case 198:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE; // test_for_null: rule 1
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	  }

    break;

  case 199:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE; // test_for_null: rule 1
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 200:

    {
			if (xxx_pGLOBAL_SQLPARSER->inPredicateCheck())// test_for_null: rule 2
			{
				OSQLParseNode* pColumnRef = newNode("", SQLNodeType::Rule,OSQLParser::RuleID(OSQLParseNode::column_ref));
				pColumnRef->append(newNode(xxx_pGLOBAL_SQLPARSER->getFieldName(),SQLNodeType::Name));

				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append(pColumnRef);
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			}
			else
				YYERROR;
		}

    break;

  case 201:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 202:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 203:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;// in_predicate: rule 1
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	}

    break;

  case 204:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;// in_predicate: rule 1
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 205:

    {
			if ( xxx_pGLOBAL_SQLPARSER->inPredicateCheck() )// in_predicate: rule 2
			{
				OSQLParseNode* pColumnRef = newNode("", SQLNodeType::Rule,OSQLParser::RuleID(OSQLParseNode::column_ref));
				pColumnRef->append(newNode(xxx_pGLOBAL_SQLPARSER->getFieldName(),SQLNodeType::Name));

				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append(pColumnRef);
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			}
			else
				YYERROR;
		}

    break;

  case 206:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	}

    break;

  case 207:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 208:

    {
			if(xxx_pGLOBAL_SQLPARSER->inPredicateCheck())
			{
				OSQLParseNode* pColumnRef = newNode("", SQLNodeType::Rule,OSQLParser::RuleID(OSQLParseNode::column_ref));
				pColumnRef->append(newNode(xxx_pGLOBAL_SQLPARSER->getFieldName(),SQLNodeType::Name));

				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append(pColumnRef);
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			}
			else
				YYERROR;
		}

    break;

  case 212:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 213:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 214:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));}

    break;

  case 215:

    {
			((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 216:

    {
			(((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode);
		}

    break;

  case 224:

    {
			if (xxx_pGLOBAL_SQLPARSER->inPredicateCheck())
			{
				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
				OSQLParser::reduceLiteral(((*yyvalp).pParseNode), true);
			}
			else
				YYERROR;
		}

    break;

  case 225:

    {
			if (xxx_pGLOBAL_SQLPARSER->inPredicateCheck())
			{
				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
				OSQLParser::reduceLiteral(((*yyvalp).pParseNode), true);
			}
			else
				YYERROR;
		}

    break;

  case 226:

    {
			if (xxx_pGLOBAL_SQLPARSER->inPredicateCheck())
			{
				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
				OSQLParser::reduceLiteral(((*yyvalp).pParseNode), true);
			}
			else
				YYERROR;
		}

    break;

  case 227:

    {
			if (xxx_pGLOBAL_SQLPARSER->inPredicateCheck())
			{
				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
				OSQLParser::reduceLiteral(((*yyvalp).pParseNode), true);
			}
			else
				YYERROR;
		}

    break;

  case 228:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 229:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 231:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-5)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 232:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 236:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 237:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 238:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 239:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 240:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 241:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 242:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 243:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 244:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 248:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 249:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 250:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-5)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 268:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("{", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("}", SQLNodeType::Punctuation));
		}

    break;

  case 269:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 270:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 271:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 272:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 273:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 274:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 275:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 276:

    {
			if ( (((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode)->count() == 1 || (((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode)->count() == 2 )
			{
				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
				((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
				((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
			}
			else
				YYERROR;
		}

    break;

  case 277:

    {
			if ( (((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode)->count() == 2 || (((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode)->count() == 3)
			{
				((*yyvalp).pParseNode) = SQL_NEW_RULE;
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
				((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
				((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
				((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
			}
			else
				YYERROR;
		}

    break;

  case 357:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	}

    break;

  case 358:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 359:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 365:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
	}

    break;

  case 370:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 371:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode(",", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 372:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode(",", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(",", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 373:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 375:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-5)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	}

    break;

  case 383:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	}

    break;

  case 386:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 388:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-7)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-5)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(",", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	}

    break;

  case 391:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 392:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 397:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 399:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	}

    break;

  case 400:

    {(((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode);}

    break;

  case 401:

    {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 402:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	}

    break;

  case 404:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
	}

    break;

  case 405:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 407:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 409:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 412:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	}

    break;

  case 413:

    {(((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode);}

    break;

  case 414:

    {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 415:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	}

    break;

  case 416:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 418:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	}

    break;

  case 423:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 425:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 426:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	}

    break;

  case 427:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	}

    break;

  case 431:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	}

    break;

  case 433:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	}

    break;

  case 434:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 435:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 436:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 437:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 438:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 439:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("?", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 440:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 441:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 442:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 443:

    {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 444:

    {
			(((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode);
		}

    break;

  case 445:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 448:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 449:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 453:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 454:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append(newNode("*", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 455:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 474:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 475:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-6)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	}

    break;

  case 476:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
	}

    break;

  case 477:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
	}

    break;

  case 479:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
	}

    break;

  case 483:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
	}

    break;

  case 488:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 489:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 490:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 491:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 494:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 495:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 497:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 498:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 499:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 500:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 503:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 507:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 509:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 512:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 513:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 514:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 521:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-5)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 528:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 533:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("-", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 534:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("+", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 536:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("*", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 537:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("/", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 539:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("+", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 540:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("-", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 541:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 542:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 543:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 544:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 545:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 546:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 547:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 548:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 549:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 550:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 568:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 570:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 571:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 572:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 573:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 575:

    {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 576:

    {
			((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 577:

    {
			((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-6)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 578:

    {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 579:

    {(((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode);}

    break;

  case 580:

    {
			if (xxx_pGLOBAL_SQLPARSER->inPredicateCheck())
			{
				(((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
				((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode);
			}
			else
				YYERROR;
		}

    break;

  case 582:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 583:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 584:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 585:

    {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 586:

    {(((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode);}

    break;

  case 587:

    {
			if (xxx_pGLOBAL_SQLPARSER->inPredicateCheck())
			{
				(((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
				((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode);
			}
			else
				YYERROR;
		}

    break;

  case 588:

    {
            ((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
            ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
            ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
            ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
        }

    break;

  case 591:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 595:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("+", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 596:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 599:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 601:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 604:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 605:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-6)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 606:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 607:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 608:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 611:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 612:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 613:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 614:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 615:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 616:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-6)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 617:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 620:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 621:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-5)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 622:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-5)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(",", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 623:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-5)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 624:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 625:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 626:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 627:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 628:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 633:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 637:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(".", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 638:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(":", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 639:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(".", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 640:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 641:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 642:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(".", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			}

    break;

  case 643:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(".", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(".", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 644:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-6)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(".", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(".", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(".", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			}

    break;

  case 645:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-6)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(":", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(".", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(".", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			}

    break;

  case 646:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 647:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("*", SQLNodeType::Punctuation));
		}

    break;

  case 649:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 650:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 651:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 653:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 654:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 660:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 661:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 662:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 663:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 664:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 666:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 668:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
	}

    break;

  case 669:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 671:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
	}

    break;

  case 672:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	}

    break;

  case 673:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 674:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("K", SQLNodeType::Punctuation));
		}

    break;

  case 675:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("M", SQLNodeType::Punctuation));
		}

    break;

  case 676:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("G", SQLNodeType::Punctuation));
		}

    break;

  case 677:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("T", SQLNodeType::Punctuation));
		}

    break;

  case 678:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("P", SQLNodeType::Punctuation));
		}

    break;

  case 679:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 680:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 681:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 682:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 683:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 684:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 685:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 686:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 687:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 689:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 690:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 691:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 692:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 693:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 694:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 696:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 697:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 700:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 701:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 702:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(",", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 703:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 704:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 705:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 710:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 714:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 717:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 718:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 719:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 720:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 721:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 722:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
	}

    break;

  case 724:

    {
			sal_uInt32 nNod = ((*yyvalp).pParseNode)->getRuleID();
			delete ((*yyvalp).pParseNode);
			((*yyvalp).pParseNode) = newNode(OSQLParser::TokenIDToStr(nNod), SQLNodeType::Name);
		}

    break;

  case 725:

    {
			sal_uInt32 nNod = ((*yyvalp).pParseNode)->getRuleID();
			delete ((*yyvalp).pParseNode);
			((*yyvalp).pParseNode) = newNode(OSQLParser::TokenIDToStr(nNod), SQLNodeType::Name);
		}

    break;

  case 726:

    {
			sal_uInt32 nNod = ((*yyvalp).pParseNode)->getRuleID();
			delete ((*yyvalp).pParseNode);
			((*yyvalp).pParseNode) = newNode(OSQLParser::TokenIDToStr(nNod), SQLNodeType::Name);
		}

    break;

  case 729:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 730:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 731:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("(", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
		}

    break;

  case 734:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 735:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 736:

    {
			((*yyvalp).pParseNode) = SQL_NEW_LISTRULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 737:

    {
			(((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode);
		}

    break;

  case 738:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 739:

    {((*yyvalp).pParseNode) = SQL_NEW_COMMALISTRULE;
		((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 740:

    {(((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode);}

    break;

  case 747:

    {
			((*yyvalp).pParseNode) = SQL_NEW_LISTRULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 748:

    {
			(((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode);
		}

    break;

  case 749:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 750:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 751:

    {
			((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 755:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 756:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode(":", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));}

    break;

  case 757:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE; // test
			((*yyvalp).pParseNode)->append(newNode("?", SQLNodeType::Punctuation));}

    break;

  case 758:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
			((*yyvalp).pParseNode)->append(newNode("[", SQLNodeType::Punctuation));
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode)->append(newNode("]", SQLNodeType::Punctuation));}

    break;

  case 759:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;}

    break;

  case 760:

    {((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
        }

    break;

  case 762:

    {
			if (xxx_pGLOBAL_SQLPARSER->inPredicateCheck()) // sql: rule 1
			{
				((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode);
				if ( SQL_ISRULE(((*yyvalp).pParseNode),search_condition) )
				{
					((*yyvalp).pParseNode)->insert(0,newNode("(", SQLNodeType::Punctuation));
					((*yyvalp).pParseNode)->append(newNode(")", SQLNodeType::Punctuation));
				}
			}
			else
				YYERROR;
		}

    break;

  case 764:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-8)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-7)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-6)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-5)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
    }

    break;

  case 765:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
	}

    break;

  case 766:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
    }

    break;

  case 769:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
    }

    break;

  case 772:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
    }

    break;

  case 773:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
	}

    break;

  case 774:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
    }

    break;

  case 776:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
    }

    break;

  case 777:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
		}

    break;

  case 778:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
    }

    break;

  case 781:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
	}

    break;

  case 782:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
    }

    break;

  case 784:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-4)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append(newNode(";", SQLNodeType::Punctuation));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
    }

    break;

  case 785:

    {
			((*yyvalp).pParseNode) = SQL_NEW_LISTRULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 786:

    {
			(((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode);
		}

    break;

  case 788:

    {
			((*yyvalp).pParseNode) = SQL_NEW_LISTRULE;
			((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
		}

    break;

  case 789:

    {
			(((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
			((*yyvalp).pParseNode) = (((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode);
		}

    break;

  case 790:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
    }

    break;

  case 791:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
    }

    break;

  case 792:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
    }

    break;

  case 793:

    {
		((*yyvalp).pParseNode) = SQL_NEW_RULE;
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-3)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-2)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (-1)].yystate.yysemantics.yysval.pParseNode));
        ((*yyvalp).pParseNode)->append((((yyGLRStackItem const *)yyvsp)[YYFILL (0)].yystate.yysemantics.yysval.pParseNode));
    }

    break;



      default: break;
    }

  return yyok;
# undef yyerrok
# undef YYABORT
# undef YYACCEPT
# undef YYERROR
# undef YYBACKUP
# undef yyclearin
# undef YYRECOVERING
}


static void
yyuserMerge (int yyn, YYSTYPE* yy0, YYSTYPE* yy1)
{
  YYUSE (yy0);
  YYUSE (yy1);

  switch (yyn)
    {

      default: break;
    }
}

                              /* Bison grammar-table manipulation.  */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}

/** Number of symbols composing the right hand side of rule #RULE.  */
static inline int
yyrhsLength (yyRuleNum yyrule)
{
  return yyr2[yyrule];
}

static void
yydestroyGLRState (char const *yymsg, yyGLRState *yys)
{
  if (yys->yyresolved)
    yydestruct (yymsg, yystos[yys->yylrState],
                &yys->yysemantics.yysval);
  else
    {
#if YYDEBUG
      if (yydebug)
        {
          if (yys->yysemantics.yyfirstVal)
            YYFPRINTF (stderr, "%s unresolved", yymsg);
          else
            YYFPRINTF (stderr, "%s incomplete", yymsg);
          YY_SYMBOL_PRINT ("", yystos[yys->yylrState], YY_NULLPTR, &yys->yyloc);
        }
#endif

      if (yys->yysemantics.yyfirstVal)
        {
          yySemanticOption *yyoption = yys->yysemantics.yyfirstVal;
          yyGLRState *yyrh;
          int yyn;
          for (yyrh = yyoption->yystate, yyn = yyrhsLength (yyoption->yyrule);
               yyn > 0;
               yyrh = yyrh->yypred, yyn -= 1)
            yydestroyGLRState (yymsg, yyrh);
        }
    }
}

/** Left-hand-side symbol for rule #YYRULE.  */
static inline yySymbol
yylhsNonterm (yyRuleNum yyrule)
{
  return yyr1[yyrule];
}

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-1184)))

/** True iff LR state YYSTATE has only a default reduction (regardless
 *  of token).  */
static inline yybool
yyisDefaultedState (yyStateNum yystate)
{
  return yypact_value_is_default (yypact[yystate]);
}

/** The default reduction for YYSTATE, assuming it has one.  */
static inline yyRuleNum
yydefaultAction (yyStateNum yystate)
{
  return yydefact[yystate];
}

#define yytable_value_is_error(Yytable_value) \
  0

/** Set *YYACTION to the action to take in YYSTATE on seeing YYTOKEN.
 *  Result R means
 *    R < 0:  Reduce on rule -R.
 *    R = 0:  Error.
 *    R > 0:  Shift to state R.
 *  Set *YYCONFLICTS to a pointer into yyconfl to a 0-terminated list
 *  of conflicting reductions.
 */
static inline void
yygetLRActions (yyStateNum yystate, int yytoken,
                int* yyaction, const short int** yyconflicts)
{
  int yyindex = yypact[yystate] + yytoken;
  if (yypact_value_is_default (yypact[yystate])
      || yyindex < 0 || YYLAST < yyindex || yycheck[yyindex] != yytoken)
    {
      *yyaction = -yydefact[yystate];
      *yyconflicts = yyconfl;
    }
  else if (! yytable_value_is_error (yytable[yyindex]))
    {
      *yyaction = yytable[yyindex];
      *yyconflicts = yyconfl + yyconflp[yyindex];
    }
  else
    {
      *yyaction = 0;
      *yyconflicts = yyconfl + yyconflp[yyindex];
    }
}

/** Compute post-reduction state.
 * \param yystate   the current state
 * \param yysym     the nonterminal to push on the stack
 */
static inline yyStateNum
yyLRgotoState (yyStateNum yystate, yySymbol yysym)
{
  int yyr = yypgoto[yysym - YYNTOKENS] + yystate;
  if (0 <= yyr && yyr <= YYLAST && yycheck[yyr] == yystate)
    return yytable[yyr];
  else
    return yydefgoto[yysym - YYNTOKENS];
}

static inline yybool
yyisShiftAction (int yyaction)
{
  return 0 < yyaction;
}

static inline yybool
yyisErrorAction (int yyaction)
{
  return yyaction == 0;
}

                                /* GLRStates */

/** Return a fresh GLRStackItem in YYSTACKP.  The item is an LR state
 *  if YYISSTATE, and otherwise a semantic option.  Callers should call
 *  YY_RESERVE_GLRSTACK afterwards to make sure there is sufficient
 *  headroom.  */

static inline yyGLRStackItem*
yynewGLRStackItem (yyGLRStack* yystackp, yybool yyisState)
{
  yyGLRStackItem* yynewItem = yystackp->yynextFree;
  yystackp->yyspaceLeft -= 1;
  yystackp->yynextFree += 1;
  yynewItem->yystate.yyisState = yyisState;
  return yynewItem;
}

/** Add a new semantic action that will execute the action for rule
 *  YYRULE on the semantic values in YYRHS to the list of
 *  alternative actions for YYSTATE.  Assumes that YYRHS comes from
 *  stack #YYK of *YYSTACKP. */
static void
yyaddDeferredAction (yyGLRStack* yystackp, size_t yyk, yyGLRState* yystate,
                     yyGLRState* yyrhs, yyRuleNum yyrule)
{
  yySemanticOption* yynewOption =
    &yynewGLRStackItem (yystackp, yyfalse)->yyoption;
  YYASSERT (!yynewOption->yyisState);
  yynewOption->yystate = yyrhs;
  yynewOption->yyrule = yyrule;
  if (yystackp->yytops.yylookaheadNeeds[yyk])
    {
      yynewOption->yyrawchar = yychar;
      yynewOption->yyval = yylval;
    }
  else
    yynewOption->yyrawchar = YYEMPTY;
  yynewOption->yynext = yystate->yysemantics.yyfirstVal;
  yystate->yysemantics.yyfirstVal = yynewOption;

  YY_RESERVE_GLRSTACK (yystackp);
}

                                /* GLRStacks */

/** Initialize YYSET to a singleton set containing an empty stack.  */
static yybool
yyinitStateSet (yyGLRStateSet* yyset)
{
  yyset->yysize = 1;
  yyset->yycapacity = 16;
  yyset->yystates = (yyGLRState**) YYMALLOC (16 * sizeof yyset->yystates[0]);
  if (! yyset->yystates)
    return yyfalse;
  yyset->yystates[0] = YY_NULLPTR;
  yyset->yylookaheadNeeds =
    (yybool*) YYMALLOC (16 * sizeof yyset->yylookaheadNeeds[0]);
  if (! yyset->yylookaheadNeeds)
    {
      YYFREE (yyset->yystates);
      return yyfalse;
    }
  return yytrue;
}

static void yyfreeStateSet (yyGLRStateSet* yyset)
{
  YYFREE (yyset->yystates);
  YYFREE (yyset->yylookaheadNeeds);
}

/** Initialize *YYSTACKP to a single empty stack, with total maximum
 *  capacity for all stacks of YYSIZE.  */
static yybool
yyinitGLRStack (yyGLRStack* yystackp, size_t yysize)
{
  yystackp->yyerrState = 0;
  yynerrs = 0;
  yystackp->yyspaceLeft = yysize;
  yystackp->yyitems =
    (yyGLRStackItem*) YYMALLOC (yysize * sizeof yystackp->yynextFree[0]);
  if (!yystackp->yyitems)
    return yyfalse;
  yystackp->yynextFree = yystackp->yyitems;
  yystackp->yysplitPoint = YY_NULLPTR;
  yystackp->yylastDeleted = YY_NULLPTR;
  return yyinitStateSet (&yystackp->yytops);
}


#if YYSTACKEXPANDABLE
# define YYRELOC(YYFROMITEMS,YYTOITEMS,YYX,YYTYPE) \
  &((YYTOITEMS) - ((YYFROMITEMS) - (yyGLRStackItem*) (YYX)))->YYTYPE

/** If *YYSTACKP is expandable, extend it.  WARNING: Pointers into the
    stack from outside should be considered invalid after this call.
    We always expand when there are 1 or fewer items left AFTER an
    allocation, so that we can avoid having external pointers exist
    across an allocation.  */
static void
yyexpandGLRStack (yyGLRStack* yystackp)
{
  yyGLRStackItem* yynewItems;
  yyGLRStackItem* yyp0, *yyp1;
  size_t yynewSize;
  size_t yyn;
  size_t yysize = yystackp->yynextFree - yystackp->yyitems;
  if (YYMAXDEPTH - YYHEADROOM < yysize)
    yyMemoryExhausted (yystackp);
  yynewSize = 2*yysize;
  if (YYMAXDEPTH < yynewSize)
    yynewSize = YYMAXDEPTH;
  yynewItems = (yyGLRStackItem*) YYMALLOC (yynewSize * sizeof yynewItems[0]);
  if (! yynewItems)
    yyMemoryExhausted (yystackp);
  for (yyp0 = yystackp->yyitems, yyp1 = yynewItems, yyn = yysize;
       0 < yyn;
       yyn -= 1, yyp0 += 1, yyp1 += 1)
    {
      *yyp1 = *yyp0;
      if (*(yybool *) yyp0)
        {
          yyGLRState* yys0 = &yyp0->yystate;
          yyGLRState* yys1 = &yyp1->yystate;
          if (yys0->yypred != YY_NULLPTR)
            yys1->yypred =
              YYRELOC (yyp0, yyp1, yys0->yypred, yystate);
          if (! yys0->yyresolved && yys0->yysemantics.yyfirstVal != YY_NULLPTR)
            yys1->yysemantics.yyfirstVal =
              YYRELOC (yyp0, yyp1, yys0->yysemantics.yyfirstVal, yyoption);
        }
      else
        {
          yySemanticOption* yyv0 = &yyp0->yyoption;
          yySemanticOption* yyv1 = &yyp1->yyoption;
          if (yyv0->yystate != YY_NULLPTR)
            yyv1->yystate = YYRELOC (yyp0, yyp1, yyv0->yystate, yystate);
          if (yyv0->yynext != YY_NULLPTR)
            yyv1->yynext = YYRELOC (yyp0, yyp1, yyv0->yynext, yyoption);
        }
    }
  if (yystackp->yysplitPoint != YY_NULLPTR)
    yystackp->yysplitPoint = YYRELOC (yystackp->yyitems, yynewItems,
                                      yystackp->yysplitPoint, yystate);

  for (yyn = 0; yyn < yystackp->yytops.yysize; yyn += 1)
    if (yystackp->yytops.yystates[yyn] != YY_NULLPTR)
      yystackp->yytops.yystates[yyn] =
        YYRELOC (yystackp->yyitems, yynewItems,
                 yystackp->yytops.yystates[yyn], yystate);
  YYFREE (yystackp->yyitems);
  yystackp->yyitems = yynewItems;
  yystackp->yynextFree = yynewItems + yysize;
  yystackp->yyspaceLeft = yynewSize - yysize;
}
#endif

static void
yyfreeGLRStack (yyGLRStack* yystackp)
{
  YYFREE (yystackp->yyitems);
  yyfreeStateSet (&yystackp->yytops);
}

/** Assuming that YYS is a GLRState somewhere on *YYSTACKP, update the
 *  splitpoint of *YYSTACKP, if needed, so that it is at least as deep as
 *  YYS.  */
static inline void
yyupdateSplit (yyGLRStack* yystackp, yyGLRState* yys)
{
  if (yystackp->yysplitPoint != YY_NULLPTR && yystackp->yysplitPoint > yys)
    yystackp->yysplitPoint = yys;
}

/** Invalidate stack #YYK in *YYSTACKP.  */
static inline void
yymarkStackDeleted (yyGLRStack* yystackp, size_t yyk)
{
  if (yystackp->yytops.yystates[yyk] != YY_NULLPTR)
    yystackp->yylastDeleted = yystackp->yytops.yystates[yyk];
  yystackp->yytops.yystates[yyk] = YY_NULLPTR;
}

/** Undelete the last stack in *YYSTACKP that was marked as deleted.  Can
    only be done once after a deletion, and only when all other stacks have
    been deleted.  */
static void
yyundeleteLastStack (yyGLRStack* yystackp)
{
  if (yystackp->yylastDeleted == YY_NULLPTR || yystackp->yytops.yysize != 0)
    return;
  yystackp->yytops.yystates[0] = yystackp->yylastDeleted;
  yystackp->yytops.yysize = 1;
  YYDPRINTF ((stderr, "Restoring last deleted stack as stack #0.\n"));
  yystackp->yylastDeleted = YY_NULLPTR;
}

static inline void
yyremoveDeletes (yyGLRStack* yystackp)
{
  size_t yyi, yyj;
  yyi = yyj = 0;
  while (yyj < yystackp->yytops.yysize)
    {
      if (yystackp->yytops.yystates[yyi] == YY_NULLPTR)
        {
          if (yyi == yyj)
            {
              YYDPRINTF ((stderr, "Removing dead stacks.\n"));
            }
          yystackp->yytops.yysize -= 1;
        }
      else
        {
          yystackp->yytops.yystates[yyj] = yystackp->yytops.yystates[yyi];
          /* In the current implementation, it's unnecessary to copy
             yystackp->yytops.yylookaheadNeeds[yyi] since, after
             yyremoveDeletes returns, the parser immediately either enters
             deterministic operation or shifts a token.  However, it doesn't
             hurt, and the code might evolve to need it.  */
          yystackp->yytops.yylookaheadNeeds[yyj] =
            yystackp->yytops.yylookaheadNeeds[yyi];
          if (yyj != yyi)
            {
              YYDPRINTF ((stderr, "Rename stack %lu -> %lu.\n",
                          (unsigned long int) yyi, (unsigned long int) yyj));
            }
          yyj += 1;
        }
      yyi += 1;
    }
}

/** Shift to a new state on stack #YYK of *YYSTACKP, corresponding to LR
 * state YYLRSTATE, at input position YYPOSN, with (resolved) semantic
 * value *YYVALP and source location *YYLOCP.  */
static inline void
yyglrShift (yyGLRStack* yystackp, size_t yyk, yyStateNum yylrState,
            size_t yyposn,
            YYSTYPE* yyvalp)
{
  yyGLRState* yynewState = &yynewGLRStackItem (yystackp, yytrue)->yystate;

  yynewState->yylrState = yylrState;
  yynewState->yyposn = yyposn;
  yynewState->yyresolved = yytrue;
  yynewState->yypred = yystackp->yytops.yystates[yyk];
  yynewState->yysemantics.yysval = *yyvalp;
  yystackp->yytops.yystates[yyk] = yynewState;

  YY_RESERVE_GLRSTACK (yystackp);
}

/** Shift stack #YYK of *YYSTACKP, to a new state corresponding to LR
 *  state YYLRSTATE, at input position YYPOSN, with the (unresolved)
 *  semantic value of YYRHS under the action for YYRULE.  */
static inline void
yyglrShiftDefer (yyGLRStack* yystackp, size_t yyk, yyStateNum yylrState,
                 size_t yyposn, yyGLRState* yyrhs, yyRuleNum yyrule)
{
  yyGLRState* yynewState = &yynewGLRStackItem (yystackp, yytrue)->yystate;
  YYASSERT (yynewState->yyisState);

  yynewState->yylrState = yylrState;
  yynewState->yyposn = yyposn;
  yynewState->yyresolved = yyfalse;
  yynewState->yypred = yystackp->yytops.yystates[yyk];
  yynewState->yysemantics.yyfirstVal = YY_NULLPTR;
  yystackp->yytops.yystates[yyk] = yynewState;

  /* Invokes YY_RESERVE_GLRSTACK.  */
  yyaddDeferredAction (yystackp, yyk, yynewState, yyrhs, yyrule);
}

#if !YYDEBUG
# define YY_REDUCE_PRINT(Args)
#else
# define YY_REDUCE_PRINT(Args)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print Args;               \
} while (0)

/*----------------------------------------------------------------------.
| Report that stack #YYK of *YYSTACKP is going to be reduced by YYRULE. |
`----------------------------------------------------------------------*/

static inline void
yy_reduce_print (int yynormal, yyGLRStackItem* yyvsp, size_t yyk,
                 yyRuleNum yyrule)
{
  int yynrhs = yyrhsLength (yyrule);
  int yyi;
  YYFPRINTF (stderr, "Reducing stack %lu by rule %d (line %lu):\n",
             (unsigned long int) yyk, yyrule - 1,
             (unsigned long int) yyrline[yyrule]);
  if (! yynormal)
    yyfillin (yyvsp, 1, -yynrhs);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyvsp[yyi - yynrhs + 1].yystate.yylrState],
                       &yyvsp[yyi - yynrhs + 1].yystate.yysemantics.yysval
                                              );
      if (!yyvsp[yyi - yynrhs + 1].yystate.yyresolved)
        YYFPRINTF (stderr, " (unresolved)");
      YYFPRINTF (stderr, "\n");
    }
}
#endif

/** Pop the symbols consumed by reduction #YYRULE from the top of stack
 *  #YYK of *YYSTACKP, and perform the appropriate semantic action on their
 *  semantic values.  Assumes that all ambiguities in semantic values
 *  have been previously resolved.  Set *YYVALP to the resulting value,
 *  and *YYLOCP to the computed location (if any).  Return value is as
 *  for userAction.  */
static inline YYRESULTTAG
yydoAction (yyGLRStack* yystackp, size_t yyk, yyRuleNum yyrule,
            YYSTYPE* yyvalp)
{
  int yynrhs = yyrhsLength (yyrule);

  if (yystackp->yysplitPoint == YY_NULLPTR)
    {
      /* Standard special case: single stack.  */
      yyGLRStackItem* yyrhs = (yyGLRStackItem*) yystackp->yytops.yystates[yyk];
      YYASSERT (yyk == 0);
      yystackp->yynextFree -= yynrhs;
      yystackp->yyspaceLeft += yynrhs;
      yystackp->yytops.yystates[0] = & yystackp->yynextFree[-1].yystate;
      YY_REDUCE_PRINT ((1, yyrhs, yyk, yyrule));
      return yyuserAction (yyrule, yynrhs, yyrhs, yystackp,
                           yyvalp);
    }
  else
    {
      int yyi;
      yyGLRState* yys;
      yyGLRStackItem yyrhsVals[YYMAXRHS + YYMAXLEFT + 1];
      yys = yyrhsVals[YYMAXRHS + YYMAXLEFT].yystate.yypred
        = yystackp->yytops.yystates[yyk];
      for (yyi = 0; yyi < yynrhs; yyi += 1)
        {
          yys = yys->yypred;
          YYASSERT (yys);
        }
      yyupdateSplit (yystackp, yys);
      yystackp->yytops.yystates[yyk] = yys;
      YY_REDUCE_PRINT ((0, yyrhsVals + YYMAXRHS + YYMAXLEFT - 1, yyk, yyrule));
      return yyuserAction (yyrule, yynrhs, yyrhsVals + YYMAXRHS + YYMAXLEFT - 1,
                           yystackp, yyvalp);
    }
}

/** Pop items off stack #YYK of *YYSTACKP according to grammar rule YYRULE,
 *  and push back on the resulting nonterminal symbol.  Perform the
 *  semantic action associated with YYRULE and store its value with the
 *  newly pushed state, if YYFORCEEVAL or if *YYSTACKP is currently
 *  unambiguous.  Otherwise, store the deferred semantic action with
 *  the new state.  If the new state would have an identical input
 *  position, LR state, and predecessor to an existing state on the stack,
 *  it is identified with that existing state, eliminating stack #YYK from
 *  *YYSTACKP.  In this case, the semantic value is
 *  added to the options for the existing state's semantic value.
 */
static inline YYRESULTTAG
yyglrReduce (yyGLRStack* yystackp, size_t yyk, yyRuleNum yyrule,
             yybool yyforceEval)
{
  size_t yyposn = yystackp->yytops.yystates[yyk]->yyposn;

  if (yyforceEval || yystackp->yysplitPoint == YY_NULLPTR)
    {
      YYSTYPE yysval;

      YYRESULTTAG yyflag = yydoAction (yystackp, yyk, yyrule, &yysval);
      if (yyflag == yyerr && yystackp->yysplitPoint != YY_NULLPTR)
        {
          YYDPRINTF ((stderr, "Parse on stack %lu rejected by rule #%d.\n",
                     (unsigned long int) yyk, yyrule - 1));
        }
      if (yyflag != yyok)
        return yyflag;
      YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyrule], &yysval, &yyloc);
      yyglrShift (yystackp, yyk,
                  yyLRgotoState (yystackp->yytops.yystates[yyk]->yylrState,
                                 yylhsNonterm (yyrule)),
                  yyposn, &yysval);
    }
  else
    {
      size_t yyi;
      int yyn;
      yyGLRState* yys, *yys0 = yystackp->yytops.yystates[yyk];
      yyStateNum yynewLRState;

      for (yys = yystackp->yytops.yystates[yyk], yyn = yyrhsLength (yyrule);
           0 < yyn; yyn -= 1)
        {
          yys = yys->yypred;
          YYASSERT (yys);
        }
      yyupdateSplit (yystackp, yys);
      yynewLRState = yyLRgotoState (yys->yylrState, yylhsNonterm (yyrule));
      YYDPRINTF ((stderr,
                  "Reduced stack %lu by rule #%d; action deferred.  "
                  "Now in state %d.\n",
                  (unsigned long int) yyk, yyrule - 1, yynewLRState));
      for (yyi = 0; yyi < yystackp->yytops.yysize; yyi += 1)
        if (yyi != yyk && yystackp->yytops.yystates[yyi] != YY_NULLPTR)
          {
            yyGLRState *yysplit = yystackp->yysplitPoint;
            yyGLRState *yyp = yystackp->yytops.yystates[yyi];
            while (yyp != yys && yyp != yysplit && yyp->yyposn >= yyposn)
              {
                if (yyp->yylrState == yynewLRState && yyp->yypred == yys)
                  {
                    yyaddDeferredAction (yystackp, yyk, yyp, yys0, yyrule);
                    yymarkStackDeleted (yystackp, yyk);
                    YYDPRINTF ((stderr, "Merging stack %lu into stack %lu.\n",
                                (unsigned long int) yyk,
                                (unsigned long int) yyi));
                    return yyok;
                  }
                yyp = yyp->yypred;
              }
          }
      yystackp->yytops.yystates[yyk] = yys;
      yyglrShiftDefer (yystackp, yyk, yynewLRState, yyposn, yys0, yyrule);
    }
  return yyok;
}

static size_t
yysplitStack (yyGLRStack* yystackp, size_t yyk)
{
  if (yystackp->yysplitPoint == YY_NULLPTR)
    {
      YYASSERT (yyk == 0);
      yystackp->yysplitPoint = yystackp->yytops.yystates[yyk];
    }
  if (yystackp->yytops.yysize >= yystackp->yytops.yycapacity)
    {
      yyGLRState** yynewStates;
      yybool* yynewLookaheadNeeds;

      yynewStates = YY_NULLPTR;

      if (yystackp->yytops.yycapacity
          > (YYSIZEMAX / (2 * sizeof yynewStates[0])))
        yyMemoryExhausted (yystackp);
      yystackp->yytops.yycapacity *= 2;

      yynewStates =
        (yyGLRState**) YYREALLOC (yystackp->yytops.yystates,
                                  (yystackp->yytops.yycapacity
                                   * sizeof yynewStates[0]));
      if (yynewStates == YY_NULLPTR)
        yyMemoryExhausted (yystackp);
      yystackp->yytops.yystates = yynewStates;

      yynewLookaheadNeeds =
        (yybool*) YYREALLOC (yystackp->yytops.yylookaheadNeeds,
                             (yystackp->yytops.yycapacity
                              * sizeof yynewLookaheadNeeds[0]));
      if (yynewLookaheadNeeds == YY_NULLPTR)
        yyMemoryExhausted (yystackp);
      yystackp->yytops.yylookaheadNeeds = yynewLookaheadNeeds;
    }
  yystackp->yytops.yystates[yystackp->yytops.yysize]
    = yystackp->yytops.yystates[yyk];
  yystackp->yytops.yylookaheadNeeds[yystackp->yytops.yysize]
    = yystackp->yytops.yylookaheadNeeds[yyk];
  yystackp->yytops.yysize += 1;
  return yystackp->yytops.yysize-1;
}

/** True iff YYY0 and YYY1 represent identical options at the top level.
 *  That is, they represent the same rule applied to RHS symbols
 *  that produce the same terminal symbols.  */
static yybool
yyidenticalOptions (yySemanticOption* yyy0, yySemanticOption* yyy1)
{
  if (yyy0->yyrule == yyy1->yyrule)
    {
      yyGLRState *yys0, *yys1;
      int yyn;
      for (yys0 = yyy0->yystate, yys1 = yyy1->yystate,
           yyn = yyrhsLength (yyy0->yyrule);
           yyn > 0;
           yys0 = yys0->yypred, yys1 = yys1->yypred, yyn -= 1)
        if (yys0->yyposn != yys1->yyposn)
          return yyfalse;
      return yytrue;
    }
  else
    return yyfalse;
}

/** Assuming identicalOptions (YYY0,YYY1), destructively merge the
 *  alternative semantic values for the RHS-symbols of YYY1 and YYY0.  */
static void
yymergeOptionSets (yySemanticOption* yyy0, yySemanticOption* yyy1)
{
  yyGLRState *yys0, *yys1;
  int yyn;
  for (yys0 = yyy0->yystate, yys1 = yyy1->yystate,
       yyn = yyrhsLength (yyy0->yyrule);
       yyn > 0;
       yys0 = yys0->yypred, yys1 = yys1->yypred, yyn -= 1)
    {
      if (yys0 == yys1)
        break;
      else if (yys0->yyresolved)
        {
          yys1->yyresolved = yytrue;
          yys1->yysemantics.yysval = yys0->yysemantics.yysval;
        }
      else if (yys1->yyresolved)
        {
          yys0->yyresolved = yytrue;
          yys0->yysemantics.yysval = yys1->yysemantics.yysval;
        }
      else
        {
          yySemanticOption** yyz0p = &yys0->yysemantics.yyfirstVal;
          yySemanticOption* yyz1 = yys1->yysemantics.yyfirstVal;
          while (yytrue)
            {
              if (yyz1 == *yyz0p || yyz1 == YY_NULLPTR)
                break;
              else if (*yyz0p == YY_NULLPTR)
                {
                  *yyz0p = yyz1;
                  break;
                }
              else if (*yyz0p < yyz1)
                {
                  yySemanticOption* yyz = *yyz0p;
                  *yyz0p = yyz1;
                  yyz1 = yyz1->yynext;
                  (*yyz0p)->yynext = yyz;
                }
              yyz0p = &(*yyz0p)->yynext;
            }
          yys1->yysemantics.yyfirstVal = yys0->yysemantics.yyfirstVal;
        }
    }
}

/** Y0 and Y1 represent two possible actions to take in a given
 *  parsing state; return 0 if no combination is possible,
 *  1 if user-mergeable, 2 if Y0 is preferred, 3 if Y1 is preferred.  */
static int
yypreference (yySemanticOption* y0, yySemanticOption* y1)
{
  yyRuleNum r0 = y0->yyrule, r1 = y1->yyrule;
  int p0 = yydprec[r0], p1 = yydprec[r1];

  if (p0 == p1)
    {
      if (yymerger[r0] == 0 || yymerger[r0] != yymerger[r1])
        return 0;
      else
        return 1;
    }
  if (p0 == 0 || p1 == 0)
    return 0;
  if (p0 < p1)
    return 3;
  if (p1 < p0)
    return 2;
  return 0;
}

static YYRESULTTAG yyresolveValue (yyGLRState* yys,
                                   yyGLRStack* yystackp);


/** Resolve the previous YYN states starting at and including state YYS
 *  on *YYSTACKP. If result != yyok, some states may have been left
 *  unresolved possibly with empty semantic option chains.  Regardless
 *  of whether result = yyok, each state has been left with consistent
 *  data so that yydestroyGLRState can be invoked if necessary.  */
static YYRESULTTAG
yyresolveStates (yyGLRState* yys, int yyn,
                 yyGLRStack* yystackp)
{
  if (0 < yyn)
    {
      YYASSERT (yys->yypred);
      YYCHK (yyresolveStates (yys->yypred, yyn-1, yystackp));
      if (! yys->yyresolved)
        YYCHK (yyresolveValue (yys, yystackp));
    }
  return yyok;
}

/** Resolve the states for the RHS of YYOPT on *YYSTACKP, perform its
 *  user action, and return the semantic value and location in *YYVALP
 *  and *YYLOCP.  Regardless of whether result = yyok, all RHS states
 *  have been destroyed (assuming the user action destroys all RHS
 *  semantic values if invoked).  */
static YYRESULTTAG
yyresolveAction (yySemanticOption* yyopt, yyGLRStack* yystackp,
                 YYSTYPE* yyvalp)
{
  yyGLRStackItem yyrhsVals[YYMAXRHS + YYMAXLEFT + 1];
  int yynrhs = yyrhsLength (yyopt->yyrule);
  YYRESULTTAG yyflag =
    yyresolveStates (yyopt->yystate, yynrhs, yystackp);
  if (yyflag != yyok)
    {
      yyGLRState *yys;
      for (yys = yyopt->yystate; yynrhs > 0; yys = yys->yypred, yynrhs -= 1)
        yydestroyGLRState ("Cleanup: popping", yys);
      return yyflag;
    }

  yyrhsVals[YYMAXRHS + YYMAXLEFT].yystate.yypred = yyopt->yystate;
  {
    int yychar_current = yychar;
    YYSTYPE yylval_current = yylval;
    yychar = yyopt->yyrawchar;
    yylval = yyopt->yyval;
    yyflag = yyuserAction (yyopt->yyrule, yynrhs,
                           yyrhsVals + YYMAXRHS + YYMAXLEFT - 1,
                           yystackp, yyvalp);
    yychar = yychar_current;
    yylval = yylval_current;
  }
  return yyflag;
}

#if YYDEBUG
static void
yyreportTree (yySemanticOption* yyx, int yyindent)
{
  int yynrhs = yyrhsLength (yyx->yyrule);
  int yyi;
  yyGLRState* yys;
  yyGLRState* yystates[1 + YYMAXRHS];
  yyGLRState yyleftmost_state;

  for (yyi = yynrhs, yys = yyx->yystate; 0 < yyi; yyi -= 1, yys = yys->yypred)
    yystates[yyi] = yys;
  if (yys == YY_NULLPTR)
    {
      yyleftmost_state.yyposn = 0;
      yystates[0] = &yyleftmost_state;
    }
  else
    yystates[0] = yys;

  if (yyx->yystate->yyposn < yys->yyposn + 1)
    YYFPRINTF (stderr, "%*s%s -> <Rule %d, empty>\n",
               yyindent, "", yytokenName (yylhsNonterm (yyx->yyrule)),
               yyx->yyrule - 1);
  else
    YYFPRINTF (stderr, "%*s%s -> <Rule %d, tokens %lu .. %lu>\n",
               yyindent, "", yytokenName (yylhsNonterm (yyx->yyrule)),
               yyx->yyrule - 1, (unsigned long int) (yys->yyposn + 1),
               (unsigned long int) yyx->yystate->yyposn);
  for (yyi = 1; yyi <= yynrhs; yyi += 1)
    {
      if (yystates[yyi]->yyresolved)
        {
          if (yystates[yyi-1]->yyposn+1 > yystates[yyi]->yyposn)
            YYFPRINTF (stderr, "%*s%s <empty>\n", yyindent+2, "",
                       yytokenName (yystos[yystates[yyi]->yylrState]));
          else
            YYFPRINTF (stderr, "%*s%s <tokens %lu .. %lu>\n", yyindent+2, "",
                       yytokenName (yystos[yystates[yyi]->yylrState]),
                       (unsigned long int) (yystates[yyi-1]->yyposn + 1),
                       (unsigned long int) yystates[yyi]->yyposn);
        }
      else
        yyreportTree (yystates[yyi]->yysemantics.yyfirstVal, yyindent+2);
    }
}
#endif

static YYRESULTTAG
yyreportAmbiguity (yySemanticOption* yyx0,
                   yySemanticOption* yyx1)
{
  YYUSE (yyx0);
  YYUSE (yyx1);

#if YYDEBUG
  YYFPRINTF (stderr, "Ambiguity detected.\n");
  YYFPRINTF (stderr, "Option 1,\n");
  yyreportTree (yyx0, 2);
  YYFPRINTF (stderr, "\nOption 2,\n");
  yyreportTree (yyx1, 2);
  YYFPRINTF (stderr, "\n");
#endif

  yyerror (YY_("syntax is ambiguous"));
  return yyabort;
}

/** Resolve the ambiguity represented in state YYS in *YYSTACKP,
 *  perform the indicated actions, and set the semantic value of YYS.
 *  If result != yyok, the chain of semantic options in YYS has been
 *  cleared instead or it has been left unmodified except that
 *  redundant options may have been removed.  Regardless of whether
 *  result = yyok, YYS has been left with consistent data so that
 *  yydestroyGLRState can be invoked if necessary.  */
static YYRESULTTAG
yyresolveValue (yyGLRState* yys, yyGLRStack* yystackp)
{
  yySemanticOption* yyoptionList = yys->yysemantics.yyfirstVal;
  yySemanticOption* yybest = yyoptionList;
  yySemanticOption** yypp;
  yybool yymerge = yyfalse;
  YYSTYPE yysval;
  YYRESULTTAG yyflag;

  for (yypp = &yyoptionList->yynext; *yypp != YY_NULLPTR; )
    {
      yySemanticOption* yyp = *yypp;

      if (yyidenticalOptions (yybest, yyp))
        {
          yymergeOptionSets (yybest, yyp);
          *yypp = yyp->yynext;
        }
      else
        {
          switch (yypreference (yybest, yyp))
            {
            case 0:
              return yyreportAmbiguity (yybest, yyp);
              break;
            case 1:
              yymerge = yytrue;
              break;
            case 2:
              break;
            case 3:
              yybest = yyp;
              yymerge = yyfalse;
              break;
            default:
              /* This cannot happen so it is not worth a YYASSERT (yyfalse),
                 but some compilers complain if the default case is
                 omitted.  */
              break;
            }
          yypp = &yyp->yynext;
        }
    }

  if (yymerge)
    {
      yySemanticOption* yyp;
      int yyprec = yydprec[yybest->yyrule];
      yyflag = yyresolveAction (yybest, yystackp, &yysval);
      if (yyflag == yyok)
        for (yyp = yybest->yynext; yyp != YY_NULLPTR; yyp = yyp->yynext)
          {
            if (yyprec == yydprec[yyp->yyrule])
              {
                YYSTYPE yysval_other;
                yyflag = yyresolveAction (yyp, yystackp, &yysval_other);
                if (yyflag != yyok)
                  {
                    yydestruct ("Cleanup: discarding incompletely merged value for",
                                yystos[yys->yylrState],
                                &yysval);
                    break;
                  }
                yyuserMerge (yymerger[yyp->yyrule], &yysval, &yysval_other);
              }
          }
    }
  else
    yyflag = yyresolveAction (yybest, yystackp, &yysval);

  if (yyflag == yyok)
    {
      yys->yyresolved = yytrue;
      yys->yysemantics.yysval = yysval;
    }
  else
    yys->yysemantics.yyfirstVal = YY_NULLPTR;
  return yyflag;
}

static YYRESULTTAG
yyresolveStack (yyGLRStack* yystackp)
{
  if (yystackp->yysplitPoint != YY_NULLPTR)
    {
      yyGLRState* yys;
      int yyn;

      for (yyn = 0, yys = yystackp->yytops.yystates[0];
           yys != yystackp->yysplitPoint;
           yys = yys->yypred, yyn += 1)
        continue;
      YYCHK (yyresolveStates (yystackp->yytops.yystates[0], yyn, yystackp
                             ));
    }
  return yyok;
}

static void
yycompressStack (yyGLRStack* yystackp)
{
  yyGLRState* yyp, *yyq, *yyr;

  if (yystackp->yytops.yysize != 1 || yystackp->yysplitPoint == YY_NULLPTR)
    return;

  for (yyp = yystackp->yytops.yystates[0], yyq = yyp->yypred, yyr = YY_NULLPTR;
       yyp != yystackp->yysplitPoint;
       yyr = yyp, yyp = yyq, yyq = yyp->yypred)
    yyp->yypred = yyr;

  yystackp->yyspaceLeft += yystackp->yynextFree - yystackp->yyitems;
  yystackp->yynextFree = ((yyGLRStackItem*) yystackp->yysplitPoint) + 1;
  yystackp->yyspaceLeft -= yystackp->yynextFree - yystackp->yyitems;
  yystackp->yysplitPoint = YY_NULLPTR;
  yystackp->yylastDeleted = YY_NULLPTR;

  while (yyr != YY_NULLPTR)
    {
      yystackp->yynextFree->yystate = *yyr;
      yyr = yyr->yypred;
      yystackp->yynextFree->yystate.yypred = &yystackp->yynextFree[-1].yystate;
      yystackp->yytops.yystates[0] = &yystackp->yynextFree->yystate;
      yystackp->yynextFree += 1;
      yystackp->yyspaceLeft -= 1;
    }
}

static YYRESULTTAG
yyprocessOneStack (yyGLRStack* yystackp, size_t yyk,
                   size_t yyposn)
{
  while (yystackp->yytops.yystates[yyk] != YY_NULLPTR)
    {
      yyStateNum yystate = yystackp->yytops.yystates[yyk]->yylrState;
      YYDPRINTF ((stderr, "Stack %lu Entering state %d\n",
                  (unsigned long int) yyk, yystate));

      YYASSERT (yystate != YYFINAL);

      if (yyisDefaultedState (yystate))
        {
          YYRESULTTAG yyflag;
          yyRuleNum yyrule = yydefaultAction (yystate);
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, "Stack %lu dies.\n",
                          (unsigned long int) yyk));
              yymarkStackDeleted (yystackp, yyk);
              return yyok;
            }
          yyflag = yyglrReduce (yystackp, yyk, yyrule, yyimmediate[yyrule]);
          if (yyflag == yyerr)
            {
              YYDPRINTF ((stderr,
                          "Stack %lu dies "
                          "(predicate failure or explicit user error).\n",
                          (unsigned long int) yyk));
              yymarkStackDeleted (yystackp, yyk);
              return yyok;
            }
          if (yyflag != yyok)
            return yyflag;
        }
      else
        {
          yySymbol yytoken;
          int yyaction;
          const short int* yyconflicts;

          yystackp->yytops.yylookaheadNeeds[yyk] = yytrue;
          if (yychar == YYEMPTY)
            {
              YYDPRINTF ((stderr, "Reading a token: "));
              yychar = yylex ();
            }

          if (yychar <= YYEOF)
            {
              yychar = yytoken = YYEOF;
              YYDPRINTF ((stderr, "Now at end of input.\n"));
            }
          else
            {
              yytoken = YYTRANSLATE (yychar);
              YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
            }

          yygetLRActions (yystate, yytoken, &yyaction, &yyconflicts);

          while (*yyconflicts != 0)
            {
              YYRESULTTAG yyflag;
              size_t yynewStack = yysplitStack (yystackp, yyk);
              YYDPRINTF ((stderr, "Splitting off stack %lu from %lu.\n",
                          (unsigned long int) yynewStack,
                          (unsigned long int) yyk));
              yyflag = yyglrReduce (yystackp, yynewStack,
                                    *yyconflicts,
                                    yyimmediate[*yyconflicts]);
              if (yyflag == yyok)
                YYCHK (yyprocessOneStack (yystackp, yynewStack,
                                          yyposn));
              else if (yyflag == yyerr)
                {
                  YYDPRINTF ((stderr, "Stack %lu dies.\n",
                              (unsigned long int) yynewStack));
                  yymarkStackDeleted (yystackp, yynewStack);
                }
              else
                return yyflag;
              yyconflicts += 1;
            }

          if (yyisShiftAction (yyaction))
            break;
          else if (yyisErrorAction (yyaction))
            {
              YYDPRINTF ((stderr, "Stack %lu dies.\n",
                          (unsigned long int) yyk));
              yymarkStackDeleted (yystackp, yyk);
              break;
            }
          else
            {
              YYRESULTTAG yyflag = yyglrReduce (yystackp, yyk, -yyaction,
                                                yyimmediate[-yyaction]);
              if (yyflag == yyerr)
                {
                  YYDPRINTF ((stderr,
                              "Stack %lu dies "
                              "(predicate failure or explicit user error).\n",
                              (unsigned long int) yyk));
                  yymarkStackDeleted (yystackp, yyk);
                  break;
                }
              else if (yyflag != yyok)
                return yyflag;
            }
        }
    }
  return yyok;
}

static void
yyreportSyntaxError (yyGLRStack* yystackp)
{
  if (yystackp->yyerrState != 0)
    return;
#if ! YYERROR_VERBOSE
  yyerror (YY_("syntax error"));
#else
  {
  yySymbol yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);
  size_t yysize0 = yytnamerr (YY_NULLPTR, yytokenName (yytoken));
  size_t yysize = yysize0;
  yybool yysize_overflow = yyfalse;
  char* yymsg = YY_NULLPTR;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected").  */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[yystackp->yytops.yystates[0]->yylrState];
      yyarg[yycount++] = yytokenName (yytoken);
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for this
             state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;
          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytokenName (yyx);
                {
                  size_t yysz = yysize + yytnamerr (YY_NULLPTR, yytokenName (yyx));
                  yysize_overflow |= yysz < yysize;
                  yysize = yysz;
                }
              }
        }
    }

  switch (yycount)
    {
#define YYCASE_(N, S)                   \
      case N:                           \
        yyformat = S;                   \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  {
    size_t yysz = yysize + strlen (yyformat);
    yysize_overflow |= yysz < yysize;
    yysize = yysz;
  }

  if (!yysize_overflow)
    yymsg = (char *) YYMALLOC (yysize);

  if (yymsg)
    {
      char *yyp = yymsg;
      int yyi = 0;
      while ((*yyp = *yyformat))
        {
          if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
            {
              yyp += yytnamerr (yyp, yyarg[yyi++]);
              yyformat += 2;
            }
          else
            {
              yyp++;
              yyformat++;
            }
        }
      yyerror (yymsg);
      YYFREE (yymsg);
    }
  else
    {
      yyerror (YY_("syntax error"));
      yyMemoryExhausted (yystackp);
    }
  }
#endif /* YYERROR_VERBOSE */
  yynerrs += 1;
}

/* Recover from a syntax error on *YYSTACKP, assuming that *YYSTACKP->YYTOKENP,
   yylval, and yylloc are the syntactic category, semantic value, and location
   of the lookahead.  */
static void
yyrecoverSyntaxError (yyGLRStack* yystackp)
{
  size_t yyk;
  int yyj;

  if (yystackp->yyerrState == 3)
    /* We just shifted the error token and (perhaps) took some
       reductions.  Skip tokens until we can proceed.  */
    while (yytrue)
      {
        yySymbol yytoken;
        if (yychar == YYEOF)
          yyFail (yystackp, YY_NULLPTR);
        if (yychar != YYEMPTY)
          {
            yytoken = YYTRANSLATE (yychar);
            yydestruct ("Error: discarding",
                        yytoken, &yylval);
          }
        YYDPRINTF ((stderr, "Reading a token: "));
        yychar = yylex ();
        if (yychar <= YYEOF)
          {
            yychar = yytoken = YYEOF;
            YYDPRINTF ((stderr, "Now at end of input.\n"));
          }
        else
          {
            yytoken = YYTRANSLATE (yychar);
            YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
          }
        yyj = yypact[yystackp->yytops.yystates[0]->yylrState];
        if (yypact_value_is_default (yyj))
          return;
        yyj += yytoken;
        if (yyj < 0 || YYLAST < yyj || yycheck[yyj] != yytoken)
          {
            if (yydefact[yystackp->yytops.yystates[0]->yylrState] != 0)
              return;
          }
        else if (! yytable_value_is_error (yytable[yyj]))
          return;
      }

  /* Reduce to one stack.  */
  for (yyk = 0; yyk < yystackp->yytops.yysize; yyk += 1)
    if (yystackp->yytops.yystates[yyk] != YY_NULLPTR)
      break;
  if (yyk >= yystackp->yytops.yysize)
    yyFail (yystackp, YY_NULLPTR);
  for (yyk += 1; yyk < yystackp->yytops.yysize; yyk += 1)
    yymarkStackDeleted (yystackp, yyk);
  yyremoveDeletes (yystackp);
  yycompressStack (yystackp);

  /* Now pop stack until we find a state that shifts the error token.  */
  yystackp->yyerrState = 3;
  while (yystackp->yytops.yystates[0] != YY_NULLPTR)
    {
      yyGLRState *yys = yystackp->yytops.yystates[0];
      yyj = yypact[yys->yylrState];
      if (! yypact_value_is_default (yyj))
        {
          yyj += YYTERROR;
          if (0 <= yyj && yyj <= YYLAST && yycheck[yyj] == YYTERROR
              && yyisShiftAction (yytable[yyj]))
            {
              /* Shift the error token.  */
              YY_SYMBOL_PRINT ("Shifting", yystos[yytable[yyj]],
                               &yylval, &yyerrloc);
              yyglrShift (yystackp, 0, yytable[yyj],
                          yys->yyposn, &yylval);
              yys = yystackp->yytops.yystates[0];
              break;
            }
        }
      if (yys->yypred != YY_NULLPTR)
        yydestroyGLRState ("Error: popping", yys);
      yystackp->yytops.yystates[0] = yys->yypred;
      yystackp->yynextFree -= 1;
      yystackp->yyspaceLeft += 1;
    }
  if (yystackp->yytops.yystates[0] == YY_NULLPTR)
    yyFail (yystackp, YY_NULLPTR);
}

#define YYCHK1(YYE)                                                          \
  do {                                                                       \
    switch (YYE) {                                                           \
    case yyok:                                                               \
      break;                                                                 \
    case yyabort:                                                            \
      goto yyabortlab;                                                       \
    case yyaccept:                                                           \
      goto yyacceptlab;                                                      \
    case yyerr:                                                              \
      goto yyuser_error;                                                     \
    default:                                                                 \
      goto yybuglab;                                                         \
    }                                                                        \
  } while (0)

/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
  int yyresult;
  yyGLRStack yystack;
  yyGLRStack* const yystackp = &yystack;
  size_t yyposn;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY;
  yylval = yyval_default;

  if (! yyinitGLRStack (yystackp, YYINITDEPTH))
    goto yyexhaustedlab;
  switch (YYSETJMP (yystack.yyexception_buffer))
    {
    case 0: break;
    case 1: goto yyabortlab;
    case 2: goto yyexhaustedlab;
    default: goto yybuglab;
    }
  yyglrShift (&yystack, 0, 0, 0, &yylval);
  yyposn = 0;

  while (yytrue)
    {
      /* For efficiency, we have two loops, the first of which is
         specialized to deterministic operation (single stack, no
         potential ambiguity).  */
      /* Standard mode */
      while (yytrue)
        {
          yyRuleNum yyrule;
          int yyaction;
          const short int* yyconflicts;

          yyStateNum yystate = yystack.yytops.yystates[0]->yylrState;
          YYDPRINTF ((stderr, "Entering state %d\n", yystate));
          if (yystate == YYFINAL)
            goto yyacceptlab;
          if (yyisDefaultedState (yystate))
            {
              yyrule = yydefaultAction (yystate);
              if (yyrule == 0)
                {

                  yyreportSyntaxError (&yystack);
                  goto yyuser_error;
                }
              YYCHK1 (yyglrReduce (&yystack, 0, yyrule, yytrue));
            }
          else
            {
              yySymbol yytoken;
              if (yychar == YYEMPTY)
                {
                  YYDPRINTF ((stderr, "Reading a token: "));
                  yychar = yylex ();
                }

              if (yychar <= YYEOF)
                {
                  yychar = yytoken = YYEOF;
                  YYDPRINTF ((stderr, "Now at end of input.\n"));
                }
              else
                {
                  yytoken = YYTRANSLATE (yychar);
                  YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
                }

              yygetLRActions (yystate, yytoken, &yyaction, &yyconflicts);
              if (*yyconflicts != 0)
                break;
              if (yyisShiftAction (yyaction))
                {
                  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
                  yychar = YYEMPTY;
                  yyposn += 1;
                  yyglrShift (&yystack, 0, yyaction, yyposn, &yylval);
                  if (0 < yystack.yyerrState)
                    yystack.yyerrState -= 1;
                }
              else if (yyisErrorAction (yyaction))
                {

                  yyreportSyntaxError (&yystack);
                  goto yyuser_error;
                }
              else
                YYCHK1 (yyglrReduce (&yystack, 0, -yyaction, yytrue));
            }
        }

      while (yytrue)
        {
          yySymbol yytoken_to_shift;
          size_t yys;

          for (yys = 0; yys < yystack.yytops.yysize; yys += 1)
            yystackp->yytops.yylookaheadNeeds[yys] = yychar != YYEMPTY;

          /* yyprocessOneStack returns one of three things:

              - An error flag.  If the caller is yyprocessOneStack, it
                immediately returns as well.  When the caller is finally
                yyparse, it jumps to an error label via YYCHK1.

              - yyok, but yyprocessOneStack has invoked yymarkStackDeleted
                (&yystack, yys), which sets the top state of yys to NULL.  Thus,
                yyparse's following invocation of yyremoveDeletes will remove
                the stack.

              - yyok, when ready to shift a token.

             Except in the first case, yyparse will invoke yyremoveDeletes and
             then shift the next token onto all remaining stacks.  This
             synchronization of the shift (that is, after all preceding
             reductions on all stacks) helps prevent double destructor calls
             on yylval in the event of memory exhaustion.  */

          for (yys = 0; yys < yystack.yytops.yysize; yys += 1)
            YYCHK1 (yyprocessOneStack (&yystack, yys, yyposn));
          yyremoveDeletes (&yystack);
          if (yystack.yytops.yysize == 0)
            {
              yyundeleteLastStack (&yystack);
              if (yystack.yytops.yysize == 0)
                yyFail (&yystack, YY_("syntax error"));
              YYCHK1 (yyresolveStack (&yystack));
              YYDPRINTF ((stderr, "Returning to deterministic operation.\n"));

              yyreportSyntaxError (&yystack);
              goto yyuser_error;
            }

          /* If any yyglrShift call fails, it will fail after shifting.  Thus,
             a copy of yylval will already be on stack 0 in the event of a
             failure in the following loop.  Thus, yychar is set to YYEMPTY
             before the loop to make sure the user destructor for yylval isn't
             called twice.  */
          yytoken_to_shift = YYTRANSLATE (yychar);
          yychar = YYEMPTY;
          yyposn += 1;
          for (yys = 0; yys < yystack.yytops.yysize; yys += 1)
            {
              int yyaction;
              const short int* yyconflicts;
              yyStateNum yystate = yystack.yytops.yystates[yys]->yylrState;
              yygetLRActions (yystate, yytoken_to_shift, &yyaction,
                              &yyconflicts);
              /* Note that yyconflicts were handled by yyprocessOneStack.  */
              YYDPRINTF ((stderr, "On stack %lu, ", (unsigned long int) yys));
              YY_SYMBOL_PRINT ("shifting", yytoken_to_shift, &yylval, &yylloc);
              yyglrShift (&yystack, yys, yyaction, yyposn,
                          &yylval);
              YYDPRINTF ((stderr, "Stack %lu now in state #%d\n",
                          (unsigned long int) yys,
                          yystack.yytops.yystates[yys]->yylrState));
            }

          if (yystack.yytops.yysize == 1)
            {
              YYCHK1 (yyresolveStack (&yystack));
              YYDPRINTF ((stderr, "Returning to deterministic operation.\n"));
              yycompressStack (&yystack);
              break;
            }
        }
      continue;
    yyuser_error:
      yyrecoverSyntaxError (&yystack);
      yyposn = yystack.yytops.yystates[0]->yyposn;
    }

 yyacceptlab:
  yyresult = 0;
  goto yyreturn;

 yybuglab:
  YYASSERT (yyfalse);
  goto yyabortlab;

 yyabortlab:
  yyresult = 1;
  goto yyreturn;

 yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturn;

 yyreturn:
  if (yychar != YYEMPTY)
    yydestruct ("Cleanup: discarding lookahead",
                YYTRANSLATE (yychar), &yylval);

  /* If the stack is well-formed, pop the stack until it is empty,
     destroying its entries as we go.  But free the stack regardless
     of whether it is well-formed.  */
  if (yystack.yyitems)
    {
      yyGLRState** yystates = yystack.yytops.yystates;
      if (yystates)
        {
          size_t yysize = yystack.yytops.yysize;
          size_t yyk;
          for (yyk = 0; yyk < yysize; yyk += 1)
            if (yystates[yyk])
              {
                while (yystates[yyk])
                  {
                    yyGLRState *yys = yystates[yyk];
                  if (yys->yypred != YY_NULLPTR)
                      yydestroyGLRState ("Cleanup: popping", yys);
                    yystates[yyk] = yys->yypred;
                    yystack.yynextFree -= 1;
                    yystack.yyspaceLeft += 1;
                  }
                break;
              }
        }
      yyfreeGLRStack (&yystack);
    }

  return yyresult;
}

/* DEBUGGING ONLY */
#if YYDEBUG
static void
yy_yypstack (yyGLRState* yys)
{
  if (yys->yypred)
    {
      yy_yypstack (yys->yypred);
      YYFPRINTF (stderr, " -> ");
    }
  YYFPRINTF (stderr, "%d@%lu", yys->yylrState,
             (unsigned long int) yys->yyposn);
}

static void
yypstates (yyGLRState* yyst)
{
  if (yyst == YY_NULLPTR)
    YYFPRINTF (stderr, "<null>");
  else
    yy_yypstack (yyst);
  YYFPRINTF (stderr, "\n");
}

static void
yypstack (yyGLRStack* yystackp, size_t yyk)
{
  yypstates (yystackp->yytops.yystates[yyk]);
}

#define YYINDEX(YYX)                                                         \
    ((YYX) == YY_NULLPTR ? -1 : (yyGLRStackItem*) (YYX) - yystackp->yyitems)


static void
yypdumpstack (yyGLRStack* yystackp)
{
  yyGLRStackItem* yyp;
  size_t yyi;
  for (yyp = yystackp->yyitems; yyp < yystackp->yynextFree; yyp += 1)
    {
      YYFPRINTF (stderr, "%3lu. ",
                 (unsigned long int) (yyp - yystackp->yyitems));
      if (*(yybool *) yyp)
        {
          YYASSERT (yyp->yystate.yyisState);
          YYASSERT (yyp->yyoption.yyisState);
          YYFPRINTF (stderr, "Res: %d, LR State: %d, posn: %lu, pred: %ld",
                     yyp->yystate.yyresolved, yyp->yystate.yylrState,
                     (unsigned long int) yyp->yystate.yyposn,
                     (long int) YYINDEX (yyp->yystate.yypred));
          if (! yyp->yystate.yyresolved)
            YYFPRINTF (stderr, ", firstVal: %ld",
                       (long int) YYINDEX (yyp->yystate
                                             .yysemantics.yyfirstVal));
        }
      else
        {
          YYASSERT (!yyp->yystate.yyisState);
          YYASSERT (!yyp->yyoption.yyisState);
          YYFPRINTF (stderr, "Option. rule: %d, state: %ld, next: %ld",
                     yyp->yyoption.yyrule - 1,
                     (long int) YYINDEX (yyp->yyoption.yystate),
                     (long int) YYINDEX (yyp->yyoption.yynext));
        }
      YYFPRINTF (stderr, "\n");
    }
  YYFPRINTF (stderr, "Tops:");
  for (yyi = 0; yyi < yystackp->yytops.yysize; yyi += 1)
    YYFPRINTF (stderr, "%lu: %ld; ", (unsigned long int) yyi,
               (long int) YYINDEX (yystackp->yytops.yystates[yyi]));
  YYFPRINTF (stderr, "\n");
}
#endif

#undef yylval
#undef yychar
#undef yynerrs

/* Substitute the variable and function names.  */
#define yyparse SQLyyparse
#define yylex   SQLyylex
#define yyerror SQLyyerror
#define yylval  SQLyylval
#define yychar  SQLyychar
#define yydebug SQLyydebug
#define yynerrs SQLyynerrs




#if defined _MSC_VER
#pragma warning(pop)
#endif

using namespace ::com::sun::star::sdbc;
using namespace ::com::sun::star::beans;
using namespace ::com::sun::star::uno;
using namespace ::com::sun::star::i18n;
using namespace ::com::sun::star::lang;
using namespace ::com::sun::star::util;
using namespace ::osl;
using namespace ::dbtools;

connectivity::OSQLParser* xxx_pGLOBAL_SQLPARSER;

connectivity::OSQLInternalNode* newNode(const char* pNewValue,
        const connectivity::SQLNodeType eNodeType,
        const sal_uInt32 nNodeID)
{
    return new connectivity::OSQLInternalNode(pNewValue, eNodeType, nNodeID);
}

connectivity::OSQLInternalNode* newNode(const OString& _newValue,
        const connectivity::SQLNodeType eNodeType,
        const sal_uInt32 nNodeID)
{
    return new connectivity::OSQLInternalNode(_newValue, eNodeType, nNodeID);
}

connectivity::OSQLInternalNode* newNode(const OUString& _newValue,
        const connectivity::SQLNodeType eNodeType,
        const sal_uInt32 nNodeID)
{
    return new connectivity::OSQLInternalNode(_newValue, eNodeType, nNodeID);
}

OParseContext::OParseContext()
{
}


OParseContext::~OParseContext()
{
}


OUString OParseContext::getErrorMessage(ErrorCode _eCode) const
{
    OUString aMsg;
    switch (_eCode)
    {
        case ErrorCode::General:              aMsg = "Syntax error in SQL expression"; break;
        case ErrorCode::ValueNoLike:          aMsg = "The value #1 can not be used with LIKE."; break;
        case ErrorCode::FieldNoLike:          aMsg = "LIKE can not be used with this field."; break;
        case ErrorCode::InvalidCompare:       aMsg = "The entered criterion can not be compared with this field."; break;
        case ErrorCode::InvalidIntCompare:    aMsg = "The field can not be compared with a number."; break;
        case ErrorCode::InvalidDateCompare:   aMsg = "The field can not be compared with a date."; break;
        case ErrorCode::InvalidRealCompare:   aMsg = "The field can not be compared with a floating point number."; break;
        case ErrorCode::InvalidTableNosuch:   aMsg = "The database does not contain a table named \"#\"."; break;
        case ErrorCode::InvalidTableOrQuery:  aMsg = "The database does contain neither a table nor a query named \"#\"."; break;
        case ErrorCode::InvalidColumn:        aMsg = "The column \"#1\" is unknown in the table \"#2\"."; break;
        case ErrorCode::InvalidTableExist:    aMsg = "The database already contains a table or view with name \"#\"."; break;
        case ErrorCode::InvalidQueryExist:    aMsg = "The database already contains a query with name \"#\"."; break;
        default:
            OSL_FAIL( "OParseContext::getErrorMessage: unknown error code!" );
            break;
    }
    return aMsg;
}


OString OParseContext::getIntlKeywordAscii(InternationalKeyCode _eKey) const
{
	OString aKeyword;
	switch (_eKey)
	{
		case InternationalKeyCode::Like:		aKeyword = "LIKE"; break;
		case InternationalKeyCode::Not:		aKeyword = "NOT"; break;
		case InternationalKeyCode::Null:		aKeyword = "NULL"; break;
		case InternationalKeyCode::True:		aKeyword = "True"; break;
		case InternationalKeyCode::False:		aKeyword = "False"; break;
		case InternationalKeyCode::Is:		aKeyword = "IS"; break;
		case InternationalKeyCode::Between:	aKeyword = "BETWEEN"; break;
		case InternationalKeyCode::Or:		aKeyword = "OR"; break;
		case InternationalKeyCode::And:		aKeyword = "AND"; break;
		case InternationalKeyCode::Avg:		aKeyword = "AVG"; break;
		case InternationalKeyCode::Count:		aKeyword = "COUNT"; break;
		case InternationalKeyCode::Max:		aKeyword = "MAX"; break;
		case InternationalKeyCode::Min:		aKeyword = "MIN"; break;
		case InternationalKeyCode::Sum:		aKeyword = "SUM"; break;
        case InternationalKeyCode::Every:     aKeyword = "EVERY"; break;
        case InternationalKeyCode::Any:       aKeyword = "ANY"; break;
        case InternationalKeyCode::Some:      aKeyword = "SOME"; break;
        case InternationalKeyCode::StdDevPop: aKeyword = "STDDEV_POP"; break;
        case InternationalKeyCode::StdDevSamp: aKeyword = "STDDEV_SAMP"; break;
        case InternationalKeyCode::VarSamp:  aKeyword = "VAR_SAMP"; break;
        case InternationalKeyCode::VarPop:   aKeyword = "VAR_POP"; break;
        case InternationalKeyCode::Collect:   aKeyword = "COLLECT"; break;
        case InternationalKeyCode::Fusion:    aKeyword = "FUSION"; break;
        case InternationalKeyCode::Intersection:aKeyword = "INTERSECTION"; break;
        case InternationalKeyCode::None:      break;
        default:
            OSL_FAIL( "OParseContext::getIntlKeywordAscii: unknown key!" );
            break;
	}
	return aKeyword;
}


IParseContext::InternationalKeyCode OParseContext::getIntlKeyCode(const OString& rToken) const
{
    static IParseContext::InternationalKeyCode const Intl_TokenID[] =
	{
		InternationalKeyCode::Like, InternationalKeyCode::Not, InternationalKeyCode::Null, InternationalKeyCode::True,
		InternationalKeyCode::False, InternationalKeyCode::Is, InternationalKeyCode::Between, InternationalKeyCode::Or,
		InternationalKeyCode::And, InternationalKeyCode::Avg, InternationalKeyCode::Count, InternationalKeyCode::Max,
		InternationalKeyCode::Min, InternationalKeyCode::Sum, InternationalKeyCode::Every,InternationalKeyCode::Any,InternationalKeyCode::Some,
        InternationalKeyCode::StdDevPop,InternationalKeyCode::StdDevSamp,InternationalKeyCode::VarSamp,
        InternationalKeyCode::VarPop,InternationalKeyCode::Collect,InternationalKeyCode::Fusion,InternationalKeyCode::Intersection
	};

    auto const token = std::find_if(std::cbegin(Intl_TokenID), std::cend(Intl_TokenID)
                                    , [&rToken, this](IParseContext::InternationalKeyCode const & tokenID)
                                      { return rToken.equalsIgnoreAsciiCase(getIntlKeywordAscii(tokenID)); });

    if (std::cend(Intl_TokenID) != token)
        return *token;

    return InternationalKeyCode::None;
}


static Locale& impl_getLocaleInstance( )
{
	static Locale s_aLocale( "en", "US", "" );
	return s_aLocale;
}


Locale OParseContext::getPreferredLocale( ) const
{
	return getDefaultLocale();
}


const Locale& OParseContext::getDefaultLocale()
{
	return impl_getLocaleInstance();
}

// The (unfortunately global) yylval for the handing over of
// values from the Scanner to the Parser. The global variable
// is only used for a short term, the Parser reads the variable
// immediately after the call of the Scanner into a same named own
// member variable.


OUString ConvertLikeToken(const OSQLParseNode* pTokenNode, const OSQLParseNode* pEscapeNode, bool bInternational)
{
	OUStringBuffer aMatchStr(0);
	if (pTokenNode->isToken())
	{
		sal_Unicode cEscape = 0;
		if (pEscapeNode->count())
			cEscape = pEscapeNode->getChild(1)->getTokenValue().toChar();

		// Change place holder
		aMatchStr = pTokenNode->getTokenValue();
		const sal_Int32 nLen = aMatchStr.getLength();
		OUStringBuffer sSearch,sReplace;
		if ( bInternational )
		{
		    sSearch.append("%_");
		    sReplace.append("*?");
		}
		else
		{
		    sSearch.append("*?");
		    sReplace.append("%_");
		}

		bool wasEscape = false;
		for (sal_Int32 i = 0; i < nLen; i++)
		{
			const sal_Unicode c = aMatchStr[i];
			// SQL standard requires the escape to be followed
			// by a meta-character ('%', '_' or itself), else error
			// We are more lenient here and let it escape anything.
			// Especially since some databases (e.g. Microsoft SQL Server)
			// have more meta-characters than the standard, such as e.g. '[' and ']'
			if (wasEscape)
			{
				wasEscape=false;
				continue;
			}
			if (c == cEscape)
			{
				wasEscape=true;
				continue;
			}
			int match = -1;
			if (c == sSearch[0])
				match=0;
			else if (c == sSearch[1])
				match=1;

			if (match != -1)
			{
				aMatchStr[i] = sReplace[match];
			}
		}
	}
	return aMatchStr.makeStringAndClear();
}

sal_uInt32			    OSQLParser::s_nRuleIDs[OSQLParseNode::rule_count + 1];
OSQLParser::RuleIDMap   OSQLParser::s_aReverseRuleIDLookup;
OParseContext		    OSQLParser::s_aDefaultContext;

sal_Int32			OSQLParser::s_nRefCount	= 0;
//	::osl::Mutex		OSQLParser::s_aMutex;
OSQLScanner*		OSQLParser::s_pScanner = nullptr;
OSQLParseNodesGarbageCollector*		OSQLParser::s_pGarbageCollector = nullptr;
vcl::DeleteOnDeinit<css::uno::Reference< css::i18n::XLocaleData4>> OSQLParser::s_xLocaleData(vcl::DeleteOnDeinitFlag::Empty);

void setParser(OSQLParser* _pParser)
{
	xxx_pGLOBAL_SQLPARSER = _pParser;
}

void OSQLParser::setParseTree(OSQLParseNode* pNewParseTree)
{
	m_pParseTree.reset(pNewParseTree);
}


/** Delete all comments in a query.

    See also getComment()/concatComment() implementation for
    OQueryController::translateStatement().
 */
static OUString delComment( const OUString& rQuery )
{
    // First a quick search if there is any "--" or "//" or "/*", if not then the whole
    // copying loop is pointless.
    if (rQuery.indexOf("--") < 0 && rQuery.indexOf("//") < 0 &&
            rQuery.indexOf("/*") < 0)
        return rQuery;

    const sal_Unicode* pCopy = rQuery.getStr();
    sal_Int32 nQueryLen = rQuery.getLength();
    bool bIsText1  = false;     // "text"
    bool bIsText2  = false;     // 'text'
    bool bComment2 = false;     // /* comment */
    bool bComment  = false;     // -- or // comment
    OUStringBuffer aBuf(nQueryLen);
    for (sal_Int32 i=0; i < nQueryLen; ++i)
    {
        if (bComment2)
        {
            if ((i+1) < nQueryLen)
            {
                if (pCopy[i]=='*' && pCopy[i+1]=='/')
                {
                    bComment2 = false;
                    ++i;
                }
            }
            else
            {
                // comment can't close anymore, actually an error, but...
            }
            continue;
        }
        if (pCopy[i] == '\n')
            bComment = false;
        else if (!bComment)
        {
            if (pCopy[i] == '\"' && !bIsText2)
                bIsText1 = !bIsText1;
            else if (pCopy[i] == '\'' && !bIsText1)
                bIsText2 = !bIsText2;
            if (!bIsText1 && !bIsText2 && (i+1) < nQueryLen)
            {
                if ((pCopy[i]=='-' && pCopy[i+1]=='-') || (pCopy[i]=='/' && pCopy[i+1]=='/'))
                    bComment = true;
                else if ((pCopy[i]=='/' && pCopy[i+1]=='*'))
                    bComment2 = true;
            }
        }
        if (!bComment && !bComment2)
            aBuf.append( &pCopy[i], 1);
    }
    return aBuf.makeStringAndClear();
}

std::unique_ptr<OSQLParseNode> OSQLParser::parseTree(OUString& rErrorMessage,
                                     const OUString& rStatement,
                                     bool bInternational)
{


	// Guard the parsing
	std::unique_lock aGuard(getMutex());
	// must be reset
	setParser(this);

	// delete comments before parsing
	OUString sTemp = delComment(rStatement);

	// defines how to scan
	s_pScanner->SetRule(OSQLScanner::GetSQLRule()); // initial
	s_pScanner->prepareScan(sTemp, m_pContext, bInternational);

	SQLyylval.pParseNode = nullptr;
	//	SQLyypvt = NULL;
	m_pParseTree = nullptr;
	m_sErrorMessage = "";

    // start parsing
	if (SQLyyparse() != 0)
	{
		// only set the error message, if it's not already set
		if (m_sErrorMessage.isEmpty())
			m_sErrorMessage = s_pScanner->getErrorMessage();
		if (m_sErrorMessage.isEmpty())
			m_sErrorMessage = m_pContext->getErrorMessage(IParseContext::ErrorCode::General);

		rErrorMessage = m_sErrorMessage;

		// clear the garbage collector
		(*s_pGarbageCollector)->clearAndDelete();
		// coverity[leaked_storage : FALSE] - because the garbage collector deleted it
		m_pParseTree.release();
		return nullptr;
	}
	else
	{
		(*s_pGarbageCollector)->clear();

        // return result:
        // to work around a bug in MKS YACC return the member m_pParseTree
        // instead of Sdbyyval.pParseNode

        SAL_WARN_IF(!m_pParseTree, "connectivity.parse",
            "OSQLParser: Parser did not create ParseTree");
		return std::move(m_pParseTree);
	}
}

OString OSQLParser::TokenIDToStr(sal_uInt32 nTokenID, const IParseContext* pContext)
{
	OString aStr;
	if (pContext)
	{
		IParseContext::InternationalKeyCode eKeyCode = IParseContext::InternationalKeyCode::None;
		switch( nTokenID )
		{
			case SQL_TOKEN_LIKE: eKeyCode = IParseContext::InternationalKeyCode::Like; break;
			case SQL_TOKEN_NOT: eKeyCode = IParseContext::InternationalKeyCode::Not; break;
			case SQL_TOKEN_NULL: eKeyCode = IParseContext::InternationalKeyCode::Null; break;
			case SQL_TOKEN_TRUE: eKeyCode = IParseContext::InternationalKeyCode::True; break;
			case SQL_TOKEN_FALSE: eKeyCode = IParseContext::InternationalKeyCode::False; break;
			case SQL_TOKEN_IS: eKeyCode = IParseContext::InternationalKeyCode::Is; break;
			case SQL_TOKEN_BETWEEN: eKeyCode = IParseContext::InternationalKeyCode::Between; break;
			case SQL_TOKEN_OR: eKeyCode = IParseContext::InternationalKeyCode::Or; break;
			case SQL_TOKEN_AND: eKeyCode = IParseContext::InternationalKeyCode::And; break;
			case SQL_TOKEN_AVG: eKeyCode = IParseContext::InternationalKeyCode::Avg; break;
			case SQL_TOKEN_COUNT: eKeyCode = IParseContext::InternationalKeyCode::Count; break;
			case SQL_TOKEN_MAX: eKeyCode = IParseContext::InternationalKeyCode::Max; break;
			case SQL_TOKEN_MIN: eKeyCode = IParseContext::InternationalKeyCode::Min; break;
			case SQL_TOKEN_SUM: eKeyCode = IParseContext::InternationalKeyCode::Sum; break;
		}
		if ( eKeyCode != IParseContext::InternationalKeyCode::None )
		    aStr = pContext->getIntlKeywordAscii(eKeyCode);
	}

	if (aStr.isEmpty())
	{
		// coverity[unsigned_compare : SUPPRESS] - YYTRANSLATE is out of our control
		aStr = yytname[YYTRANSLATE(nTokenID)];
		if(aStr.startsWith("SQL_TOKEN_"))
			aStr = aStr.copy(10);
		switch( nTokenID )
		{
			case SQL_TOKEN_OJ:
			case SQL_TOKEN_TS:
			case SQL_TOKEN_T:
			case SQL_TOKEN_D:
				aStr = aStr.toAsciiLowerCase();
		}
	}
	return aStr;
}

#if OSL_DEBUG_LEVEL > 0
OUString OSQLParser::RuleIDToStr(sal_uInt32 nRuleID)
{
    OSL_ENSURE(nRuleID < std::size(yytname), "OSQLParser::RuleIDToStr: Invalid nRuleId!");
	return OUString::createFromAscii(yytname[nRuleID]);
}
#endif


sal_uInt32 OSQLParser::StrToRuleID(const OString & rValue)
{
	// Search for the given name in yytname and return the index
	// (or UNKNOWN_RULE, if not found)
    static sal_uInt32 const nLen = std::size(yytname)-1;
    for (sal_uInt32 i = YYTRANSLATE(SQL_TOKEN_INVALIDSYMBOL); i < nLen; ++i)
	{
		if (rValue == yytname[i])
			return i;
	}

	// Not found
	return OSQLParseNode::UNKNOWN_RULE;
}


OSQLParseNode::Rule OSQLParser::RuleIDToRule( sal_uInt32 _nRule )
{
    OSQLParser::RuleIDMap::const_iterator i (s_aReverseRuleIDLookup.find(_nRule));
    if (i == s_aReverseRuleIDLookup.end())
    {
        SAL_INFO("connectivity.parse",
		 "connectivity::OSQLParser::RuleIDToRule cannot reverse-lookup rule. "
		 "Reverse mapping incomplete? "
		 "_nRule='" << _nRule << "' "
		 "yytname[_nRule]='" << yytname[_nRule] << "'");
        return OSQLParseNode::UNKNOWN_RULE;
    }
    else
        return i->second;
}


sal_uInt32 OSQLParser::RuleID(OSQLParseNode::Rule eRule)
{
	return s_nRuleIDs[(sal_uInt16)eRule];
}

sal_Int16 OSQLParser::buildNode(OSQLParseNode*& pAppend,OSQLParseNode* pCompare,OSQLParseNode* pLiteral,OSQLParseNode* pLiteral2)
{
	OSQLParseNode* pColumnRef = new OSQLInternalNode("", SQLNodeType::Rule,OSQLParser::RuleID(OSQLParseNode::column_ref));
	pColumnRef->append(new OSQLInternalNode(m_sFieldName,SQLNodeType::Name));
	OSQLParseNode* pComp = nullptr;
	if ( SQL_ISTOKEN( pCompare, BETWEEN) && pLiteral2 )
		pComp = new OSQLInternalNode("", SQLNodeType::Rule,OSQLParser::RuleID(OSQLParseNode::between_predicate_part_2));
	else
		pComp = new OSQLInternalNode("", SQLNodeType::Rule,OSQLParser::RuleID(OSQLParseNode::comparison_predicate));

	pComp->append(pColumnRef);
	pComp->append(pCompare);
	pComp->append(pLiteral);
	if ( pLiteral2 )
	{
		pComp->append(new OSQLInternalNode("", SQLNodeType::Keyword,SQL_TOKEN_AND));
		pComp->append(pLiteral2);
	}
	pAppend->append(pComp);
	return 1;
}

sal_Int16 OSQLParser::buildStringNodes(OSQLParseNode*& pLiteral)
{
	if(!pLiteral)
		return 1;

	if(SQL_ISRULE(pLiteral,set_fct_spec) || SQL_ISRULE(pLiteral,general_set_fct) || SQL_ISRULE(pLiteral,column_ref)
		|| SQL_ISRULE(pLiteral,subquery))
		return 1; // here I have a function that I can't transform into a string

	if(pLiteral->getNodeType() == SQLNodeType::IntNum || pLiteral->getNodeType() == SQLNodeType::ApproxNum || pLiteral->getNodeType() == SQLNodeType::AccessDate)
	{
		OSQLParseNode* pParent = pLiteral->getParent();

		OSQLParseNode* pNewNode = new OSQLInternalNode(pLiteral->getTokenValue(), SQLNodeType::String);
		pParent->replaceAndDelete(pLiteral, pNewNode);
		pLiteral = nullptr;
		return 1;
	}

	for(size_t i=0;i<pLiteral->count();++i)
	{
		OSQLParseNode* pChild = pLiteral->getChild(i);
		buildStringNodes(pChild);
	}
	if(SQL_ISRULE(pLiteral,term) || SQL_ISRULE(pLiteral,value_exp_primary))
	{
		m_sErrorMessage = m_pContext->getErrorMessage(IParseContext::ErrorCode::InvalidCompare);
		return 0;
	}
	return 1;
}

sal_Int16 OSQLParser::buildComparisonRule(OSQLParseNode*& pAppend,OSQLParseNode* pLiteral)
{
    OSQLParseNode* pComp = new OSQLInternalNode("=", SQLNodeType::Equal);
    return buildPredicateRule(pAppend,pLiteral,pComp);
}



void OSQLParser::reduceLiteral(OSQLParseNode*& pLiteral, bool bAppendBlank)
{
	OSL_ENSURE(pLiteral->isRule(), "This is no Rule");
	OSL_ENSURE(pLiteral->count() == 2, "OSQLParser::ReduceLiteral() Invalid count");
	OSQLParseNode* pTemp = pLiteral;
	OUStringBuffer aValue(pLiteral->getChild(0)->getTokenValue());
	if (bAppendBlank)
	{
		aValue.append(" ");
	}

	aValue.append(pLiteral->getChild(1)->getTokenValue());

	pLiteral = new OSQLInternalNode(aValue.makeStringAndClear(),SQLNodeType::String);
	delete pTemp;
}


void OSQLParser::error(const char *fmt)
{
	if(m_sErrorMessage.isEmpty())
	{
		OUString sStr(fmt,strlen(fmt),RTL_TEXTENCODING_UTF8);
		OUString sSQL_TOKEN("SQL_TOKEN_");

		sal_Int32 nPos1 = sStr.indexOf(sSQL_TOKEN);
		if(nPos1 != -1)
		{
			OUString sFirst  = sStr.copy(0,nPos1);
			sal_Int32 nPos2 = sStr.indexOf(sSQL_TOKEN,nPos1+1);
			if(nPos2 != -1)
			{
				sFirst += sStr.subView(nPos1+sSQL_TOKEN.getLength(),nPos2-nPos1-sSQL_TOKEN.getLength());
				sFirst  += sStr.subView(nPos2+sSQL_TOKEN.getLength());
			}
			else
				sFirst += sStr.subView(nPos1+sSQL_TOKEN.getLength());

			m_sErrorMessage = sFirst;
		}
		else
			m_sErrorMessage = sStr;

		OUString aError = s_pScanner->getErrorMessage();
		if(!aError.isEmpty())
		{
			m_sErrorMessage += ", ";
			m_sErrorMessage += aError;
		}
	}
}

int OSQLParser::SQLlex()
{
	return OSQLScanner::SQLlex();
}
